IMPORTANT:
-----------------------------------------------------------------------------------------
Please be sure to read the Important Update Notes before you update:
https://theme-fusion.com/documentation/avada/install-update/important-update-information/
We are always proactive in preventing security issues, however nobody can assume they will never come up.
This is why we highly recommend to stay up to date with each new theme version and plugins.


-----------------------------------------------------------------------------------------
Version 6.1.2 - November 20th, 2019
-----------------------------------------------------------------------------------------


- FIXED: Compatibility issue on WordPress 5.3 with Avada's custom uncropped image sizes
- FIXED: WPML compatibility for non-English languages when they have different Theme Options
- FIXED: Title element "typing" animation effect not working in Safari
- FIXED: Minor accessibility issue, where sub-menus used role="menu"
- FIXED: WordPress native YouTube embeds overflowing content into sidebar area
- FIXED: Image removal in Fusion Builder Live not working for element image options.
- FIXED: Fusion Builder Live history states not working correctly for Container/Column element margins/paddings
- FIXED: Saving of elements to the library in Fusion Builder Live not working
- FIXED: Video element border radius option not correctly updating in Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.1.1 - October 29th, 2019
-----------------------------------------------------------------------------------------


- NEW: Added a Theme Option to enable/disable the automatic language updates
- NEW: Added a Theme Options that allows you to set a custom text for the excerpt read more [...]
- NEW: Added easy method to rerun a Theme Options conversion for the current version
- NEW: Compatibility with WooCommerce 3.8
- NEW: Compatibility with WordPress 5.3
- NEW: Added HubSpot to our recommended plugins
- IMPOVEMENT: Moved Element Appearance Animations option to the Animation tab in Theme Options and combined desktop and mobile setting
- IMPROVEMENT: Fusion Builder Live element sidebar auto re-opening now when exiting the preview mode
- IMPROVEMENT: Added visibility, animations and CSS class and ID option to Audio element
- IMPROVEMENT: Added the reset to default icons to the color options of Audio element
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- FIXED: Issue with structured data when Yoast breadcrumbs are used
- FIXED: Some Button element options not being applied correctly because they are overridden by Theme Option defaults
- FIXED: Button text color in footer being overwritten with footer link color
- FIXED: Privacy consent text on YouTube/Vimeo elements not being visible
- FIXED: Equal heights in blog element not always being correct when using infinite scroll or load more pagination
- FIXED: Logo margins being added, even if no logo is used
- FIXED: Form focus color not working for the WooCommerce drop-down arrow box
- FIXED: WooCommerce specific dynamic data missing on back-end product editing pages
- FIXED: A small accessibility issue with Toggle element
- FIXED: Title element highlight animations replaying on iPhones on scroll
- FIXED: Some slanted/italic fonts sometimes being cut off in the title element
- FIXED: Typo in Column element class that causes issue with image lazy loading
- FIXED: Rotation animations on Title element sometimes causing a flash of text on page load and re-looping on page resize
- FIXED: CSS animations on mobile option interfering with Title element animation/rotation options
- FIXED: Container and Column elements without any parameters causing a JS error on the back-end editor
- FIXED: Before & After element not correctly displaying the after image on RTL languages in some cases
- FIXED: Some CSS map files causing network loading errors
- FIXED: Select field scrolling conflict between dynamic content elements and Yoast SEO in back-end editor
- FIXED: Featured image dynamic data on Container element background invoking loading spinners on child element in Fusion Builder Live
- FIXED: Fusion Builder Live element controls hover colors being incorrect on blog posts
- FIXED: Main menu search layout option duplicating the menu in Fusion Builder Live when a dedicated sticky menu is set
- FIXED: Hover Type option preview button not working correctly for Column element in Fusion Builder Live
- FIXED: Column sizer popup in Fusion Builder Live being cut off when using parallax scrolling on the wrapping container
- FIXED: Gallery element border radius not working correctly when using "round" as value in Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.1 - October 08th, 2019
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Added dynamic content system to Fusion Builder options allowing you to easily display 
       post title, post date and other WP data along with custom fields content (ACF) in Fusion Builder element
- NEW: Added animated headline options, both text rotation and text highlights to the Title element
- NEW: Added gradient background color options to Container and Column elements for incredible design freedom
- NEW: A complete set of filter options (hue, saturation, brightness, contrast, inversion, sepia, opacity, blur) 
       was added to Container and Column elements for awesome design flexibility
- NEW: Added background blend mode option for background images in Container and Column elements
- NEW: Added quick view option to WooCommerce products on archives and elements
- NEW: Added menu overlay animation and styling option for the main menu search
- NEW: Added an Audio element to Fusion Builder for easy displaying and styling of your audio files
- NEW: Added a Video element to Fusion Builder for easy displaying and styling of your self-hosted video files
- NEW: Added a Contact Form 7 and a Gravity Forms element to Fusion Builder
- NEW: Added border color, border hover color and border radius options (replacing button shape option) to Button element
- NEW: Added a rows setting to the Table element for easy table row creation / deletion
- NEW: Added a text color option to the highlight element
- NEW: Updated translation files for Avada and Fusion Builder can now be auto downloaded through the native WP button
- NEW: Page Options import/export is now available in Fusion Builder Live
- NEW: Animation options have been added to the Text element
- NEW: Added option to sort Events Calendar posts descending or ascending in the corresponding element
- NEW: Expanded font display Theme Option, so that also icon fonts can now be set to swap
- NEW: Added a filter (fusion_builder_map) for easy customization of the element attributes
- NEW: Added a filter for related post titles for easy renaming
- IMPROVEMENT: Flyout menu (header v6) can now be closed through use of Esc key
- IMPROVEMENT: Removed custom implementation for usage of localization files
- IMPROVEMENT: Added compatibility for different portfolio post type slugs when using Polylang plugin
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Removed compatibility support for WooCommerce 3.2
- IMPROVEMENT: Refactoring of several areas in PHP and JS code, removing old compatibility code to improve code base
- IMPROVEMENT: Removed old compatibility styles for dark color scheme
- IMPROVEMENT: Added a fallback to image lazy loading to use image dims in attributes, if they are not available in meta data
- IMPROVEMENT: Added aria-expanded attribute for Toggles element for better accessibility
- UPDATED: Font Awesome now is on version 5.11.2 offering 1545 icons
- UPDATED: Structured data for breadcrumbs to schema.org
- UPDATED: Nice scroll script to prevent a known JS error
- FIXED: Sliding bar not opening on mobile when using classic style
- FIXED: Sliding bar triangle toggle background color being wrong when bottom position is chosen
- FIXED: Gallery lightbox issue on mobiles in landscape orientation, causing image to be stuck or grayed out
- FIXED: Mobile header height and responsiveness being incorrect when using side header and stylesheets are loaded in footer
- FIXED: Default Theme Options not being saved on a fresh install, unless the back-end was visited
- FIXED: Image option text label missing in Screen Options on single posts listing page in dashboard
- FIXED: Social sharing box option not working in Page Options
- FIXED: Button text color being overridden in footer by footer link color
- FIXED: Sticky header menu padding being doubled on RTL sites
- FIXED: Last menu item having incorrect left padding in sticky header on RTL sites
- FIXED: Privacy element missing element icon in back-end builder preview
- FIXED: W3C validation error in toggle element
- FIXED: Small issue with dependent options in FAQ element
- FIXED: JS error when using equal heights in portfolio
- FIXED: Outline on single product add to cart button still showing, even when outlines are turned off in Theme Options
- FIXED: When saving elements to library, check for already existing name fails when using hyphens with white space pre- and suffix
- FIXED: Image dimensions not being added to the HTML markup of Image Before & After element even if available
- FIXED: Button text color on focus and active states not staying the same as on hover
- FIXED: Image lazy load in gallery element messing up positioning when fixed image size is used
- FIXED: Grammarly browser extension in Firefox breaking Fusion Builder back-end text area option width
- FIXED: Column element border radius option not working correctly in IE11 when a background image is used
- FIXED: Main menu drop-down / mega menu slide in option not working when using main menu arrow highlight style
- FIXED: Featured images not displaying for custom post types
- FIXED: Featured images not displaying on Events Calendar photo view archive pages
- FIXED: Image title being incorrect in lightbox for WooCommerce variable products with dedicated images
- FIXED: Variable product images not correctly showing in WooCommerce gallery lightbox when only one featured image is set
- FIXED: When CSS compiler is set to file mode, WooCommerce AJAX requests on checkout page can return incorrect data
- FIXED: Slight misalignment and color issue in paginations using the next/prev text
- FIXED: Some scripts in privacy system incorrectly inserted after user consent was given
- FIXED: Alert element adding inline CSS rule without value in a few setup cases
- FIXED: Empty style type in Section Separator element causing JS error in back-end builder
- FIXED: A few Sharing Box element Theme Options default links being incorrect
- FIXED: Section Separator element is not cloned correctly, when parent Container element gets cloned
- FIXED: Select box option drop-downs being behind the element dialogs in back-end builder when on single Events Calendar posts
- FIXED: Flip Boxes element max-width option not being fully backwards compatible when set on element children
- FIXED: Fusion Builder Live edit link missing from posts listing pages on posts that were quick edited previously
- FIXED: Color pickers on the Fusion Builder Live inline editor not being styled correctly
- FIXED: Custom social icons not displaying correctly in Fusion Builder Live
- FIXED: Fusion Builder Live not loading when Content Boxes element was added without any child elements
- FIXED: Line breaks in Content Boxes element params causing a JS error in Fusion Builder Live
- FIXED: Categories widget causing a JS error in Fusion Builder Live
- FIXED: Adding a new data set in Chart element sometimes changing already set colors in first data set
- FIXED: Column size changes in Fusion Builder Live not being recorded in the history if Fusion Slider is on the page
- FIXED: Option tooltip in Fusion Builder Live library dialog getting cut off when on the right side
- FIXED: Sidebar selection values don't show in Fusion Builder Live
- FIXED: Changes to pricing table element columns not saving correctly in Fusion Builder Live
- FIXED: Placeholder input in typography color pickers displaying although different color was already selected
- FIXED: Nest columns controls in Fusion Builder Live not being visible when using parallax scrolling on parent container
- FIXED: Image Before & After element not correctly rendering inside of Tabs, Toggles and Modal element
- FIXED: Fusion Builder Live icons not working when using SCRIPT_DEBUG constant
- FIXED: Nested descriptions toggling with parent in Fusion Builder Live
- FIXED: Animation options live previews being doubled up in Fusion Builder Live
- FIXED: Flip Box element animations not correctly triggered on Fusion Builder Live preview click
- FIXED: YouTube videos not filling the container in the Fusion Builder Live preview although working correctly on front-end
- FIXED: Quick successive option changes on same element in Fusion Builder Live, not always correctly updating
- FIXED: Padding drag controls and global container outline not displaying correctly in Fusion Builder Live when using image lift-up effect
- FIXED: Fusion Builder Live edit links still showing on posts listing page, when Live Builder is disabled
- FIXED: Nested Columns element content being lost when editing - canceling - re-editing an existing instance
- FIXED: When editing a post for the first time in Fusion Builder Live, changing a Theme Options change resets sidebar to Page Options tab
- FIXED: Container controls not being sticky in Fusion Builder Live on WooCommerce single products pages within tabs content
- FIXED: Child element previews not live updating on option change in wireframe mode of Fusion Builder Live
- FIXED: Sub-menus being hidden behind page main slider when sliding bar is used in Fusion Builder Live
- FIXED: A few elements not having a preview in wireframe mode of Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.0.3 - August 28th, 2019
-----------------------------------------------------------------------------------------


- NEW: Post status options in Blog and Recent Posts element, which allow to show future posts, private or pending ones
- NEW: Added an option to the Lightbox element, to show image title
- NEW: Class and ID options have been added to Toggle child elements and post ids to FAQ element children
- NEW: Added the changelog to the Avada welcome screen
- NEW: Added a filter to easily disable antispambot function
- IMPROVEMENT: Added checks to make sure that excerpted content will always have correct closing HTML tags added
- IMPROVEMENT: The video GDPR consent options now also apply when using the WP video widget
- IMPROVEMENT: When adding custom fonts, woff2 fonts will be loaded first now
- IMPROVEMENT: Made all functions in avada-functions.php pluggable
- IMPROVEMENT: Added better compatibility with arbitrary WooCommerce product taxonomies for third parties (e.g. YITH)
- IMPROVEMENT: Added checks for the term lists in Portfolio single posts to ensure they don't break after user customization
- IMPROVEMENT: Setup for custom icons in flip boxes is now easier to use
- IMPROVEMENT: YouTube and Vimeo elements will load videos in 16:9 format by default now
- IMPROVEMENT: Wireframe and back-end preview of Section Separator element now shows main details
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Consecutive downloads of demo files are prevented in case the demo zip download was incorrect
- UPDATED: Removed some version checks that no longer apply because of Avada and WordPress version updates
- UPDATED: WordPress PHP recommendation updated to 7.3
- UPDATED: Removed a few old IE specific styling rules which are deprecated
- FIXED: Menu arrow highlight style not always correctly positioned in both top headers and side headers
- FIXED: Events Calendar display issue when the Events template is set to 100% width template
- FIXED: Events Calendar search bar styling issues on mobiles
- FIXED: Content of the Events Calendar widget not being centered when set in Fusion Widget Options
- FIXED: WooCommerce empty cart text being misaligned
- FIXED: WooCommerce buttons not always inheriting Theme Options styles correctly
- FIXED: Non-transparent mobile header not being correctly applied on exact mobile header responsive breakpoint
- FIXED: Portfolio categories and tags being retrieved even if the filters are turned off
- FIXED: Top header padding being wrong when using 100% site width
- FIXED: Header shadow not working when using flyout menus headers
- FIXED: Default sidebar selections being incorrect in Fusion Builder Live
- FIXED: Background color on top of background image not correctly working in Firefox for the page background option
- FIXED: Search form input styling being incorrect in Safari
- FIXED: Compatibility issue of color pickers with some 3rd party ones
- FIXED: Page title bar assigned blog page options not correctly applying to the blog page when being the index page
- FIXED: Footer parallax height being incorrect when resizing browser from mobile to desktop site, when responsive images are used in footer
- FIXED: Issue with the content decoding functions in some edge cases, to make sure content is correctly displayed in all cases
- FIXED: Description option in lightbox element not working correctly
- FIXED: Percentage based width not working correctly in Google Maps element when using Embed API
- FIXED: Margin settings in Font Awesome element not working correctly in some cases
- FIXED: Gallery element lightbox not working correctly when added to a widget
- FIXED: A JS error on new post screens
- FIXED: Small line in Content Box element icon background, when using background color and outer border color
- FIXED: Equal heights columns not adjusting when a Toggle element is used and gets expanded
- FIXED: PHP warning when saving a page template on back-end
- FIXED: Sticky header height being incorrect when logo top/bottom margins are incorrectly left empty
- FIXED: Social icons not live updating in Fusion Builder Live
- FIXED: Some image rollover options not correctly working in Fusion Builder Live
- FIXED: Item scroll not correct in Image Carousel element in Fusion Builder Live
- FIXED: Exit Fusion Builder Live links not working when opened in a new tab
- FIXED: Gallery element lightbox links being incorrect in Fusion Builder Live
- FIXED: Gallery lightbox links freezing Fusion Builder Live when clicked with the CTRL key
- FIXED: Column sizer in Fusion Builder Live sometimes not clickable in the first container on a page when using transparent headers
- FIXED: Convert Plus content flashing on Fusion Builder Live load in some cases
- FIXED: Convert Plus element not having a default placeholder preview
- FIXED: Tooltips of controls in Fusion Builder Live being behind the header when using parallax footer
- FIXED: refreshJs function in Fusion Builder Live not being called on every element render (needed for some third parties)
- FIXED: Element settings of inline elements not automatically opening when inserting to child elements in Fusion Builder Live
- FIXED: Default color preview in color pickers of Chart element in Fusion Builder Live
- FIXED: "Before" image being displayed on the right in Fusion Builder Live, when no "after" image is uploaded yet
- FIXED: Toggle element alignment incorrect when using floated contents in a toggle in Fusion Builder Live
- FIXED: Modal element being behind he header on pages that use parallax footer in Fusion Builder Live
- FIXED: FAQ element not rendering contents correctly in Fusion Builder Live
- FIXED: Gallery isotope layout not correctly updated when deleting child images in Fusion Builder Live
- FIXED: Toggle element content rendering as shortcodes in some edge cases
- FIXED: A JS error in the Gallery element happening in some cases in Fusion Builder Live
- FIXED: Text Display option not working correctly (showing full content) in Portfolio element on re-render in Fusion Builder Live
- FIXED: Issue with column edit appearance in Fusion Builder Live when using Events Calendar plugin
- FIXED: Page preview not always scrollable after re-ordering child elements in the parent settings in Fusion Builder Live
- FIXED: Column controls inside of global containers overlaying the Nested Columns
- FIXED: Element contents going behind containers with faded backgrounds when hovering control icons in Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.0.2 - August 15th, 2019
-----------------------------------------------------------------------------------------


- NEW: Added a theme option to easily disable The theme specific preview styles in the WP block editor (Gutenberg)
- NEW: Compatibility with WooCommerce 3.7
- IMPROVEMENT: Added support for content background color in the WP block editor (Gutenberg) and automatic dark mode for UI if needed
- IMPROVEMENT: Added a filter to easily disable Fusion Builder Live
- IMPROVEMENT: Added support for RTL sites for the element control icons in Fusion Builder Live
- UPDATED: Added compatibility support for the new version of the PWA plugin v0.3
- FIXED: Theme Options font family drop-downs disappearing, when custom fonts were not correctly set
- FIXED: Rendering issue with parallax background scrolling in Container element when viewing on some Samsung devices
- FIXED: Incorrect right padding on flyout menu items when using it in sticky header mode
- FIXED: Several issues with the content background options both in Theme Options and Page Options
- FIXED: Performance issue with media query files when using async media query loading option
- FIXED: Styling issue with Gravity Forms inputs
- FIXED: Scrolling issue on iOS devices when using sticky footer
- FIXED: Theme Options not saving in Fusion Builder Live when working on the WP index page
- FIXED: Header transparency not correctly working when set in Page Options while a background image is set in Theme Options
- FIXED: Incorrect background color of the #wrapper container
- FIXED: Framed scrolling option not correctly working
- FIXED: Added missing translation strings for "Fusion Page Options"
- FIXED: Corrected JS error happening in Fusion Builder Live when using untrimmed input in Google Maps element address input
- FIXED: Changed the input type of the search form input from text to search
- FIXED: Automatic text color calculation being incorrect in highlight element
- FIXED: Smooth height option not working in Recent Posts element
- FIXED: Post offset option not working in Portfolio element
- FIXED: PHP warning in FAQ element when categories are excluded
- FIXED: Ampersands showing HTML code in multi select drop-down options
- FIXED: JS error in the Blog element when using equal heights but the element is disabled for current screen size
- FIXED: Compatibility issue with other plugins that load their own instance of waypoints JS library
- FIXED: Equal heights being incorrectly calculated in some cases on page load
- FIXED: Hover rendering issue on images in Person element that use border radius in Safari
- FIXED: Menu color being incorrect in Vertical Menu widget in the sidebar
- FIXED: Equal heights in post content not working when rendering full content in Blog or Recent Posts element
- FIXED: Compatibility issue with Yoast SEO image sitemap and the Gallery element
- FIXED: Live preview for buttons with lightbox target not working in Fusion Builder Live
- FIXED: Shortcut to open links in Fusion Builder Live not working on all browsers and OS
- FIXED: Fusion Slider element not auto resizing correctly when column size gets changed in Fusion Builder Live
- FIXED: Element control icons being misaligned in Font Awesome element when text flow is chosen as alignment in Fusion Builder Live
- FIXED: Elements after inline elemntes like Button and Image disappear on controls hover in Fusion Builder Live
- FIXED: Column spacing being incorrect in Fusion Builder Live for RTL sites
- FIXED: Some elements refreshing on opening the settings dialog in Fusion Builder Live
- FIXED: Table element adding some default columns in certain cases in Fusion Builder Live
- FIXED: Some issues when editing Pricing Table element in Fusion Builder Live


We also added compatibility fixes, so that Fusion Builder Live will load and work fine with the below plugins:
- IMPROVEMENT: Fusion Builder Live compatibility with Autoptimize plugin
- IMPROVEMENT: Fusion Builder Live compatibility with NexGen gallery plugin
- IMPROVEMENT: Fusion Builder Live compatibility with Essential Grid plugin
- IMPROVEMENT: Fusion Builder Live compatibility with LiteSpeed cache plugin
- IMPROVEMENT: Fusion Builder Live compatibility with Smush Pro plugin
- IMPROVEMENT: Fusion Builder Live compatibility with Easy Social Share plugin


-----------------------------------------------------------------------------------------
Version 6.0.1 - August 7th, 2019
-----------------------------------------------------------------------------------------


- NEW: The professionally designed new Avada classic demo is now available
- NEW: Added lightbox as target option to the Button element
- UPDATED: Font Awesome now is on version 5.10.1 offering 1535 icons
- FIXED: "Additional CSS" field in WP customizer not being visible
- FIXED: Tracking code field contents not loaded on the front-end pages
- FIXED: Link hover color being incorrect in the footer
- FIXED: Font weight field being reset, when choosing Regular 400 Italic
- FIXED: Header background image repeat option not working correctly
- FIXED: Footer 100% width background image option not working correctly
- FIXED: Sliding bar in left/right position in some cases causing display issues with the page contents
- FIXED: Menu highlight arrows being incorrectly positioned for headers v2 - v4
- FIXED: Post Meta Page Options not correctly saving in back-end
- FIXED: Body font-style being incorrectly applied to buttons, footer-headings and navigation
- FIXED: Content alignment to right in Content Boxes element not working correctly in Fusion Builder Live
- FIXED: Overlay color not showing on Container element when using parallax animated images in Fusion Builder Live
- FIXED: Links and elements in sidebars not always being clickable in Fusion Builder Live
- FIXED: Select field height being incorrect, cutting off text contents
- FIXED: Sticky footer not working correctly
- FIXED: WPML languages not being centered in mobile menu when center alignment was chosen
- FIXED: Column equal heights not correctly triggered after changes in Gallery element
- FIXED: Element animations firing on mobile, even if disabled for mobiles
- FIXED: Some strings in Fusion Core plugin not being translatable
- FIXED: Button in privacy bar going full width when buttons are set to span in Theme Options
- FIXED: Edit link for Slider Revolution being incorrect in Fusion Builder Live for latest slider versions
- FIXED: Option correlation being incorrect for 100% header width option
- FIXED: Google fonts set for body and heading tags not loaded in the WP block editor back-end
- FIXED: Dimension arrows missing in the post Page Options section in back-end
- FIXED: Compatibility issue with WooCommerce Product Carousel, Slider & Grid Ultimate Pro and menu cart icon
- FIXED: Removed assets path from media query CSS URLs to resolve conflict with iThemes Security setting
- FIXED: A compatibility issue of Fusion Builder Live and WP Smush plugin


-----------------------------------------------------------------------------------------
Version 6.0 - August 5th, 2019
-----------------------------------------------------------------------------------------


Our team has worked incredibly hard on Avada 6.0 Live, redefining the site creation and page building experience. We could not be more excited about the result.
Avada 6.0 with the brand new Fusion Builder Live intuitively revolutionizes how you build your pages. It is super user-friendly and packed with features.
Fusion Builder Live presents the future of page editing and will enrich the Avada Live ecosystem further.
But Avada 6.0 Live brings even more to the table that will change your outlook on what a site creation suite and a page builder can do.

See the promo video here: https://www.youtube.com/watch?v=wlxqO2GPn3U&t=59s

Below are some of the highlights of these new product generations of Avada and Fusion Builder Live. This is where it all begins:

- NEW: For Avada 6.0 Live we entirely re-engineered the site-building process, giving you the fastest way ever to design your sites and projects
- NEW: A completely new UI was created exclusively for Avada 6.0 Live with extreme attention to detail to speed up your creation process
- NEW: Direct front-end editing of all your pages and posts, live-updating elements, layouts and options
- NEW: An inline text editor, that allows you to quickly change text contents, color, font-size, font-weight and a ton of other things on text blocks, headings, and other elements
- NEW: Live front-end drag & drop of containers, columns, and elements
- NEW: Live margin and padding dragging on containers and columns for easy layout creation
- NEW: A toolbar was added that will serve as your "mission control" center for the front-end creation process
- NEW: A completely custom side panel has been created which lets you change all the options Avada offers on the fly and that can be on left or right of the page, overlaying or as a sidebar
- NEW: Possibility to switch between side panel and dialog mode for displaying element options
- NEW: Live editing of Theme Options which lets you easily see the effect of your global settings on the pages
- NEW: Live editing of Fusion Page Options, which lets you easily see the effects directly on the page you are working on
- NEW: Live editing of Fusion Builder Element Options, showing you directly how your changes are reflected on the front-end
- NEW: Live changing between different header layouts and easy controls to edit logo and menus
- NEW: Live changing of widget areas, in sidebars, footer, sliding bar and widget area elements
- NEW: Easy Live UI to add / change / remove sliders and Page Title Bars
- NEW: Live responsive page preview for tablets and phones, landscape and portrait
- NEW: Color palette preset feature, allowing to define custom colors that will be available as presets on all color pickers
- NEW: Fusion Builder Live preferences for easy customization of the creation workflow
- NEW: One-click wireframe preview, bringing Fusion Builder back-end to the front-end
- NEW: Keyboard shortcuts for frequent events / changes have been added for better usability
- NEW: One-click option to reset an element to its default settings
- NEW: One-click option to get to the online documentation of the currently edited element
- NEW: One-click option to directly show you global option selection for Fusion Builder element options
- NEW: One-click option to show/hide the option description for clean UI
- NEW: One-click option to directly save your live created pages either as draft or to publish right away
- NEW: Ability to live edit featured images on posts, portfolio posts and WooCommerce products
- NEW: Added a preview mode to the Live Editor, which hides all controls and toggles scrolling sections and other elements for a full preview
- NEW: Added dedicated color schemes for controls of global elements, nested columns and scrolling sections for better usability
- NEW: Fusion Builder Live UI style integration for tinyMCE editor
- NEW: Added easy ways to access the front-end builder from the post edit screens, post type list tables and from the WP admin bar
- NEW: A completely new section in our online documentation specifically for Avada 6.0 Live with plenty of resources and videos


While we focused on Avada Live for 6.0, but we have also worked in a ton more features, additions, and fixes for you:

- NEW: Avada now supports front-end and back-end styling for Gutenberg native blocks
- NEW: Gutenberg font size support was added and matches Theme Option values
- NEW: Block editor width will now fully reflect set site width
- NEW: Added support for the Gutenberg alignfull and alignwide classes in back-end and front-end
- NEW: Added support for CSS variables and added an option to turn on/off
- NEW: Avada now requires a minimum PHP version of 5.6 and has an automated check for that to avoid fatal errors
- New: Added lightbox as link option for links in the Column element
- IMPROVEMENT: All widgets have been moved to Fusion Core plugin
- IMPROVEMENT: Fusion Page Options are now part of Fusion Core plugin
- IMPROVEMENT: Google analytics code, social icons, and caching functions are now also available through Fusion Builder
- IMPROVEMENT: The admin news widget is now part of Fusion Core plugin
- IMPROVEMENT: The contact page template form is now part of Fusion Core plugin
- IMPROVEMENT: Added compliance with Envato's new theme check requirements
- IMPROVEMENT: The Theme Options panel will now also work on installs that use symbolic links for WP
- IMPROVEMENT: Auto-play of self-hosted videos on container backgrounds is now working on mobile
- IMPROVEMENT: Testimonial element children now use Name and Company as preview text for better distinction
- IMPROVEMENT: Fusion Slider YouTube and Vimeo videos now allow for larger preview images
- IMPROVEMENT: Preview images for YouTube and Vimeo videos are now larger in Fusion Slider
- IMPROVEMENT: Changed some unitless input fields to range sliders for better usability
- IMPROVEMENT: Continued refactoring to improve performance
- IMPROVEMENT: Refactored JavaScript resize events to improve client-side performance on browser resize
- IMPROVEMENT: Removed deprecated browser prefixes from CSS files
- IMPROVEMENT: Added a filter to disable CSS caching
- IMPROVEMENT: Removed deprecated scoped attribute from inline style tags
- IMPROVEMENT: The deprecated Google+ icon is removed
- IMPROVEMENT: Compiled CSS filenames now take into account custom-CSS changes to avoid browser-cache issues
- UPDATED: Font Awesome now is on version 5.10 offering 1535 icons
- UPDATED: Moved from chosen.js to select2 for theme-specific select boxes
- UPDATED: jQuery mousewheel script to latest available version 3.1.13
- UPDATED: The default main highlight color in Avada has been changed to our new modern green
- UPDATED: Removed any code that was there to ensure support for abandoned IE9
- FIXED: Columns in mega menu becoming stacked when the menu goes to a second row
- FIXED: Sharing box being added to the bottom of every Gutenberg post
- FIXED: Gravity forms select box styling not being responsive on resize
- FIXED: Login form styling issue on the WooCommerce MyAccount page
- FIXED: JavaScript error happening when editing Fusion Menu Options
- FIXED: Issue in social icons widget, not correctly updating old custom icons
- FIXED: Facebook widget not correctly resizing if the maximum width is smaller than wrapper width
- FIXED: Menu hover color being wrong if using menu background highlight style and hovering sub-menus
- FIXED: Social icons not using dedicated line-height which leads to layout issues in some cases
- FIXED: Font Awesome solid 900 woff file using the wrong path
- FIXED: Avada admin screen column styling not being correct in WordPress 5.2.1+
- FIXED: Header v7 logo position not correctly respecting search icon and WooCommerce MyAccount and cart link
- FIXED: Cart icon not showing in mobile header, if mobile flyout menu is selected
- FIXED: Missing jquery-ui-sortable dependency for avada-fusion-options.js script
- FIXED: Page Title Bar Headings displaying on archive pages even if disabled in TO
- FIXED: A site loading speed issue when a large amount of posts is present
- FIXED: Sub-menu borders not always being correct in the menu widget
- FIXED: Vertical menu widget not using correct spacing in all cases
- FIXED: Division by zero issue in content box element, if image dimensions can't be retrieved from the database
- FIXED: PHP notice in content boxes element when icon size on parent is set in px
- FIXED: Lightbox title being incorrect in image element
- FIXED: Image URL sometimes missing in the uploader of the image element
- FIXED: Inner border partially being visible in content boxes element when border size is set to 0
- FIXED: PHP notice in the Fusion Builder Library page when element names use special chars
- FIXED: Tabs showing in mobile layout on desktop when loading media queries async and CSS compiler is off
- FIXED: Image bottom shadow option not working in person element
- FIXED: Removed a redundant isotope call in the Blog element
- FIXED: Removed alpha channel from the color picker in Soundcloud element, as that is not supported
- FIXED: Text being blurry in some cases in Flip Boxes element
- FIXED: Conflicts between Avada's select2 implementation and the one from Events Calendar and Slider Revolution
- FIXED: Small gaps in section separator element due to not dedicated set line-height
- FIXED: Bottom borders on tabs element not being correct in responsive mode
- FIXED: LayerSlider selection not being loaded on element re-edit
- FIXED: SVGs in content box icons not loading in the set size for all browsers
- FIXED: ThemeFusion's newsfeed admin widget retrieving data from old URL causing a redirect


-----------------------------------------------------------------------------------------
Version 5.9.1 - May 1st, 2019
-----------------------------------------------------------------------------------------


- NEW: Added an option so that mega-menu can be set to either custom width, site-width or full screen width
- NEW: Added an option to set the border width for paginations
- NEW: Added an option to decide if search page results should be limited to specific post types or not
- NEW: Added a filter for changing post types that should be included in search
- NEW: Added a filter for changing the page title bar contents
- NEW: Added a filter for plugin info for Fusion Builder add-on authors
- IMPROVEMENT: ToTop script can be used on mobile now independently from desktop
- IMPROVEMENT: Video autoplay is now allowed in lightbox videos when set via URL parameter
- IMPROVEMENT: AJAX live search will now allow return key presses to directly go to results page
- IMPROVEMENT: Notice about missing contact form email address only displaying for admins now
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added theme support for Gutenberg default front-end stylings
- IMPROVEMENT: Setup for custom icons in content boxes is now easier to use
- IMPROVEMENT: Additional attributes for button element now work with and without quotation marks
- UPDATED: Font Awesome now is on version 5.8.1 offering 1513 icons
- FIXED: Menu highlight labels vertically not being perfectly aligned
- FIXED: Underline highlight style being incorrectly applied to menu buttons
- FIXED: Ubermenu not displaying on mobile
- FIXED: Pagination missing from search page
- FIXED: Pre-defined color schemes not replacing all Theme Option colors
- FIXED: Menu drop-down indicator not fully centered when icons are used in top/bottom position
- FIXED: Mobile menu sub-menu indicator showing even if turned off on right text layout
- FIXED: WP core bug in color pickers that could lead to issues within the Avada menu options
- FIXED: Some new search Theme Options can't be changed
- FIXED: Terms of CPT not being displayed in search results
- FIXED: Some post types names not using the correct name on AJAX live search suggestions
- FIXED: Google maps using old event name for centering markers
- FIXED: WooCommerce gallery zoom not correctly working when image lazy loading is used
- FIXED: WooCommerce menu cart icon counter not live updating on header layout 6
- FIXED: Display issue in WooCommerce product gallery and tabs on iPad portrait
- FIXED: Updated deprecated WooCommerce cart hash filter name
- FIXED: Social sharing box not displaying when using single events block editor
- FIXED: Comments template showing name and email as required eveen if turned of in WP Settings
- FIXED: Corrected issues in the Events filter bar design for latest plugin version
- FIXED: Events archive list display issue on mobile when CSS compiler is off and async media queries are on
- FIXED: Small display issue on Events month template in the single day view
- FIXED: Portfolio filters on mobile not inheriting border color from Theme Options
- FIXED: Column lift-up effect being partially hidden if neighboring column uses same effect and spacing is too small
- FIXED: Sticky sidebar being tied to Content Breakpoint instead of Sidebar Breakpoint
- FIXED: Incorrect spacing between gallery images when using image lazyload
- FIXED: Flip boxes equal heights not working inside of tabs/toggles/modals
- FIXED: Avada's select styling not working for Gravity Forms inside of tabs/toggles/modals
- FIXED: Triangle section separator not working
- FIXED: Tabs without content breaking the tabs changing functionality
- FIXED: WPML translation flags being oversized in the Fusion Builder library
- FIXED: Animations not correctly triggered, after page height change due to portfolio element filter change
- FIXED: Background videos in containers not covering container fully in IE11
- FIXED: Flyout menu icons on mobile not being correctly aligned in IE11
- FIXED: Side header menu items incorrectly aligned on IE11


-----------------------------------------------------------------------------------------
Version 5.9 - March 26th, 2019
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Added a main menu underline highlight style
- NEW: Added an animation style option for drop-down and mega menus
- NEW: Added AJAX live search functionality with several options
- NEW: Vastly extended the Theme Options for the search page
- NEW: Added a border radius option to columns and nested columns
- NEW: Box shadow options are now available for columns and nested columns
- NEW: Vastly extended options for flip boxes: a new flip effect, flip direction, flip duration and background images
- NEW: Added equal height option to flip boxes
- NEW: Added 5 new section separator stylings
- NEW: Added more styling options for all paginations
- NEW: Added several styling options for the toTop button
- NEW: Mobile margin option is now available for Title element
- NEW: Global element shortcodes are copy/paste ready available now in the Fusion Builder element library
- NEW: Border position and link target options are added to nested columns
- NEW: Added an option to disable the drop shadow on sticky header
- NEW: Full compatibility with WooCommerce 3.5.7
- IMPROVEMENT: Updated the additional attributes option for buttons to allow Google conversion tracking
- IMPROVEMENT: Post slider now allows the selection of multiple categories
- IMPROVEMENT: Now the set Avada mobile menu can be displayed when using uberMenu when it is disabled on mobile
- IMPROVEMENT: Added the ability to disable Fusion Builder single demo pages import through remove_theme_support
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added sub-menu title to ARIA label for mobile sub-menu toggles
- FIXED: Color pickers not being able to correctly select colors in the corners of the color pane
- FIXED: Container parallax image with direction removes overlay color
- FIXED: Section separators having wrong width when container left/right padding is set to 0 without unit
- FIXED: Font sizes given in em not working correctly in checklist element
- FIXED: Back-end "add Columns" button not opening correct column modal when starting on a blank page
- FIXED: Lift up animation on image carousel when using border not being smooth
- FIXED: Background color for Events element being added to the wrong selector
- FIXED: Isotope positioning and general grid box positioning for Events element
- FIXED: Default heading margins being incorrect on mobiles for Title element
- FIXED: Google maps not loading language specific maps when using embed or static API
- FIXED: Google maps localization not being correct for languages which support different modes
- FIXED: Google maps centering sometimes causing wrong zoom level on first page load
- FIXED: Google map on contact form not loading when using embed API when no address is entered for JS API
- FIXED: Fusion Builder demo pages being loaded on post types where Fusion Builder is not enabled
- FIXED: WooCommerce Apple-Pay Button missing on products pages
- FIXED: WooCommerce variation images being wrong when there are more than 30 variations
- FIXED: WooCommerce comments pagination being incorrectly aligned
- FIXED: WooCommerce Composite Products missing the +/- quantity buttons
- FIXED: WooCommerce add-to-cart spinner being on all related products if just one was added to cart
- FIXED: Carousel elements not working correctly inside WooCommerce product tabs
- FIXED: Page Title Bar custom settings not working on WooCommerce shop page
- FIXED: Issues on RTL sites when using sub-menu indicators and main menu icons
- FIXED: Flyout menu search icon being misaligned on RTL sites
- FIXED: Incorrect spacing between portfolio items for certain setups when using image lazy load
- FIXED: Image rollovers sometimes leaving 1px of the image uncovered
- FIXED: Automatic memory adjustment not working in all cases in the Avada migration class
- FIXED: Help menu checklist margins being incorrectly assigned on 404 and search page
- FIXED: Menu padding for last item being incorrect on Flyout menu when page gets scrolled
- FIXED: Image lazy loading exclusion for old versions of LayerSlider
- FIXED: PHP notice in Google map of the contact form template
- FIXED: PHP notice about incorrect variable data type in content box element
- FIXED: YouTube video in Fusion Slider not auto-playing in all cases
- FIXED: CSS ID option not working for the Fusion Slider element
- FIXED: Alignment issues in content boxes with timeline vertical layout right alignment and RTL
- FIXED: Flyout menu icons on mobile not staying visible when menu is opened and if sticky header is disabled
- FIXED: Max-width setting on Image element not working in IE when viewport is smaller than max-width
- FIXED: Columns equal heights mobile breakpoint being off 1px
- FIXED: Anchor scrolling script calcing position more often than needed
- FIXED: PHP fatal error if Fusion Builder was activated prior to Avada


-----------------------------------------------------------------------------------------
Version 5.8.2 - February 21st, 2019
-----------------------------------------------------------------------------------------


- FIXED: Security fix to prevent possible XSS attacks in bootstrap JS libraries
- FIXED: Columns containing only background image having no height in IE/Edge
- FIXED: Translation of library elements using WPML not working


-----------------------------------------------------------------------------------------
Version 5.8.1 - February 07th, 2019
-----------------------------------------------------------------------------------------


- NEW: Single demo pages can now be imported by directly pasting the page URL in Fusion Builder demo library
- NEW: Preview images are now available for different image elements for easier re-ordering
- NEW: Added an option to set a form element border color when form element has focus
- NEW: Added form input validation indicators to the WooCommerce checkout page form
- NEW: Option to show events meta data below events content or to disable it (sidebar can now be removed)
- NEW: Added option to disabled WP's emoji script for better loading performance
- IMPROVEMENT: Font Awesome and responsive mode CSS is now added before custom CSS to compiled styles
- IMPROVEMENT: Removed IE9 support scripts and moved IE10 ones to plain CSS
- IMPROVEMENT: Deferred loading of CSS for several sections of the site (cummulative work in progress)
- IMPROVEMENT: Fusion Core's minified styles are now also added to compiled styles if database mode is chosen
- IMPROVEMENT: Changed a few gallery settings from buttons sets to drop-downs for better usability
- UPDATED: Font Awesome now is on version 5.7.1 offering 1500 icons
- FIXED: Some W3C validation errors
- FIXED: WooCommerce My Account drop-down menu closing when using login and selecting username
- FIXED: Padding of last menu item not always correct in flyout menu
- FIXED: Flyout menu item padding not working on mobile if a dedicated mobile menu is set
- FIXED: Image not being loaded in AMP version if lazy loading is enabled
- FIXED: Image lazy loading not being skipped on admin screens
- FIXED: Image lazy loading causing issues in LayerSlider and Slider Revolution
- FIXED: Events Calendar title bar not showing in some cases when using events shortcode
- FIXED: Lightbox auto play mode being initialized even if there is only one image
- FIXED: Image carousel element sharing Lightbox gallery ID with gallery element
- FIXED: Image in a one column image carousel spanning to full available width
- FIXED: Added 2 missing WP core filters to our nav walker class
- FIXED: Link target attribute incorrectly added to related posts title link
- FIXED: PWA is not displaying the app icon when installing on iOS using Safari
- FIXED: Theme color support issue in the PWA
- FIXED: Google maps footer widget of construction demo not correctly imported
- FIXED: PHP warning of undefined index in class-fusion-images.php
- FIXED: Using query by reference in blog element causing PHP notice on WPE hosted sites


-----------------------------------------------------------------------------------------
Version 5.8 - January 22nd, 2019
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Added image lazy load functionality for all kinds of images
- NEW: Added options to have all parts of the site getting browser cached through Progressive Web App techniques
- NEW: Added support for theme-color meta data used for installable website apps
- NEW: Added easy integration for Font Awesome Pro for users having a valid pro license
- NEW: Added an option to only load specific subsets of Font Awesome icons to improve performance
- NEW: Added an option to easily set the font display mode for Google fonts and custom fonts to improve performance
- NEW: Added a padding option to flyout menu Theme Options to control spacing between menu items
- NEW: Add link and link target option to individual images in gallery element and change to standard parent/child layout
- NEW: Added reCaptcha v3 to contact form, so now either visible v2 or invisible v3 layouts can be used
- NEW: Added our advanced responsive images setup to single portfolio posts
- NEW: Added our advanced responsive images setup to events element
- NEW: Added our advanced responsive images setup to post slider element
- NEW: Added our advanced responsive images setup to recent posts element
- NEW: Added our advanced responsive images setup to slider element
- NEW: Added a performance tab to Theme Options to combine performance relevant option in one place (incl. dynamic CSS & JS)
- NEW: Added a check for WordPress block content on pages to remove native block stylesheet if it is not needed
- NEW: Fusion White Label Branding is updated to v1.1.3
- IMPROVEMENT: Adjusted calculation system for responsive images to be even more precise
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Renamed "Widget Section" to "Widget Area" on widget main page for more consistency
- UPDATED: Font Awesome now is on version 5.6.3 offering 1480 icons
- UPDATED: Added the new WP 5.0 post type labels to our CPTs
- UPDATED: Added the Starter Guide documentation link to the support tab
- FIXED: Styling compatibility issues with The Events Calendar v4.7+
- FIXED: The Events Calendar filter bar text color Theme Option not working on the "View as" drop-down
- FIXED: Menu role accessibility error in header menus
- FIXED: Sticky header animation not being fully smooth when using header layouts with top header
- FIXED: Imported demo page options not being removed on demo uninstall
- FIXED: Contain mode for Vimeo videos not working in Fusion Slider
- FIXED: Buttons in Fusion Slider requiring two clicks when slide animation is used
- FIXED: Clone slide option in Fusion Slider only working for users on admin level
- FIXED: Lightbox not working for featured images on a page with 100% width page template
- FIXED: Incorrect variable image showing when using WooCommerce composite products
- FIXED: Password field for new users on WooCommerce checkout page not being validated correctly
- FIXED: Error message on WooCommerce address edit screens covering update button
- FIXED: Event ticket thumbnails not showing on WooCommerce order received and view order pages
- FIXED: A WooCommerce native issue leading to a PHP notice in is_shop() function
- FIXED: jQuery mouse events firing too often on WooCommerce product archives
- FIXED: Incorrect option dependencies for WooCommerce ordering Theme Options
- FIXED: Google font files being downloaded too often when using locally hosted font files
- FIXED: PHP division by zero error happening for some setups for portfolio image
- FIXED: FAQ Categories string in Fusion Core not being translatable
- FIXED: Double bottom border on last child page element in pages widget
- FIXED: Incorrect top margin on some mobile layouts, if custom mobile sidebar order is used
- FIXED: Addition vertical separator line on footer widgets in RTL mode
- FIXED: Sticky header logo not working on mobiles if mobile flyout menu is used on header v5
- FIXED: Page option import failing on Windows machines
- FIXED: Google maps centering not working correctly in some cases when using multiple markers
- FIXED: Header background color not working when responsive mode is disabled
- FIXED: Saving a Fusion Builder element to library won't work if there was prior attempt to save without name
- FIXED: Line breaks in modal element contents causing the element output to breaks
- FIXED: Some strings on the FAQ admin page not being translatable
- FIXED: Incorrect check for border size in chart element causing border size of 0 to not work
- FIXED: Bottom shadow alignment in image element not being correct in some cases
- FIXED Icon spin child option not correctly inheriting from parent in flip boxes element
- FIXED: Line height option in title element not working when no custom font size is set
- FIXED: Display issue with title element preview for center aligned titles
- FIXED: Equal height columns not resizing automatically after a toggle was opened and closed
- FIXED: Post slider with attachment layout not displaying thumbnails when multiple sliders on same page
- FIXED: Element generator button being added to 3rd party editor fields
- FIXED: Button click in content boxes element opening two tabs when using entire box as link area
- FIXED: PHP notice in Fusion Builder's helpers.php


-----------------------------------------------------------------------------------------
Version 5.7.2 - November 08th, 2018
-----------------------------------------------------------------------------------------


- NEW: WordPress 5.0 Compatibility
- NEW: Added gesture handling support to the Google maps element
- IMPROVEMENT: Added possibility to display hotlinked images within the Fusion Builder image elements
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Font awesome now is on version 5.5
- FIXED: Page title bar text not always being correct when using AJAX loading on Events Calendar pages
- FIXED: Security fix to prevent possible XSS attacks in bootstrap JS libraries
- FIXED: Removed ARIA role from HTML nav tag menus
- FIXED: Sidebar mobile order not working correctly for WooCommerce archive and single product pages
- FIXED: Advancing to next WooCommerce checkout tab being possible even if an input error occurred
- FIXED: Product images in WooCommerce widgets not being correctly sized
- FIXED: Title element with underline style having incorrect line color, when using custom font size
- FIXED: Lightbox image size not being correct when using fixed image mode in gallery element
- FIXED: Text transform option in button element not working for preset colored buttons
- FIXED: Facebook widget not auto reloading after privacy option for it has been accepted
- FIXED: Responsive sidebar order not correct when using double sidebars and sidebar one is set to right


-----------------------------------------------------------------------------------------
Version 5.7.1 - October 23rd, 2018
-----------------------------------------------------------------------------------------


- NEW: Added a glow and drop shadow blur option to the person element and improved the style color option
- NEW: Added animation options, mobile visibility options and class and id settings to the table element
- NEW: Compatibility with WooCommerce 3.5
- IMPROVEMENT: Page load performance for all pages using image elements. These performance gains are fully
               available on new sites, but also be noticeable on existing installs
- IMPROVEMENT: Added CSS ID options to YouTube and Vimeo elements
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Element search field always having focus now when element tabs are changed in Fusion Builder
- IMPROVEMENT: Added conditional check to fusion_builder_update_element() to only execute on page edit screens
- UPDATED: Font awesome now is on version 5.4.1
- FIXED: Responsive element display issues, when sidebar breakpoint is different from content breakpoint
- FIXED: Page Title Bar not updating after AJAX month change on Events Calendar month archive
- FIXED: Theme Options panel not saving when 'no referrer' server policy is active
- FIXED: WooCommerce main shop page not auto redirecting to first page when number of products filter is changed
- FIXED: Page Title Bar on iPad portrait mode using table instead of flex box
- FIXED: Incorrect number of accepted arguments for 'wp_nav_menu_items' filter
- FIXED: Top/bottom margins between sidebars and content area on mobiles
- FIXED: Polylang not correctly saving Theme Options when all languages is chosen
- FIXED: Mobile menu empty parent links not toggling sub-menus on click
- FIXED: Image elements always use full size images even if thumbs were selected by user
- FIXED: Flip box element not correctly working as part of dynamically loaded post content
- FIXED: Search page heading typography not correctly applying h1 settings when page title bar is disabled
- FIXED: WooCommerce single product pages overflowing on mobiles


-----------------------------------------------------------------------------------------
Version 5.7 - October 01st, 2018
-----------------------------------------------------------------------------------------


- NEW: Fusion White Label Branding is updated to v1.1 with some awesome new features (see plugin changelog)
- NEW: Added container publishing status options, so containers can be drafted and published at specific set time
- NEW: Added an option to set the order of sidebars and content on mobile devices
- NEW: Added possibility to have transparent headers on mobiles
- NEW: Added possibility to add bg images to menu items in the flyout menu
- NEW: Added options for styling customization to title element
- NEW: Added pagination range option to control the amount of displayed page links
- NEW: Added the possibility to add menu icons in the vertical menu widget
- NEW: Added an option to control the subheading color in the Page Title Bar
- NEW: Added a setting to Lightbox Content option in gallery element which allows to only show image captions
- NEW: Added a new option to turn the mobile menu dashes on/off
- NEW: Added an option to enable CSS outlines for several elements like buttons and form inputs for accessibility reasons
- NEW: Added navigation, transition time and autoplay options to the testimonial element
- NEW: Added a glow and drop shadow blur option to the image element and improved the style color option
- NEW: Added mobile visibility settings to the text element
- NEW: Added first stage of Gutenberg compatibility
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Widget titles and descriptions in the backend are now translatable
- IMPROVEMENT: Output messages of the Envato server checks have been fine-tuned and additional info was added
- IMPROVEMENT: Product registration notices have been updated for better error diagnosis
- IMPROVEMENT: SVG icons can now be used for custom social icons in Theme Options
- IMPROVEMENT: Added the WooCommerce sorting on to the search results page
- IMPROVEMENT: Added a filter for sidebar settings on single posts of any post type
- IMPROVEMENT: Added a filter to customize the related posts fixed image size
- IMPROVEMENT: Icon picker search working faster now and allowing better keyword search
- IMPROVEMENT: All elements with image settings now fully support image translation through WPML
- IMPROVEMENT: Right click feature of Fusion Builder is now disabled on the container name edit area
- UPDATED: Font awesome now is on version 5.3.1
- FIXED: Position of the flyout menu icons on the right side
- FIXED: Some Page Options not working on sermon manager pages
- FIXED: Fusion Slider not being displayed when header is disabled on the WooCommerce main shop page
- FIXED: Inconsistent autoplay behavior of the WooCommerce gallery on mobile
- FIXED: Redirects on main WooCommerce shop page when number of items selector is used and only one page is needed
- FIXED: Cart page total value being displayed incorrectly when value is above 1000
- FIXED: Sliding bar not scrolling correctly on mobile devices
- FIXED: Google fonts transient not being correct on multi language sites
- FIXED: Addresses and venues showing on the same line on the Events Calendar archives
- FIXED: Sticky header logo not showing on mobile when using header v7 in certain cases
- FIXED: PHP notice on the portfolio archive template
- FIXED: Parallax background image in header being incorrectly displayed on mobiles
- FIXED: Some taxonomy entries not being correctly deleted from database when a Fusion Slider is deleted
- FIXED: Container background color not working correctly on mobiles, when fade effect is used
- FIXED: Button shape override in tagline element not working in all cases
- FIXED: ConvertPlus element not auto activated when the plugin is activated
- FIXED: Issue with ConvertPlus and auto loaded forms
- FIXED: Padding and margin values in columns being undefined if left empty
- FIXED: A rare header transparency issue on archive pages
- FIXED: A rare issue in Fusion Slider with slide auto advancing and video slides
- FIXED: Anchor scroll position not being correct on header v4/v5 on classic mobile menu when only having the menu sticky
- FIXED: Blog grid separator being displayed when no meta data is displayed below it
- FIXED: Title and caption from main image being used on lightbox image in image element context
- FIXED: Lightbox controls not working on single images, when using keyboard navigation and mouse scroll consecutively
- FIXED: Title element separator theme option setting having incorrect default set


-----------------------------------------------------------------------------------------
Version 5.6.2 - July 31th, 2018
-----------------------------------------------------------------------------------------


- IMPROVEMENT: Retina logos are now imported on demo import
- IMPROVEMENT: Added explanation box to the Gutenberg tryout panel
- IMPROVEMENT: Updated the Google maps element preview to display the API that is set
- IMPROVEMENT: Changed color overlay for Google maps static API to match the JS API
- FIXED: Fusion Builder demo pages zip archive unzipped even if already done
- FIXED: uberMenu mobile toggle being hidden
- FIXED: Avada desktop menu displayed on mobiles, when uberMenu is active but no menu is assigned
- FIXED: Display issue when using Events Calendar filter bar plugin in vertical mode
- FIXED: Updated Events Calendar venue widget template to remove deprecated function
- FIXED: Global element un-assignment issue with containers that are deleted from the library
- FIXED: Accessibility issue where menu item focus does not work on iOS
- FIXED: Anchor scrolling for anchors outside of post content not working when using scroll sections
- FIXED: Facebook social link missing noopener/noreferrer rel attribute
- FIXED: Social link widget links missing noopener/noreferrer rel attributes
- FIXED: Rule style Theme Option for the text element not being respected as element default
- FIXED: Charts element right padding incorrectly using top padding option
- FIXED: Icons on separators not vertically centered when using single seps with larger border size
- FIXED: Minor JS error on the Avada system status page
- FIXED: WooCommerce state field on mobile missing bottom margin
- FIXED: Sticky footer not being correct when content height changes on AJAX
- FIXED: Visibility options not working for Events element
- FIXED: Lightbox toolbar buttons (play, stop, fullscreen) not working correctly
- FIXED: Lightbox videos not always in correct order when using next/prev navigation buttons
- FIXED: Google maps element using static API not being responsive


-----------------------------------------------------------------------------------------
Version 5.6.1 - July 18th, 2018
-----------------------------------------------------------------------------------------


- NEW: Added Google Maps static API choice to Google maps element and contact page template
- NEW: Added a theme option to control the font size of form inputs site wide
- NEW: Fusion Builder right click context menu added to the element library
- IMPROVEMENT: "Save as draft" button added to the Fusion Builder sticky buttons for easier saving of non-published posts
- IMPROVEMENT: Timestamps removed from dynamic CSS filenames to improve caching performance
- IMPROVEMENT: Added gallery and image before/after element images to Yoast's XML sitemap
- UPDATED: Font awesome now is on version 5.1
- FIXED: Privacy bar options disabling container video backgrounds in some cases
- FIXED: Privacy bar not scrollable on mobiles, when height is larger than viewport
- FIXED: Accessibility issue with mobile menu sub menu toggles
- FIXED: Unboxed toggle icons not using hover accent color in toggle and FAQ elements
- FIXED: Icon only menu option not working correctly in top menu on mobile
- FIXED: Columns of WooCommerce shortcodes not being correct on the main shop page
- FIXED: "Phone" and "Email" on WooCommerce order review page not being translatable
- FIXED: Latest Gravity Forms versions forcing body font size on form inputs
- FIXED: Blog post featured image dimensions page option not being respected correctly
- FIXED: User login element using redirection link, even if login data was incorrect
- FIXED: Image before/after element using fade effect not being correctly displayed in IE11


-----------------------------------------------------------------------------------------
Version 5.6 - July 9th, 2018
-----------------------------------------------------------------------------------------


- NEW: 4 New Professionally Designed Demos
- NEW: Added right click context menu to Fusion Builder for easier element interactions and edits
- NEW: Fusion Builder element library admin screen to easily manage, and edit your saved elements
- NEW: Mobile menu search is now enabled for all headers
- NEW: GDPR feature: added a customizable privacy banner that can handle embeds, tracking codes and custom cookie content
- NEW: Added privacy settings support for the Theme Options tracking code field
- NEW: Added API choice to Google maps element and contact page template to allow unlimited free map loads
- NEW: Added option to choose the HTML heading size in content box element
- NEW: Added ability to easily remove global property of a single element instance in Fusion Builder
- NEW: Added option to load media query CSS files asynchronously improving performance especially on mobiles
- NEW: Added option to show dropdown indicator also on sub-menus
- NEW: Added option to set the size of the sub-menu and mega menu top highlight borders
- NEW: Added option to set divider lines between footer widget areas
- NEW: Added option to set left/right padding for footer widget areas
- NEW: Added options for column spacing, content padding, excerpt length and load more to the Events element
- NEW: Added content padding theme option for WooCommerce product boxes
- NEW: Added quantity boxes to WooCommerce products in cart on mobiles along with a new design
- NEW: Added option to set a font size for the Toggle element heading
- NEW: Added toggle icon box color and hover accent color options to the Toggle element
- NEW: Added border size, border type and border color options to the Gallery element
- NEW: Added advanced server response output for remote get requests for easier debugging
- NEW: Added option to Flip Box element to have buttons either span full width or default
- NEW: Compatibility with The Events Calendar 4.6.19 incl. new page title and font size Theme Options
- NEW: Compatibility with WooCommerce 3.4.3
- NEW: Checked and confirmed WCAG 2.1 compliance
- IMPROVEMENT: CSS caching is now no longer page driven but content driven, which will create less files and increases performance
- IMPROVEMENT: Reduced the amount of used media queries in CSS for better performance
- IMPROVEMENT: Added performance improvements to the PHP auto loader class
- IMPROVEMENT: Sub-menus on mobile are now using the mobile menu typography
- IMPROVEMENT: Added check for set privacy page to the privacy embed placeholders
- IMPROVEMENT: Sub-menus are now shown when a parent menu is accessed through keyboard tabs
- IMPROVEMENT: Removed logo spacing in header v7, if no logo is set in Theme Options
- IMPROVEMENT: Added custom notices to privacy element, if alert element is disabled
- IMPROVEMENT: Added more advanced plugin update error messages for easier debugging
- IMPROVEMENT: Added option dependency system to widget and menu options
- IMPROVEMENT: Padding of the months labels of blog timeline layouts now scale automatically with font size
- IMPROVEMENT: Search field in Fusion Builder element library now has auto focus for better UX
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added new actions and filters for better customizability
- IMPROVEMENT: The deprecated avada_ipad_portrait_styles filter is removed
- IMPROVEMENT: Removed deprecated iPad.less stylesheet
- UPDATE: Changed admin screen permission to switch_themes for Envato compliance
- FIXED: Mobile menu font not correctly applied to menu items that are icon only on desktop
- FIXED: Events filter bar styling issues on tablets and mobiles
- FIXED: Top margins in Column element being collapsing sometimes
- FIXED: Wrong text domains used for the privacy embed placeholder strings
- FIXED: fusion_privacy_cookie_args filter not being at correct location
- FIXED: Flyout menu items sometimes hidden below header, when menu  is higher than viewport height
- FIXED: Incorrect border color check for page title bar when set through Page Options
- FIXED: WooCommerce shipping calculator on cart page missing the city/town input
- FIXED: Undefined variable in WooCommerce product loop template
- FIXED: WooCommerce star rating for review comments overlapping the figures on small screens
- FIXED: Issue with WooCommerce product sorting, when non default sorting is set in the WooCommerce options
- FIXED: Sticky header on scroll disappearing on iPads if disabled on mobiles but active on tablets
- FIXED: Small gap in Events Calendar navigation on mobiles
- FIXED: Menu items in mobile flyout menu not being vertically centered
- FIXED: Videos not always correctly auto playing in Chrome
- FIXED: Container background images with fixed parallax mode not working correctly in Chrome 67 (Chrome bug)
- FIXED: Double white space in blog meta data after author
- FIXED: Image element with bottom shadow or lift-up style taking up some white space, even if visibility settings hide element
- FIXED: Infinite loop on 404 page, if neither 404 or main menu are assigned
- FIXED: Modal window element height collapsing when floated content is used
- FIXED: Left side header in boxed layout on RTL overlapping content
- FIXED: Responsive type script in some cases interfering with responsive scripts of premium sliders
- FIXED: Full screen Fusion Slider not loading full screen when the slider is not in viewport on load time
- FIXED: PHP notice in class-avada-scripts.php
- FIXED: Auto created related post fixed image sizes not always updated or deleted correctly
- FIXED: Chrome browser incompatibility with background videos in containers
- FIXED: Undefined index PHP notice in social widget class
- FIXED: IE11 sometimes displaying small gaps when using section separators
- FIXED: Minified Vimeo JS script causing some compatibility issues in IE11
- FIXED: Events Calendar excerpt length being incorrect when loaded through AJAX
- FIXED: A few icons missing from font awesome icon picker
- FIXED: LinkedIn social icon tooltips not spelled with uppercase "I"
- FIXED: Mobile device check for parallax backgrounds not detecting all devices correctly
- FIXED: A parallax backgrounds performance issue on mobiles
- FIXED: Dependency check missing for scroll to anchor script if JS compiler is turned off
- FIXED: Notice about changed options showing on Theme Options load on tabs with typography elements
- FIXED: JS compiler being off notice in Theme Options showing after reload, if compiler was turned off by user
- FIXED: Fusion Builder search for columns issue
- FIXED: Check for Avada being active missing in the privacy class, which could cause fatal error
- FIXED: Small PHP 7.2 compatibility issue leading to a warning


-----------------------------------------------------------------------------------------
Version 5.5.2 - May 22nd, 2018
-----------------------------------------------------------------------------------------


- NEW: GDPR feature: Added possibility to host Google fonts directly on your server
- NEW: GDPR feature: Added new options to allow loading of all third party embeds only after user consent was given
- NEW: GDPR feature: Added a new privacy element to give users the ability to manage their social media consents
- NEW: GDPR feature: Added a new option to user registration element that allows for a custom message
- NEW: GDPR feature: Added new Theme Option to add a consent checkbox with custom text to the Avada contact form
- NEW: GDPR feature: Added the WP 4.9.6 native comment checkbox to the comment form template
- NEW: Full support of WooCommerce 3.4
- NEW: Support for WordPress 4.9.6
- NEW: Added a new author widget, that can display all kinds of information of an author and also date of current post
- NEW: Added options to set gutter width between sidebar and content area
- NEW: Added new Theme Option to control the header color and transparency for archive pages
- NEW: Added new Theme Options for the accent color of all alert box types
- NEW: Added WhatsApp social icon to social sharing box and social icons in Theme Options
- NEW: Added text alignment option (left/center/right) to blog element and archives
- NEW: Added full pagination option and text alignment option (left/center/right) to recent posts element
- NEW: Added new base font size option for bbPress that gives you control over main text site and auto calcs others
- NEW: Added an option to display Avatar images in squares or circles throughout the site
- NEW: Added "skip to content" link in header.php for better accessibility reasons, to easier get to main content
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: IE specific stylesheet is now minified
- IMPROVEMENT: Added new actions and filters for better customizability
- IMPROVEMENT: Added notices to backend pages with information about data that is sent to ThemeFusion, when loading demos, plugins etc.
- IMPROVEMENT: Added more keywords to the font awesome icon picker, for easier icon search
- IMPROVEMENT: Increased performance for backend element preview for gallery element, by using thumbnails
- IMPROVEMENT: Set protocol on redirect URL in user login element explicitly
- UPDATED: Font awesome now is on version 5.0.13
- UPDATED: Extended sub-pixel bug fix for masonry script to all grid layouts, to correct certain rounding errors
- UPDATED: All links in Avada's backend reflect the new URLs on our server
- FIXED: Added nonce check for saving Fusion Slider meta fields
- FIXED: Nested columns as saved element not keeping the set options correctly
- FIXED: Adding widget areas failing after a demo was imported and removed on a fresh install
- FIXED: Aspect ratio of preview thumbnails in lightbox not being correct for horizontal layout
- FIXED: Breadcrumbs "Tags:" prefix missing a white space before actual tags
- FIXED: Issue with Google fonts not selectable in Theme Options after update, if no Google font was set prior to last update
- FIXED: Font styles for fonts set to use normal not being correct, if body font uses non default styles
- FIXED: Page Title Bar border color transparency not working correctly in all browsers
- FIXED: Blog medium layouts not being displayed correctly in IE11
- FIXED: Portfolio element text layout padding Theme Option not being correctly respected as global default
- FIXED: Children in content box element having a custom icon width/height set by default, which defeats so parent inheritance
- FIXED: Vimeo video JS script being loaded, even when disabled in Theme Options
- FIXED: Vimeo video slides not always auto playing correctly
- FIXED: Rich snippets check for author in post meta data not being correct
- FIXED: Accessibility issue in the form field, with the label not being tied to the input
- FIXED: Usage of deprecated function with latest gravity forms version


-----------------------------------------------------------------------------------------
Version 5.5.1 - May 02nd, 2018
-----------------------------------------------------------------------------------------


- NEW: Added new border width and border radius options for form fields
- NEW: Added new "clean" design option for search forms across the site
- NEW: Added new text transform option to button element
- NEW: Added a Theme Option to set hover color for breadcrumb links
- NEW: Added new layout (floated inputs) to login/registration elements
- NEW: Added "remember me" checkbox option to login element
- NEW: Added max width option to image element, to control the maximum space an image would take up
- NEW: All option color pickers now support RGBA colors
- IMPROVEMENT: Doubled the performance of get_attachment_id_from_url() function for better page load times
- IMPROVEMENT: Removed a few not needed font awesome assets from package
- IMPROVEMENT: Made sure that WP's native comment-reply.js is always loaded in footer
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Container element now supports all CSS units for margin and padding options
- IMPROVEMENT: Added several UI improvements to the new chart element
- FIXED: Issue with menu icons stored in old format leading to display issues after font awesome 5 update
- FIXED: Incorrect parameter setup for fusion_is_hundred_percent_template filter
- FIXED: The Events Calendar activation redirection kicking in, when activating plugin on demo install screen
- FIXED: Tooltip arrow size and color on Events Calendar month view
- FIXED: Variation thumbnail size in Avada's WooCommerce gallery
- FIXED: Content box element horizontal timeline not being visible when boxes have non-transparent background
- FIXED: Content box element custom image icons not being fully centered on layouts with icon on top
- FIXED: Alignment option not working in image element, when bottom shadow styling is used
- FIXED: RTL issues on the WooCommerce my-account login page and on cart page
- FIXED: Display issue with the backend post table on screens below 782px
- FIXED: Added several icons that previously were font awesome based to our system icon font
- FIXED: Metadata container on blog archives not correctly removed when no metadata is displayed, causing some extra spacing
- FIXED: Issue in value sanitation class, when using CSS calc() in options
- FIXED: Modal element close icon not changing color correctly based on chosen background color
- FIXED: Login/registration elements adding heading tag markup even if no heading is set
- FIXED: Login/registration elements not respecting custom form field settings
- FIXED: Several plural forms for string translations
- FIXED: Compatibility issue with WP versions below 4.6 because of usage of wp_get_attachment_caption()
- FIXED: Compatibility issue with WP versions below 4.9 because of usage of wp_enqueue_code_editor()
- FIXED: Potential compatibility issue with other plugins in Avada's menu options script
- FIXED: Column lift up hover effect being partially hidden, when using animated columns
- FIXED: Mobile flyout menu causing gap when being closed while header is sticky and secondary header being used
- FIXED: Animation offset default not correctly set for nested columns


-----------------------------------------------------------------------------------------
Version 5.5 - April 23rd, 2018
-----------------------------------------------------------------------------------------


- NEW: 3 New Professionally Designed Demos
- NEW: Fusion Builder Chart element for rendering 6 different chart types along with dozens of customization options
- NEW: Fusion Builder Before / After and Image Switch element with various design styles, customization options and more
- NEW: Fusion Builder Syntax Highlighter element for front end code rendering the way you want it, click to copy, style it your way
- NEW: Fusion Builder Text element now allows to use split columns for running text and inline elements along with design options
- NEW: Fusion Builder Checklist element now has an options to set divider lines and divider colors and a new Theme Option to set the item size
- NEW: Fusion Builder Alert element has new options to align content (left/center/right) set text transform and to enable/disable the dismissal button
- NEW: Avada Tabs widget now offers both clean and classic design styles to fit your site design consistently
- NEW: Avada Tab Widget now offers a Post Design feature that allows you to display the featured image as a square / circle or no image with the date
- NEW: Added image hover types and link targets to the Avada 125x125 Ads widget
- NEW: Masonry layouts now support 2x2 images for extra large image rendering and more creative layouts
- NEW: Masonry aspect ratio settings (1x1/landscape/portrait/2x2) have been added for image attachments to allow total control over every image
- NEW: Integration of Font Awesome 5 which offers almost 300 more icons to use throughout the entire theme
- NEW: Sliding bar now has padding options for all layouts along with a new width option and column layout options for the left/right layouts
- NEW: Single post titles will automatically change to an H1 tag for better SEO when the page title bar is disabled
- NEW: Single post extra section headings automatically changing to an H2 tag for better SEO when the page title bar is disabled
- NEW: Added complete typography options (font family, size, weight, letter spacing, color, etc.) for post titles and single post page extra section headings
- NEW: Boxed mode outer background image settings can also be used on wide layouts now and are called "Page Background" settings in Theme Options
- NEW: Page Background settings now have full option overrides in Fusion Page Options
- NEW: Changed to new Vimeo embed API and removed usage of deprecated Froogaloop library
- NEW: Updated all premium bundled plugins to latest version as of release date
- NEW: Added Yoast SEO plugin to our Avada plugins page since it is fully supported, recommended and easier to install
- IMPROVEMENT: Image title and captions will now show in WooCommerce product image lightbox
- IMPROVEMENT: The .min suffix is now added to all compiler created JS and CSS files to improve 3rd party compatibility
- IMPROVEMENT: Added style integration for select2 drop downs
- IMPROVEMENT: WooCommerce My Account menu dropdown no longer closes on username auto completion
- IMPROVEMENT: Menu anchor scrolling for 100% height scrolling sections is now a lot smoother
- IMPROVEMENT: Added support for The Events Calendar customizer options
- IMPROVEMENT: Updated several descriptions to improve option explanations
- IMPROVEMENT: Updated URL protocol check implementation of dynamic CSS files for better compatibility with CDNs
- IMPROVEMENT: Alt attribute of slider fallback images is now auto pulled
- IMPROVEMENT: Added auto line breaks for very long URLs without hyphens in The Events Calendar sidebars to prevent overflow
- IMPROVEMENT: Dashboard performance is now optimized when using many tags or blog categories
- IMPROVEMENT: Added filters to change alt tag of the site logo image, blog element pagination, and compiled CSS/JS files
- IMPROVEMENT: Fusion Builder API - Icon picker option can now be used multiple times in one Fusion Builder element
- IMPROVEMENT: Fusion Builder API - Custom heading and description can now be set for sortable parent/child Fusion Builder elements
- FIXED: Blog medium layouts being incorrectly styled when using Fusion Builder in single posts and full post content on blog archive pages
- FIXED: Logo doubled on mobiles when using header v7 and dedicated sticky menu
- FIXED: Outer background image not being displayed correctly on archive pages when framed boxed layout is used
- FIXED: Dedicated sticky menu not being visible on mobile sticky flyout menu
- FIXED: Logo being behind overlay when mobile flyout menu is opened
- FIXED: WooCommerce product sorting not working correctly in v3.3 when default sorting is set to price
- FIXED: Overall price for product bundles not being correct in WooCommerce menu cart widget when using product bundles add-on
- FIXED: WooCommerce woocommerce_order_details_after_order_table_items filter missing from our override
- FIXED: WooCommerce single product shortcode using the WooCommerce default column amount setting
- FIXED: WooCommerce product image zoom not working on touch screen devices when tapping the images on single products
- FIXED: Displaying first feature image on pages being disabled by default in Fusion Page Options
- FIXED: Boxed icon background color option not always showing in social links widget
- FIXED: Link selector field missing posts under certain circumstances
- FIXED: Selection of pre defined theme color schemes in Theme Options resetting menu typography options
- FIXED: Navigation styling not respecting Theme Option styling settings when using the <nextpage> delimiter
- FIXED: Sticky sidebars on mobile causing page jump when scrolling down to page footer
- FIXED: Styling issue with element color pickers in RTL mode
- FIXED: A few RTL styling issues on back end admin pages
- FIXED: Fusion Builder sticky bar not always being correctly displayed on small screens and in one column view
- FIXED: Custom ID and class in gallery element not being applied on front end
- FIXED: Content boxes with vertical timeline layout and empty content area displaying timeline too long
- FIXED: Isotope layout being messed up after AJAX complete when using The Events Calendar shortcode with photo view
- FIXED: Previous/next navigation being incorrectly aligned on portfolio single post pages
- FIXED: Previous/next navigation being incorrect when using recent versions of Post Types Order plugin
- FIXED: Pagination using text display not having correct link color on the arrows
- FIXED: Content boxes animation settings inheritance from parent to child not working correctly
- FIXED: Flip boxes animation settings being restricted to icons only, which will be applied to full boxes now
- FIXED: Smooth height not working on post slider element
- FIXED: Google maps tooltips not closing for all markers when tooltips are set to be invisible on load
- FIXED: JS error when using YouTube and Vimeo videos in two consecutive slides when using Fusion Slider
- FIXED: Container element Vimeo background videos not correctly muted and autoplayed
- FIXED: Check for deprecated excerpt length parameter in blog element being wrong which caused very old shortcodes to render excerpts incorrectly
- FIXED: Fusion Slider loop issue when using YouTube video
- FIXED: Fusion Slider taxonomy being publicly queryable
- FIXED: Slider fallback images being added to the DOM even if no slider is shown
- FIXED: Missing backend icons when Avada is active without Fusion Builder
- FIXED: Font awesome element preview incorrectly displayed in Fusion Builder
- FIXED: Flickering of flip boxes in IE11 browser
- FIXED: Image elements with bottom shadow overflowing container in IE11 browser
- FIXED: Person element image lift up hover effect leading to overflow in IE11 browser
- FIXED: JS scripts added to text element being executed in text element preview
- FIXED: Font weight explicitly applied to "bypostauthor" class which resulted in styling issue for certain fonts
- FIXED: 100% height center content option not disabled on mobile even if 100% height is disabled
- FIXED: Sliding bar positioning issue when using right positioning together with smooth scroll
- FIXED: Auto update class not using function_exists check for get_plugins function which could cause potential errors
- FIXED: Invalid HTML markup being added to vertical menu widget if no menu was selected
- FIXED: Flickering issue in Theme Options when using search mode and hovering different tabs
- FIXED: JS file loading issue on Avada FAQ admin page
- FIXED: Recent posts element column rendering being incorrect
- FIXED: A few db queries that were not properly prepared
- FIXED: Bug in Fusion Builder custom CSS field that made deleting all contents when backslash is used impossible
- FIXED: Top menu sub-menus on deeper levels showing siblings instead of navigating to the actual page when being clicked
- FIXED: PHP 7.2 error notice regarding usage of count function on non array variable in class-avada-nav-walker.php
- FIXED: PHP 7.2.2 notice thrown in the ThemeFusion news widget in WP backend
- FIXED: Parent/child option dependencies not working correctly in some Fusion Builder elements
- FIXED: Option dependencies for grid color settings in portfolio element not being correct in all cases
- FIXED: Flip box element missing default for icon circle option
- FIXED: Compatibility issue on variable WooCommerce products caused by AliDropship Woo Plugin
- FIXED: Next/previous arrows in lightbox sometimes missing when lightbox was closed on first/last image and then reopened
- FIXED: Slider positioning through Fusion Page Options not working correctly on main WooCommerce shop page
- FIXED: Gallery isotope grid layouts messing blog/portfolio isotope layouts when used inside of them
- FIXED: When CSS compiler is off Fusion Builder enqueued non minified shortcode, animation and lightbox style files instead of minified
- FIXED: Menu being incorrectly resized after AJAX complete when sticky header is active and menu background style is used
- FIXED: Font Awesome icons floating out of wrappers in tabs, toggle and testimonial elements
- FIXED: Page background not being full page height when using 100% background image and sticky footer
- FIXED: Added width and height attributes to testimonial element images
- FIXED: One page scrolling from external page not working when anchor uses special chars
- FIXED: Icons in icon picker of Avada Menu Options popup being duplicated when same item is opened several times
- FIXED: H4 headings in footer and sidebars not inheriting all h4 typography settings of from Theme Options
- FIXED: Post meta data not displaying at all when set to be below title and title was disabled
- FIXED: Menu padding doubled on RTL sites when using background highlight style
- FIXED: PHP warning caused by the_title filter in breadcrumb class being applied with only one parameters
- FIXED: Portfolio load more button removal script hiding all load more buttons on page when portfolio is fully loaded
- FIXED: Portfolio infinite scroll not always loading next posts correctly when using masonry layout
- FIXED: Font awesome stylesheet being double enqueued
- FIXED: Sub-pixel bug in masonry script to correct layout issues on certain setups
- FIXED: Page title bar blog option not hiding bar correctly when retina image is used


-----------------------------------------------------------------------------------------
Version 5.4.2 - January 29th, 2018
-----------------------------------------------------------------------------------------


- NEW: Full support of WooCommerce 3.3
- NEW: Updated all premium bundled plugins to latest version as of release date
- NEW: Added a Theme Option to set a custom link URL for the site logo
- NEW: Added a Theme Option to set the icon circle bg color for separator element
- NEW: Added filter for easier changes of secondary (top) header content
- NEW: Replaced the select2 JS library with selectWoo library for better 3rd party compatibility
- IMPROVEMENT: Added the post ID as class to portfolio element posts to make CSS targetting easier
- IMPROVEMENT: Made Fusion Page Options available on Event Espresso single event screens
- FIXED: PHP fatal error when Fusion Builder is active without Avada
- FIXED: PHP fatal error on view order page, if a product of the order was already deleted from db
- FIXED: Border on tab missing on My-Account view order pages, when using WooCommerce horizontal tabs layout
- FIXED: Select2 library conflict with Events Calendar Pro list widget on backend
- FIXED: Links in lists inside the widget area element being displayed as block elements
- FIXED: Smooth scroll for on page anchors not working if header is turned off in Page Options
- FIXED: PHP fatal error on PHP 7+ in recent posts element, when retrieving posts by tags
- FIXED: PHP 7.2 compatibility issue happening on Theme Options save, causing a PHP notice
- FIXED: Page Option dependency with the rollover custom link icon
- FIXED: Smooth anchor scrolling to begin of 100% height scrolling section not working on setups like Adventure demo
- FIXED: Smooth anchor scrolling position incorrect on mobiles when anchor is inside 100% height scrolling section
- FIXED: Smooth anchor scrolling not working on mobiles when JS compiler is off
- FIXED: Flip boxes column alignment issue on desktop
- FIXED: Content boxes column alignment issue on tablet portrait mode
- FIXED: Icon circle bg color in separator element being used, even if circle was turned off
- FIXED: Default mobile menu font color not changing with color scheme


-----------------------------------------------------------------------------------------
Version 5.4.1 - January 16th, 2018
-----------------------------------------------------------------------------------------


- NEW: Added possibility to update bundled premium plugins outside of theme updates
- NEW: Updated Fusion White Label Branding Plugin To Latest Version As of Release Date
- NEW: Updated Advanced Custom Fields Pro Plugin To Latest Version As of Release Date
- NEW: Updated Convert Plus Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: It is now possible to link to a single tab directly, when using a smooth scroll anchor link on the same page
- IMPROVEMENT: Integrated the styling of featured events for The Events Calendar plugin
- IMPROVEMENT: Rendering of images in gallery element preview optimized when using a lot of images
- IMPROVEMENT: Cached queries are no longer language agnostic, to improve compatibility with mem cache plugins
- IMPROVEMENT: Updated error notices popup on plugin installation page for better UX
- IMPROVEMENT: Removed the Convert Plus registration nag to free admin pages from clutter
- IMPROVEMENT: Fusion Builder CPT now hidden from the link selector options for easier navigation
- FIXED: Added nonce check for Fusion Slider exports, so slider export can't be downloaded outside of backend
- FIXED: Spacing issue inside vertical timeline content boxes, when box title is linked
- FIXED: page contents height sometimes being too large when using parallax Fusion Slider together with parallax footer
- FIXED: Icon unboxed mode not working correctly in FAQ element
- FIXED: Indentation issue and missing arrows on vertical menu widget when using custom menu
- FIXED: Gallery element not being rendered when there is a URL scheme mismatch between actual URLS and site URL in WP settings
- FIXED: WooCommerce equal height products not working correctly in IE11
- FIXED: Content area being misaligned on WooCommerce MyAccount page when horizontal tabs layout is used
- FIXED: Compatibility issue with YITH WooCommerce Pre Order Premium plugin on single products page
- FIXED: Menu items linking to an anchor on same page not highlighted correctly in mobile menus when page is scrolled
- FIXED: Sticky header height calcs being incorrect when using very small headers and no sticky animation
- FIXED: Smooth scroll to anchor not working when header is turned off in Fusion Page Options
- FIXED: Content behind overlay moving up under certain circumstances when mobile flyout menu is used
- FIXED: Fusion Builder sticky button being labeled "Publish" even on a private post where it should be "Update" instead
- FIXED: Fusion Builder sticky update buttons getting added to WP dashboard when activity widget is used
- FIXED: Positioning issue of titles on single posts page on RTL setups
- FIXED: Image element not being able to render all foreign image file names, due to encoding
- FIXED: Portfolio using fusion-builder text domain instead of fusion-core
- FIXED: Small admin links separator showing on first post of bbPress topics when logged out
- FIXED: Minor styling issue with form inputs on iOS
- FIXED: Countdown element weeks default option value not being correctly shown in backend
- FIXED: "Imported" label in importer not being AJAX updated
- FIXED: Slider Revolution attachment not being correctly deleted, when a demo containing such a slider is removed
- FIXED: onYouTubeIframeAPIReady() function being called even if YouTube scripts are turned off in Theme Options
- FIXED: Rare issue with Fusion Builder global elements causing memory issue, if the template id was missing
- FIXED: Side header with sticky header enabled on mobile cannot scroll menu
- FIXED: Portfolio lightbox gallery not working correctly when set to show post images only, and All filter is deactivated


-----------------------------------------------------------------------------------------
Version 5.4 - December 19th, 2017
-----------------------------------------------------------------------------------------


- NEW: 3 New Professionally Designed Demos
- NEW: Added Advanced Custom Fields Pro plugin to our set of bundled premium plugins
- NEW: Added Fusion White Label Branding plugin to our set of bundled premium plugins
- NEW: Added Convert Plus plugin to our set of bundled premium plugins
- NEW: Added a Fusion Builder element for Convert Plus plugin
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Added sliding bar link hover color setting to Theme Options
- IMPROVEMENT: Related posts with fixed image size mode now make full use of responsive image setup
- IMPROVEMENT: Updated a few database queries that were not following WP coding standards
- IMPROVEMENT: Added new option to Fusion Slider to choose scroll down arrow or nav bullets, to avoid overlapping
- IMPROVEMENT: Fusion Slider now also showing in preview mode of scheduled posts
- IMPROVEMENT: Updated multiple featured image class to make meta box appearance the same across browsers if no image is yet chosen
- IMPROVEMENT: Updated links on Fusion Builder add-ons page to SSL
- IMPROVEMENT: Gallery pre-selection is now available on already created gallery elements
- IMPROVEMENT: Updated several descriptions to improve option explanations
- FIXED: 100% height scrolling sections being cut off on mobile, even if the 100% height option is disabled
- FIXED: Blog pagination not being able to go beyond 5 pages
- FIXED: Sliding bar icon on header v6 being visible, even if sliding bar was disabled
- FIXED: Compatibility issues with plugins adding custom fields to checkout page
- FIXED: Demo import only working for primary language when using WPML
- FIXED: Demo import failing when mbstring PHP extension is not loaded
- FIXED: Link selector in different Fusion Builder elements not working correctly in Firefox
- FIXED: Backend compatibility issue with Yoast SEO when horizontal menu widget is used in page contents
- FIXED: Arrow highlight indicator not working, when main menu item consists of an icon only
- FIXED: Dedicated sticky header menu not working for header v6
- FIXED: Vimeo video not pausing when moving to next frame in lightbox
- FIXED: Fusion Taxonomy Options for WooCommerce product archives not working correctly
- FIXED: A few styling issues in the vertical menu widget
- FIXED: Javascript error and rendering issue, when using elements with lightbox option where a sub element misses image
- FIXED: Styling issues on RTL setups for the tab element
- FIXED: Icon / heading alignment issue in content boxes element when using vertical timeline layout
- FIXED: Drop shadow not correctly working with zoom in/ zoom out image hover effects
- FIXED: Bottom shadow not correctly displayed on person element if image lift up hover type is chosen
- FIXED: Blog element padding setting from Theme Options not applied as default value for blog elements
- FIXED: Equal heights setting in containers causing height issue when using the Events Calendar element
- FIXED: Anchor scrolling on mobile not working correctly when triggered through sub-menu items
- FIXED: Facebook widget no correctly resizing with the available space in wrapping container
- FIXED: Fusion Taxonomy Options slider setting incorrectly copied to category pages from main shop page (upgrade fix only)
- FIXED: Popularity setting in tabs widget not working correctly for non English languages
- FIXED: Stored padding values for a few elements not being correctly read into the Fusion Builder settings popup
- FIXED: Social icons widget conditional options only working after widget was saved for the first time
- FIXED: PHP notice in social icon class if no title was set for custom icons
- FIXED: Blank page template alignment issue when using side header and sticky footer
- FIXED: Smooth anchor scrolling not respecting mobile sticky header when used on side header desktop layouts
- FIXED: Theme Option remote media warning notice showing on all admin pages
- FIXED: Overlay issue under certain circumstances when switching between shortcode generator and Fusion Builder


-----------------------------------------------------------------------------------------
Version 5.3.1 - November 29th, 2017
-----------------------------------------------------------------------------------------


- NEW: 100% width option added to WooCommerce single product pages
- NEW: Added the new tabs functionality to the Facebook widget
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Added a filter for developers for 100% width template check in header.php
- IMPROVEMENT: Email generated by the Avada contact page form are now RTL ready
- IMPROVEMENT: Version number comparison for auto updates to make sure update notice disappears correctly
- IMPROVEMENT: Made sure that bold and strong tags use same font-weight across browsers
- IMPROVEMENT: Fusion Cache reset confirmation box now uses standard alert box for easier usage
- IMPROVEMENT: Updated some option descriptions for better usability
- IMPROVEMENT: "Insert from URL" option in media uploader is now available for the Text Block element
- FIXED: Setting sidebar to "No Sidebar" in Fusion Page Options not working correctly for posts
- FIXED: Mega menu background images having 1px gap on the side for certain setups
- FIXED: Side header background color hiding background image on archive pages that don't use Fusion Taxonomy Options
- FIXED: Smooth scroll issue when using portfolio element with infinite scroll / load more button
- FIXED: Sliding bar always being open when used on right side of viewport together with smooth scroll
- FIXED: Compatibility issue with the Events Calendar shortcode for photo view, causing a JS error
- FIXED: Skype phone link not working correctly in Social Links widget
- FIXED: Avada Menu Options not being correctly saved when used in WP Customizer
- FIXED: Custom templates imported in Fusion Builder having an extra line break in text editor
- FIXED: Dedicated redirection link in Login element working even if a login error occurred (no security issue)
- FIXED: Images not showing for blog grid/masonry layouts, if excerpt length is set to 0 and also title and all meta data is hidden
- FIXED: Styling for WooCommerce search fields in select boxes
- FIXED: Images added to WooCommerce single product pages not being opened in lightbox, if corresponding Theme Options is active
- FIXED: Compatibility issue with WooCommerce Checkout Add-Ons plugin
- FIXED: Quotation marks not working in the contact form
- FIXED: bbPress plugin activation through importer causing import not working on first attempt
- FIXED: Rounding bug for navigation typography letter spacing in Theme Options
- FIXED: Link on demo import failure notice, so it correctly goes to System Status tab
- FIXED: Theme Option dependency description reading "Page Option" even for Fusion Builder Options
- FIXED: Compatibility issue on AJAX completion events with Fancy Product Designer plugin
- FIXED: New 5.3 demos not being available in the Fusion Builder single page imports
- FIXED: Facebook widget not being responsive on browser window resize
- FIXED: Encoding issue for some user inputs to elements using raw_textarea field, leading to element edit screen not being opened
- FIXED: Issue with WP category widget not loading selected category page
- FIXED: Two menus showing in mobile flyout menu, when a separate sticky menu is used
- FIXED: RTL issue with center aligned font awesome icons
- FIXED: RTL issue with blog element and large alternative layout
- FIXED: Compatibility issue with WP 4.6.8
- FIXED: Added compatibility with Borlabs cache plugin


-----------------------------------------------------------------------------------------
Version 5.3 - November 20th, 2017
-----------------------------------------------------------------------------------------


- NEW: 5 New Professionally Designed Demos
- NEW: Fusion Builder saved elements can now be used as globals, where any edits to the global will update contents on pages where the global is used
- NEW: Full screen scrolling sections with a side navigation graphic and fading animations between sections
- NEW: Added 100% height option to container element
- NEW: Sliding bar can be positioned on every side now (top/right/bottom/left)
- NEW: Sliding bar has new toggle layouts (floating circle / rectangle / menu item) and a set of new options, like sticky sliding bar
- NEW: Flyout menu is now available as additional mobile menu layout for all header versions
- NEW: Added import/export functionality to Fusion Page Options for easy usage of options across different posts/pages/sites
- NEW: Added set of page options to archive pages so that any archive can get individual styling (e.g. header, slider, page title bar)
- NEW: Added icon options to tabs element, so icons can be displayed on any side of the tab title and with an arbitrary size
- NEW: Added icon options to toggle element, so that icon alignment, size color and boxed/unboxed mode can be chosen
- NEW: Added a set of coloring options to pricing table element for deeper customization and to support new designs
- NEW: Added grid box background color, border color, separator style and separator color options to blog and portfolio elements
- NEW: Added grid box padding options for blog and portfolio archives and Fusion Builder elements
- NEW: Added full set of element and theme options to FAQ element so styling can be changed similar to toggle element
- NEW: Added sticky update/save and preview buttons to pages/posts using Fusion Builder for easier updating when page is scrolled
- NEW: Added Fusion Builder column options for deleting, cloning and resizing to nested columns element. Save icon cannot be added due to technical limitations
- NEW: Added parent level element options to content boxes, flip boxes, counter boxes and tabs elements for easier child item editing
- NEW: Revised our global sidebar setup to work more consistently with our option network
- NEW: Global sidebar assignments will work on all pages that use new "default" sidebar setting, even if forced global sidebars is off
- NEW: Side navigation setup (previously done via template) via the new vertical menu widget to display custom menu in sidebars and to simplify usage
- NEW: Added a full set of styling and alignment options for every widget that allows incredible new design possibilities
- NEW: Equal heights option is now available for blog and portfolio elements and archives in grid layout
- NEW: Equal heights option is now available for WooCommerce products on shop page
- NEW: Added Theme Option for choosing if WooCommerce shop page should be grid or list view by default
- NEW: Added Theme Option for choosing if the grid/list view buttons should be shown on WooCommerce shop page
- NEW: Added links to all user account page to the WooCommerce "My Account" main menu item
- NEW: Added margin options to font awesome element, so it can be positioned arbitrarily
- NEW: Added ordering options to portfolio element, so posts can be ordered by date, title, name, author, comment count, modified date, menu order or random
- NEW: Added options to order slides in Fusion Slider: post id, title, creation data, last updated or random
- NEW: Fusion Slider heading and caption can be set to any HTML heading tag (h1 - h6) for SEO optimization
- NEW: Option for Fusion Slider to display a downward arrow indicator on the slider which scrolls smoothly to page contents below slider
- NEW: Added preview images for Portfolio, FAQ and Fusion Slider post types in the dashboard list view
- NEW: Added options to recent posts element that allow meta data to be enabled/disabled individually
- NEW: Added a filter to Fusion Page Options so that developers can add their own tabs and use Avada specific UI
- NEW: Added filters for easily changing the portfolio strings like "Project Details", "Skills Needed" etc.
- NEW: Persistent object cache setups get cleared now on any kind of post manipulation to make sure changes are correctly reflected on front end
- NEW: Fusion Cache clearing functionality now can auto clear Autoptimize and LiteSpeed cache
- NEW: Added full set of mobile menu font typography options
- NEW: Full column link in column element now has option to choose if it should open in same or new tab
- NEW: Added notice about deprecation of PHP 5.2 support in Avada 6.0
- NEW: Added easy link selector support for options that take links, for better UX
- NEW: Added TinyMCE widget conversion for Fusion Builder elements when updating from Avada below version 5
- NEW: Avada grid image sizes can now be selected in the WP Media Library for easy usage
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Added native support for Envato hosted platform for easier plug and play integration
- NEW: Added new raw textarea element, so that HTML contents can be stored in elements like Google maps or tagline box
- NEW: Added Content display option for blog archives and for blog element global
- NEW: Added version and author information to the Add-ons featured on Fusion Builder Add-ons page
- IMPROVEMENT: Retina logos are setup through srcset now and not through additional HTML markup
- IMPROVEMENT: Avada's advanced responsive images now also working when using file names that are WP specific for generated thumbnails
- IMPROVEMENT: Social icons widget and element now use set names for custom icons in title for a better understanding UX
- IMPROVEMENT: Added a loading spinner when Fusion Caches are cleared to indicate progress
- IMPROVEMENT: Fusion Cache clearing works in modules now, allowing to only clear certain parts
- IMPROVEMENT: Portfolio element now displays a placeholder on mobile when Avada is used together with WP touch plugin
- IMPROVEMENT: Logo margin will no longer apply on front end, if no logo is set in Theme Options
- IMPROVEMENT: Removed old compatibility styles for IE8
- IMPROVEMENT: Google maps custom info box content is now displayed on front end, even if custom styling is disabled
- IMPROVEMENT: When using full screen Fusion Slider above header, the header is now also shown on mobiles
- IMPROVEMENT: Prefixed TGM plugin class to ensure compatibility with third party plugins using same class
- IMPROVEMENT: The avada-noscroll class now works for buttons in content and tagline boxes
- IMPROVEMENT: All needed token options are auto checked now when using the link to token generation on the registration screen
- IMPROVEMENT: Update page no longer needs reloaded after theme auto update in order for the update notice to be dismissed
- IMPROVEMENT: Updated option descriptions and explanations for better UX and fixed some typos
- IMPROVEMENT: Continued maintenance update to increase overall performance
- IMPROVEMENT: UTF-8 encoding is now automatically done during demo import to support maximum compatibility for post contents
- IMPROVEMENT: All mega menu options update live now, so dependent options no longer need a reload to show
- IMPROVEMENT: Demo data is no longer deleted after import is done, but remains available, so less requests are made
- IMPROVEMENT: Conversion related settings now have their own section on the system status page
- IMPROVEMENT: Import of Theme Options will now also work with max_input_vars at low values
- IMPROVEMENT: Consolidated all spacings, borders, background colors and separator options for blog and portfolio grid layouts for perfect matching
- IMPROVEMENT: Minor styling adjustments on different admin screens for better UX
- IMPROVEMENT: Implementation of blog pagination is refactored to improve performance when the amount of pages is very high
- IMPROVEMENT: Added new "default" option to the separator element style setting, so theme option setting can be used easily
- IMPROVEMENT: Make image meta data, like image titles, work for image elements on sites that changed URL scheme
- IMPROVEMENT: Image frame element is now simply called image, which fits its purpose much better
- IMPROVEMENT: Fusion Builder development mode includes more assets now unminified for easier development work
- IMPROVEMENT: When grid element color is set to transparent, borders are no longer added
- IMPROVEMENT: Simplified portfolio element text options for easier usage
- IMPROVEMENT: Better support of WP admin color schemes inside of Avada and Fusion Builder
- IMPROVEMENT: Better styling of search box in Fusion Page Options selects with a large amount of options
- IMPROVEMENT: Content boxes read more links can now be used for smooth anchor scrolling
- IMPROVEMENT: The WooCommerce login form in the main menu is now compatible with WP Engine security block filter
- UPDATED: Flexslider script to latest version 2.6.4
- UPDATED: iLightbox to the latest version 2.2.2
- UPDATED: Main navigation highlight radius option now uses a dimension field for better UX
- UPDATED: Better style integration for the new Events Filter Bar 4.5
- UPDATED: Removed custom WooCommerce product sorting from search results page, as it is no longer supported by WooCommerce
- FIXED: WCAG 2.0 issue with search in main menu not being accessible using the tab key
- FIXED: WCAG 2.0 issue with secondary menu drop downs not being accessible  using the tab key
- FIXED: Lightbox thumbnail missing for portfolio posts that use a video URL for first featured image
- FIXED: Lightbox not correctly working on mobiles in some instances, when viewing in desktop mode
- FIXED: Menu cart widget being cut off through viewport when using side header when cart has a lot of items
- FIXED: Removed the loading spinner on variable products on WooCommerce shop page when select options button is clicked
- FIXED: Incorrect featured image from displaying when WooCommerce Product Bundles plugin is used
- FIXED: Theme options export URL not working
- FIXED: Direct tab links causing other tab elements on same page to be empty
- FIXED: Minor WooCommerce styling issue on single product page, when stock is down to only 1
- FIXED: Issue with sorting on WooCommerce shop page, where sorting direction is not always correct or requires two clicks
- FIXED: Issue with WooCommerce variable product attributes falling to one line in cart when updating the cart
- FIXED: Menu highlight arrow not working for the WooCommerce "My Account" main menu item
- FIXED: Variation name not correctly displayed on WooCommerce checkout page for variable products
- FIXED: Shipping address not being displayed on WooCommerce order received page
- FIXED: WooCommerce shop page shown in breadcrumb paths on archive pages, even when post type archives are disabled in Theme Options
- FIXED: Styling issue with YITH WooCommerce Product Add-Ons Premium
- FIXED: Issue with WMPL, where caption and alt tags were not translated when multiple featured images are used
- FIXED: Styling issues with Events Tickets Plus forms
- FIXED: YouTube background video on containers always looping, even if set to no
- FIXED: Display issue with social sharing by mail when using titles with special characters
- FIXED: Minor issue with form input height for the search bar in main menu when not using px as unit
- FIXED: Quotation marks in contact form appearing as HTML entities
- FIXED: Quantity boxes from third party plugins losing the up/down arrows
- FIXED: Compatibility issue between Avada Facebook widget and Facebook Comments Plugin
- FIXED: Infinite scroll for blog elements being auto triggered under some circumstances when using masonry layout
- FIXED: Small inconsistency with the flyout menu icon font size
- FIXED: Blog element not displaying content when masonry layout is used and set to one column
- FIXED: Flip boxes not flipping correctly in latest Edge browser version
- FIXED: Image sizes in image carousel element not always being correct when fixed mode is used
- FIXED: Custom classes added to nested column element being doubled in HTML markup
- FIXED: Navigation arrows not correctly aligned in Fusion Slider when parallax mode is used
- FIXED: Amount of columns not showing in backend blog element preview
- FIXED: Fusion Slider full screen non-parallax layout not always correctly positioned
- FIXED: Fusion Slider compatibility issue with Polylang
- FIXED: Page title bar theme option for main blog archive pages only working on main blog page
- FIXED: RTL contents positioning issue in Page Title Bar
- FIXED: Responsive images calculation for one column setups being underestimated
- FIXED: Video resize issue when using a video element inside a container with video background
- FIXED: Missing alt attributes in mega menu thumbnail images
- FIXED: Menu anchor scroll not working on mobiles when JS compiler is turned off
- FIXED: Smooth scroll not working correctly with portfolio filters and load more button
- FIXED: Compatibility issue with plugins using same color picker instantiation function
- FIXED: Issue in IE11 where sub menus where not correctly displayed when using arrow highlight option
- FIXED: Page title bar vertical alignment issue in IE11 on mobiles
- FIXED: Browser history state when using anchor links containing underscores
- FIXED: A few PHP notices coming up in very rare cases
- FIXED: Missing map marker file in Music demo
- FIXED: Number of posts option in portfolio element not being able to pull global theme option value
- FIXED: Featured images not being auto selected in library, when editing the image in dashboard
- FIXED: Alt attribute missing for featured images, if more than one featured image is displayed
- FIXED: Mobile secondary menu hamburger toggle being misaligned
- FIXED: WP native video embeds overflowing content area, if viewport width becomes too small
- FIXED: Fusion Builder saved elements using incorrect status variable, which can lead to plugin conflicts
- FIXED: Gallery element on pages without additional content disables sticky header on load
- FIXED: Image carousel element sometimes overflowing wrapping container when there is not enough space
- FIXED: Equal heights for content boxes not working properly on iPad
- FIXED: Content on blog medium layouts flowing into sidebar on iPad
- FIXED: Fusion Builder element modals being too large on small screens, improved responsiveness
- FIXED: Scrolling issue with open modals on iOS, where scrolling or closing the modal does not work
- FIXED: Scrolling issue and doubled scrollbars when opening modal and smooth scroll is used
- FIXED: Color picker issue that caused the icon element color theme option affect flip box element icon colors
- FIXED: Equal heights option together with infinite scroll and dynamically changing post content causing display issues in portfolio element
- FIXED: Issue in slider element when saving the slider after removal of all slides causes an error
- FIXED: Heading typography settings not applied to all title element heading sizes under some circumstances
- FIXED: Auto calculation of first and last column, when updating from Avada versions < 4.0
- FIXED: LayerSlider import causing error when the LayerSlider plugin is not active
- FIXED: Ads widget not being displayed correctly
- FIXED: Polylang language switcher flags misaligned on mobile menu
- FIXED: Menu ordering buttons not working on the admin menu edit screen
- FIXED: Fusion Slider buttons not exactly left/right aligned on corresponding content layouts
- FIXED: Responsive type theme option not correctly working when Fusion Slider is enabled
- FIXED: Responsive type sensitivity options not working correctly when multiple sliders are on one page
- FIXED: Counter circles element incorrectly set back to 100% on resize and modal open when count down is used
- FIXED: Right side header in boxed mode not correctly positioned, when sticky footer is used
- FIXED: Lightbox on open jumping to top of page when sticky footer is used
- FIXED: Menu dropdown indicator on secondary menu on side headers being misaligned
- FIXED: Side header width not correctly respected in site width calculation for responsive images
- FIXED: Events Calendar filter bar date picker being below header
- FIXED: Small issue Fusion Slider assignment on pages translated using WPML
- FIXED: Portfolio one column buttons being to large in width when using full width buttons
- FIXED: Small gap above image on Events Calendar listing page on mobile
- FIXED: Shortcode generator not always correctly being triggered in editor text mode
- FIXED: Mega menu horizontal divider not respecting Theme Option menu separator color setting
- FIXED: Events Calendar single post sidebar styling being incorrect
- FIXED: Demo import fails if WooCommerce is activated from the demo popup
- FIXED: Tag archives sometimes incorrectly identified as Events Calendar archives


-----------------------------------------------------------------------------------------
Version 5.2.3 - November 14th, 2017
-----------------------------------------------------------------------------------------


- NEW: Compatibility with WordPress 4.9
- NEW: WooCommerce 3.2.3 support
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- UPDATED: Change wp_remote_post() test URL to ensure system status page evaluates functionality correctly
- FIXED: Facebook social sharing link not working correctly
- FIXED: Portfolio archive text alignment Theme Options not working
- FIXED: Blog element not being displayed when using including/excluding posts based on tag on PHP 7.1+ setups
- FIXED: Issue within nested elements when added via the generator to other Fusion Builder parent elements, where options where not displayed
- FIXED: Content box icons being misaligned when using classic icon boxed layout
- FIXED: AJAX complete trigger issue in avada-header.js sometimes causing header height issues
- FIXED: JS Compiler creating too many files when google maps scripts are used
- FIXED: Incompatibility between Fusion Page Options and Events Calendar 4.6.4 select2 library


-----------------------------------------------------------------------------------------
Version 5.2.2 - August 7th, 2017
-----------------------------------------------------------------------------------------


- FIXED: Fusion Builder text editor color picker and heading dropdown being hidden on WordPress 4.8.1
- FIXED: WooCommerce product sorting not working correctly
- FIXED: Gallery element not displaying correctly inside of toggles
- FIXED: Alignment issue of content box icons using icon circles
- FIXED: "Text display" setting in recent posts element changing from "None" to "Full Content"
- FIXED: Bulk image upload from within advanced elements causing child element issue
- FIXED: Title size being incorrect on single blog posts when meta details are below title
- FIXED: Container and column background image not being visible in Chrome v60 (browser bug)
- FIXED: "View Cart" link on product rollover not always being clickable
- FIXED: Smooth scrolling to anchors not working for links on a different page
- FIXED: Toggle Active Box Color not working on non-boxed toggles
- FIXED: Demo removal issue (leading to empty Theme Option values) on clean installs when using PHP 7.1+
- FIXED: Header v6 WCAG issue for the slide out toggle
- FIXED: Image rollover not working on WooCommerce Featured Image element when using clean styling
- FIXED: Issue with nicescroll on pages that use infinite scrolling or load more AJAX options
- FIXED: RSS field automatically filled with same link as Twitter field in Social Links widget
- FIXED: Container element border Theme Option not working correctly in individual elements
- FIXED: Breadcrumbs post type for blog post archive pages always showing, even if disabled
- FIXED: Load more button background color setting not working for portfolio archives


-----------------------------------------------------------------------------------------
Version 5.2.1 - July 17th, 2017
-----------------------------------------------------------------------------------------


- NEW: Links and menu items now have a smooth hover transition effect
- NEW: Added new settings to Theme Options to enable/disable single rich snippets
- NEW: Added a note and a link to Theme Option setting on post edit screens for featured image boxes
- NEW: Added 'Settings" link to Fusion Builder on the WP plugins page
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- IMPROVED: Blog element excerpt / full content setting updated for easier choice
- IMPROVED: Post meta data saving to increase performance on post save
- IMPROVED: Google fonts now loaded before custom CSS to avoid issues when custom CSS is incorrect
- IMPROVED: Limit for custom social link icons raised to 50
- IMPROVED: Toggles in boxed mode can be collapsed/expanded now when clicking anywhere on the background
- IMPROVED: Added some new option dependencies for easier configuration
- IMPROVED: Removed several !important statements
- IMPROVED: Removed unneeded old importer script parts
- IMPROVED: Blog grid/timeline padding between title and content when meta data is disabled
- UPDATED: Added the 3 new 5.2 demos to the Fusion Builder single page imports
- UPDATED: jQuery Nicescroll script to version 3.7.4
- FIXED: WooCommerce checkout validation failing when selling to only one country
- FIXED: WooCommerce my-account billing address first name field label alignment
- FIXED: WooCommerce breadcrumb structured data missing
- FIXED: Portfolio archive number of items Theme Option not working
- FIXED: Facebook like widget not resizing correctly in sliding bar and undefined index issue
- FIXED: Boxed mode shadow not stretching over full content height when using sticky footer
- FIXED: Mega menu dropdowns not disappearing when anchor links are clicked on menu
- FIXED: Responsive image sizes sometimes being overestimated in columns when 100% width templates are used
- FIXED: Additional size in responsive images sizes attribute causing issue in Chrome
- FIXED: Dependency issue of animations JS causing script errors when animations are disabled
- FIXED: Toggle contents sometimes reaching edge when using boxed mode
- FIXED: 1px gap when using #home link for anchor scrolling in Chrome
- FIXED: 1px vertical gap between portfolio images in some browsers when 0 column spacing is chosen
- FIXED: Fusion admin news widget not working on some hosts
- FIXED: Fusion Slider full screen option not always working in Safari
- FIXED: main HTML5 tag not being supported in IE11 causing alignment and parallax issues
- FIXED: Long description not working when using LinkedIn for social sharing
- FIXED: Smooth scrolling issue in Firefox when using nicescroll
- FIXED: Comment form fields not being full width on mobiles
- FIXED: restore_current_blog() called incorrectly on Fusion cache clear and also double main blog clearing on multisite
- FIXED: A small styling issue with the element action buttons in Fusion Builder
- FIXED: Image preview of some elements in Fusion Builder to remove distortion
- FIXED: Child element icon search also affecting the parent icons in Fusion Builder elements
- FIXED: IE11 spacing issue with bg images in empty columns


-----------------------------------------------------------------------------------------
Version 5.2 - July 10th, 2017
-----------------------------------------------------------------------------------------


- NEW: 3 New Professionally Designed Demos
- NEW: Completely new demo importer user interface, that allows to partial install and also uninstall
- NEW: New demo importer allows to install individual portions of demos & uninstall demo content
- NEW: Added a new gallery element with several customization options with grid & masonry layouts
- NEW: Added masonry layout to blog and portfolio elements and archives
- NEW: Added sticky sidebars, which can be set sitewide, or page wide for one or both sidebars
- NEW: Added option for background images in megamenu, one image for full menu, or individual image per menu column
- NEW: Added menu highlight labels to main menu with several style options
- NEW: Google fonts added to dynamic CSS for performance enhancement due to fonts no longer showing up as render blocking files in speed tests
- NEW: Avada's advanced responsive images setup added to person and WooCommerce featured product element and WooCommerce Product Carousel
- NEW: Avada's advanced responsive images setup extended to content inside of column elements producing performance enhancements
- NEW: Added a new menu location for mobile menus so you can now assign a specific menu just for mobile
- NEW: WooCommerce 3.1 support
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: New WordPress media library now supported in Fusion Page Options
- NEW: New Featured Image setup that is code optimized, updated and fully maintained by us
- NEW: Added a complete set of portfolio global theme options for the portfolio element
- NEW: Post meta data can now be aligned directly below post title on single blog posts
- NEW: Posts in blog, recent posts and in portfolio element can now be pulled by tags
- NEW: Portfolio posts can now be sorted by tags in portfolio element
- NEW: Added option to select twitter icon color in twitter widget
- NEW: Added set of global Theme Options for each Alert element style
- NEW: Added option to align video elements left/center/right
- NEW: Added new setting to button element to add additional attributes like rel
- NEW: Added option for page title bar line height
- NEW: Added an option so toggles can also be used as accordions
- NEW: Added slider IDs to Fusion Page Option dropdowns
- NEW: System path added to system status page
- NEW: Support for Apple Pay on WooCommerce pages
- NEW: Column spacing is now officially supported for portfolio carousel layout
- NEW: Added support for 'transparent' as color in Theme Options
- IMPROVED: Now using smaller fitting srcset thumbnails in image frame element when possible
- IMPROVED: Replaced protocol relative asset URLs with absolute ones
- IMPROVED: Changed data structure of menu item options to improve menu saving performance
- IMPROVED: Added support for imports and caching on file systems using ftpext mode
- IMPROVED: Fusion Page Option ordering is the same now for different post types
- IMPROVED: Added several new HTML5 tags to the page markup
- IMPROVED: Added a new responsive image size to make sure images can stretch fully on large screens
- IMPROVED: Removed the ajax-functions.php
- IMPROVED: Added support for Yoast sitemap images
- IMPROVED: Grid elements in one column responsive mode now have the images centered
- IMPROVED: Font uploads in Theme Options will work on more environments due to updated MIME types
- IMPROVED: Added structured data to blog archives if blog meta data is deactivated
- IMPROVED: Made WooCommerce sorting boxes compatible with larger font size setups
- IMPROVED: Theme option value validation to avoid JS errors in Fusion Page Options
- IMPROVED: Fusion Slider transition after video slide ended
- IMPROVED: Events Calendar archive bar spacing for foreign languages
- IMPROVED: Disabled dynamic CSS caching automatically when using mobile theme plugins like WP Touch
- IMPROVED: WCAG: Dropdown menus now work using tabs
- IMPROVED: Added more spacing for titles in vertical tabs
- IMPROVED: Added automatic spacing between content and sidebars in responsive mode
- IMPROVED: Added timestamps for cached CSS and JS files for better compatibility with caching plugins
- IMPROVED: Added parent category to breadcrumbs path, when multiple sub categories share same parent
- IMPROVED: Added conditional loading for some admin meta boxes for performance improvements
- IMPROVED: Product registration is solid due to several changes while working with Envato
- IMPROVED: Don't load lightbox CSS when lightbox is disabled in Theme Options
- IMPROVED: Some RTL styling issues on Theme Options page
- IMPROVED: Breadcrumbs now support posts page output on post archives and search page parent post types are linked now
- IMPROVED: Admin messages and notices for demo imports etc. are not localized
- UPDATED: WordPress importer script
- UPDATED: Changelog link now directly available in the theme's update nag
- UPDATED: Several Theme Options, Page Options and also element descriptions for better explanations
- UPDATED: Removed no longer needed mobile bottom margin on #content container
- FIXED: Tooltips not disappearing after an outbound link was clicked on mobiles
- FIXED: Lightbox not working for portfolio elements added through AJAX
- FIXED: Importer not converting menu URLs correctly
- FIXED: Dynamic CSS being cached even if turned off
- FIXED: Blog grid and portfolio boxed layouts not always using same separator colors
- FIXED: PHP notice on update page
- FIXED: Load more button on portfolio elements staying, even after all posts were loaded
- FIXED: Dynamic CSS path issue on multisite installs
- FIXED: JS not working on iPhone/iPad when cookies are deactivated
- FIXED: Layout issue with WPML language switcher
- FIXED: Anchor scrolling not working on WPML sites when the language name is used as param
- FIXED: Longer page title breaking early to 2 lines in page title bar when no secondary content is used
- FIXED: WooCommerce text strings that changed
- FIXED: WooCommerce clean design add to cart animation layout
- FIXED: Rare WooCommerce archive layout issue, when using CSS file compiler
- FIXED: Dependency for avada-header.js is no longer conditional
- FIXED: WooCommerce PHP notice
- FIXED: Quantities not showing correctly on WooCommerce order page
- FIXED: WooCommerce checkout page doesn't advance now, when there are input errors on one of the tabs
- FIXED: WooCommerce one page checkout not scrolling fully up to display input errors
- FIXED: WooCommerce shipping methods sometimes overflowing container on checkout page
- FIXED: WooCommerce grouped product quantity input being displayed incorrectly on mobile
- FIXED: WooCommerce double zoom icon on variation change in Safari
- FIXED: WooCommerce carousel element scrolling issue on mobile
- FIXED: WooCommerce bundled products showing sub-products in the menu cart widget
- FIXED: Menu cart widget on side header not being auto positioned when widget hits bottom of viewport
- FIXED: Spacing issue in WooCommerce check out notes when using HTML markup
- FIXED: Removed additional PHP closing tag in social sharing box template.
- FIXED: PHP notice in column element when REST API is used
- FIXED: Header background images not working on WooCommerce archive pages
- FIXED: Sale and out of stock badges overlapping on WooCommerce Shop page
- FIXED: Search page sidebar sometimes being incorrect when doing product searches
- FIXED: Images overlapping content on tablets in single product image gallery
- FIXED: Content box hover animation being incorrect when parent or Theme Option setting is transparent
- FIXED: RTL styling issue with classic mobile menu
- FIXED: RTL alignment issue with font awesome element
- FIXED: Fusion Slider navigation position being not correctly positioned
- FIXED: Issue with video inside of a modal popup
- FIXED: Active plugin list sometimes having incorrect plugin names
- FIXED: Font names being duplicated in CSS when standard fonts are used
- FIXED: Content box heading class name being doubled
- FIXED: Link issue in flickr widget
- FIXED: Content box icon hover pulsate animation only working once in Firefox
- FIXED: Page title bar alignment in mobile mode not working in Firefox
- FIXED: Fusion Slider sometimes not auto playing videos when autoplay is enabled
- FIXED: Vertical timeline mode animation issue in content boxes
- FIXED: Side header menu padding issue on IE11
- FIXED: Column background image not always being correct in IE11
- FIXED: Vertical column centering not working in IE
- FIXED: Blockquotes in comments not respecting primary color for highlights
- FIXED: Sticky header on short pages being sometimes triggered
- FIXED: Rare sticky header scroll issue
- FIXED: Random export issue in Fusion Slider
- FIXED: Fusion Slider pausing on touch or swipe on mobile devices
- FIXED: Fusion Slider transition not working on youtube video slide
- FIXED: Fusion Slider parallax effect not working in IE11 when a touchscreen is used
- FIXED: Excerpt issue when using The Events Calendar tribe_event_inline shortcode
- FIXED: A few structured data issue with The Events Calendar
- FIXED: Rare error where Events Calendar pages rendered very slowly
- FIXED: Google maps using custom infobox content when set, even if default styling is chosen
- FIXED: Unfiltered the_title usage in breadcrumb class
- FIXED: Form scrolling on mobiles inside of modals
- FIXED: Backend compatibility conflict with some plugins that also use select2 library
- FIXED made sure dropdown menu disappears when an anchor link is clicked
- FIXED: possible W3C markup errors
- FIXED: Column bg image in empty columns not correctly shown when column uses cetntered content option
- FIXED: Flyout header menu entries height changing on AJAX complete events


-----------------------------------------------------------------------------------------
Version 5.1.6 - April 17th, 2017
-----------------------------------------------------------------------------------------


- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: When using anchor scrolling, the current anchors are updated in the browser address bar
- NEW: Countdown element can now user 3 digits for weeks and 4 digits for days
- IMPROVED: Added a fallback for CSS compiler if file contents can't be read
- IMPROVED: Timestamp for CSS compiler
- IMPROVED: The Fusion Library path constant was updated to also work on non standard WP installs
- IMPROVED: Error messages on product registration page
- IMPROVED: Added additional styling for Fusion Page Option dropdowns on Events post edit screen
- IMPROVED: Added a notice on registration page, if token does not have all needed permissions set
- UPDATED: All WooCommerce translation strings are compatible with WooCommerce 3.0.3 now
- FIXED: Small W3C validation error in menus
- FIXED: WooCommerce 3.0 compatibility issue, where new products didn't show in carousel elements
- FIXED: WooCommerce product quantity +/- buttons removed in product can only be boughty individually
- FIXED: WooCommerce product images not being displayed on shop page after deactivation / reactivation
- FIXED: WooCommerce shop_messages shortcode not being updated to new name
- FIXED: Infinite scroll not working on blog archive pages
- FIXED: 404 console error on portfolio pages that use infinite scroll
- FIXED: Insert from URL option in WP upload dialog not working for image frame element
- FIXED: WPML issue, where Theme Options were not loaded correctly on frontend when default language is not English
- FIXED: Portfolio Slug Theme Options not being applied on frontend
- FIXED: Buttons not being displayed correctly on portfolio archive pages when full content is used
- FIXED: Patches not being applied correctly on multisite installs
- FIXED: Breadcrumb issue when on search page of a custom post type
- FIXED: Sidebar Map now being full width on Events Calendar Single Post pages
- FIXED: Removed portfolio grid layout from the archive layout setting in Theme Options
- FIXED: Events Calendar post excerpts displaying shortcode markup on frontend archive pages
- FIXED: Theme Option search not working correctly for Fusion Builder elements
- FIXED: Some setting values being incorrect on archive pages due to incorrectly returned page id
- FIXED: Menu setup issue on Technology demo
- FIXED: Pixelated logo on construction demo import
- FIXED: Code Block Encoding setting in Theme Options not working correctly
- FIXED: Styles missing on WooCommerce main shop page under certain circumstances
- FIXED: Side header issue in IE11, where menu icons were not aligned correctly
- FIXED: PHP error in demo importer when no Fusion Slider is part of the demo
- FIXED: Fusion Builder being disabled after update from a pre Avada 4.0 version


-----------------------------------------------------------------------------------------
Version 5.1.5 - April 4th, 2017
-----------------------------------------------------------------------------------------


- NEW: Modal element can now be triggered from a menu item
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
       (Please see their changelog as this update involves security issues
       https://support.kreaturamedia.com/docs/layersliderwp/documentation.html#release-log)
- NEW: Comments are off message no longer shown in related posts and projects
- NEW: Fusion Builder and Fusion Core plugins can be updated using WP-CLI
- NEW: Support for upcoming WooCommerce 3.0 (previously 2.7 RC was supported, which WooCommerce did not release)
- IMPROVED: Countdown element now has a date picker for easier use
- IMPROVED: Added several performance tweaks for faster loading
- IMPROVED: Error reporting for unsuccessful demo import
- IMPROVED: Compatibility of internal libraries for sites that have changed names of WP core folders
- IMPROVED: Transparent header fallback for archive pages now using fulltone header background color
- IMPROVED: Tagline element now using vertical centering when only title and button are used
- IMPROVED: Better styling integration for Events Calendar tickets
- IMPROVED: Added back possibility to set a fallback image for Fusion Slider on mobiles in Fusion Page Options
- IMPROVED: Equal heights for columns is now correct on resize even for dynamic content
- IMPROVED: Filenames for exported content and templates are now different in Fusion Builder
- UPDATED: Modernizr script library to version 3.4.0
- FIXED: Security fix to prevent additional calls to permalink structure (XSS)
- FIXED: Security fix that adds AJAX request verification for Fusion Builder content importer
- FIXED: Issue with Fusion Cache clearing and Fusion Compilers which led to rendering issues on some sites
- FIXED: Compatibility issue with uberMenu set to full width
- FIXED: Footer widgets being removed when disabled in Theme Options
- FIXED: Sidebar classes set in dashboard, not being used on frontend
- FIXED: Icon pulsate animation not working in all browsers
- FIXED: Fusion Builder demo pages not always using correct image placeholders
- FIXED: Lightbox not working for image tags on single post and portfolio pages
- FIXED: Blog slideshow smooth height not being respected for AJAX loaded posts
- FIXED: Menu highlight bar being displayed on top of button style menu entries
- FIXED: Option dependency issue for main content background image in Fusion Page Options
- FIXED: Infinite Scroll being triggered too early on page load
- FIXED: Patches on multisite installs appearing an uninstalled although already applied
- FIXED: Responsive image src attribute exchange not working
- FIXED: Equal heights not working for content box element
- FIXED: Tagline element center layout not working when only title and button are used
- FIXED: Boxed icon background color not being correct for custom icons in social links widget
- FIXED: Fusion Slider parallax mode issue when boxed site layout is used
- FIXED: Issue with overlay colors for containers and columns in IE and Edge
- FIXED: Icon alignment issue in content box element in Edge
- FIXED: IE11 sometimes hiding the Theme Options panel contents
- FIXED: Compatibility issue with Post Types Order plugin and single portfolio page navigation
- FIXED: Portfolio permalink settings being reset on theme update
- FIXED: Styling issue with content boxes using button bar
- FIXED: Single quotation marks being HTML encoded in sharing box element
- FIXED: Google maps not rendering correctly in a modal without resize
- FIXED: Sticky header rendering issue when using infinite scroll
- FIXED: WPML translation connections being lost on translation save
- FIXED: Issue with logo for secondary languages when using WPML
- FIXED: Compatibility issue with polylang and desktop/mobile logo rendering in different languages
- FIXED: Patches number doesn't get reset on theme update
- FIXED: Lightbox video dimension Theme Options setting not being respected
- FIXED: Button squared style on single button not working when button style is set to round globally
- FIXED: Fusion Slider not being loaded when header is disabled in Fusion Page Options
- FIXED: Columns going full width on mobile even when responsive mode is disabled
- FIXED: Mega menu column title option reverting when a different menu item is changed
- FIXED: Sticky header animation not working when logo and menu don't fit in one row
- FIXED: Toggles inside of tabs element not working


-----------------------------------------------------------------------------------------
Version 5.1.4 - March 18th, 2017
-----------------------------------------------------------------------------------------


- FIXED: Added file check for Fusion Builder 1.1.1 for backwards compatibility


-----------------------------------------------------------------------------------------
Version 5.1.3 - March 18th, 2017
-----------------------------------------------------------------------------------------


- FIXED: CSS compiler on database mode causing style issues on some installs
- FIXED: JS compiler not loading all js assets on some installs
- FIXED: Single portfolio item pages leading to 404 pages without permalink reset on some sites
- FIXED: Patch numbers not being reset on update
- FIXED: Search form in page title bar not being displayed
- FIXED: WooCommerce elements not being populated with available product categories
- FIXED: Embedded videos not showing in featured slideshow on main blog page
- FIXED: Contact Form 7 buttons with special button size classes not being respected
- FIXED: Inline CSS markup and WP gallery not being correctly handled on blog archive pages
- FIXED: Minor WCAG issue with same alt tags on different logo container
- FIXED: Redirect issue for WooCommerce MyAccount login widget in menu for some SSL sites
- FIXED: Sticky header animation not being smooth if logo and menu don't fit on same row
- FIXES: PHP warning inside the ENvato API class
- FIXED: Removed mb_strtolower from contact template, as it is not active on all hosts


-----------------------------------------------------------------------------------------
Version 5.1.2 - March 16th, 2017
-----------------------------------------------------------------------------------------


- NEW: All Fusion caches get reset when a patch is applied and on theme updates, for best update results
- NEW: Fusion Builder demo pages now include newest demos
- IMPROVED: Needed JS scripts are included now protocol agnostic, even on incorrectly setup SSL sites
- IMPROVED: Shortened folder paths length to ensure compatibility with Microsoft IIS servers
- FIXED: Issue on WPML sites, where depending on the default language not all Theme Options were copied to new database name
- FIXED: Compatibility issue with uberMenu which led to menu display problems
- FIXED: Theme icon font being loaded twice on frontend
- FIXED: Fusion Slider element not being populated with available sliders
- FIXED: Events element not being populated with available event categories
- FIXED: Fusion Slider fallback image not working on mobiles
- FIXED: URL being incorrect on Fusion Patcher dismiss notice button
- FIXED: Compatibility issue with latest Sermon Manager plugin.
- FIXED: Assigned WooCommerce shop page content rendering style and other tags incorrectly
- FIXED: A WCAG2.0 label missing from mobile menu toggle
- FIXED: WooCommerce sold out badge not being displayed
- FIXED: WooCommerce default product ordering not being correct when using Price (desc)
- FIXED: Events Calendar event ticket button not using Avada styling
- FIXED: Image frame element not showing images on all browsers, depending on filename
- FIXED: Single portfolio template file not being overrideable from child themes
- FIXED: PHP error that could happen on Varnish cache clearing
- FIXED: Resource loading 404 error on post.php screens
- FIXED: An error with dynamic JS file creation
- FIXED: Column padding option not working without units


-----------------------------------------------------------------------------------------
Version 5.1.1 - March 14th, 2017
-----------------------------------------------------------------------------------------


- FIXED: theme option values not being respected on all child theme installs, due to WordPress theme setup hook issue


-----------------------------------------------------------------------------------------
Version 5.1 - March 13th, 2017
-----------------------------------------------------------------------------------------


- NEW: 5 New Professionally Designed Demos
- NEW: WCAG 2.0 Accessibility Compatibility
- NEW: New Menu Highlight Arrow Option
- NEW: New Menu Highlight Boxed Background Option
- NEW: New Main Menu Icon Theme Option Panel
- NEW: New Main Menu Icon Position Option (Top/Right/Bottom/Left)
- NEW: New Main Menu Icon Size Option
- NEW: New Main Menu Icon Color Option
- NEW: New Main Menu Icon Hover Color Option
- NEW: New Mega Menu Thumbnail Size For Images
- NEW: New Logo Background Color Option for headers v1, v2, v3, v6, v7 and side headers
- NEW: Avada Menus Now Support Menu Descriptions in the WP native menu settings
- NEW: Avada Menu Options In Appearance > Menu Are Now Better Organized With A Single Button That Opens The Options In A Window
- NEW: New Boxed Mode Top/Bottom Offset
- NEW: New Boxed Mode Offset Scroll Layout: Framed or Full Scrolling
- NEW: New Boxed Mode Shadow Type (light/medium/hard)
- NEW: New Zoom Capability For WooCommerce (Avada's style + default WooCommerce)
- NEW: WooCommerce 2.7 compatibility
- NEW: New Toggle Boxed Mode Option
- NEW: New Toggle Border Width Option
- NEW: New Toggle Border Color Option
- NEW: New Toggle Background Color Option
- NEW: New Toggle Background Hover Color Option
- NEW: New Toggle Inactive Box Color Option
- NEW: New Toggle Active Box Color
- NEW: Fusion Builder allows <!--nextpage--> usage (was accidentally already added to Avada 5.0 changelog)
- NEW: New Bulk Media Upload For Slider And Image Carousel elements
- NEW: Google AMP Plugin Support (although this also worked on 5.0.6, just to avoid confusion)
- NEW: Now The Entire Featured Image Rollover Links To Single Post
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Performance Improvement option to choose if one combined and minified JavaScript file should be loaded or several (for HTTP/2.0)
- NEW: WP 4.7+ compatibility updates
- NEW: Compatibility with Sermon Manager 2.0
- NEW: Counter Box element can now use decimal numbers
- NEW: Added all the available W3TC plugin CSS and JS include hooks
- NEW: Better Organization For Avada & Fusion Builder Menus In WP Admin
- NEW: Theme and element options for the widget area element
- NEW: Avada Patcher is now called Fusion Patcher
- NEW: Fusion Patcher Now Displays Patches For Each Product (Avada, Fusion Builder, Fusion Core)
- NEW: Fusion Patcher Now Displays A Counter Circle For Available Patches
- NEW: Demo Imports Are Now Compatible With PHP 5.2
- NEW: Added option to portfolio element to show/hide URL parameter for category sensitive sorting on single posts pages
- NEW: Added support for Facebook Instant Articles plugin
- NEW: Organizational Improvements To Avada Welcome Screen
- NEW: New FAQ Tab For Avada Welcome Screen
- NEW: Blog Element Now Combines All Pagination Options Into One Set
- NEW: Automatic database transient cleanup tasks for optimal performance
- NEW: Using new jQuery appear library to avoid conflicts with Slider Revolution
- NEW: Major Improvements For The Fusion Builder API Via New Filters & Action Hooks
- NEW: New Fusion Page Option Filters & Action Hooks
- NEW: It's now easier to override fusion builder elements
- NEW: Show full element controls for Fusion Builder containers in backend, when the container is closed
- NEW: All element related code, styles, scripts, options etc. won't be loaded if an element is disabled
- NEW: Fusion Builder single demo pages are automatically updated now on theme update and also periodically
- NEW: Each demo has been re-exported for option setup
- NEW: Fusion Builder & Fusion Core Plugins Are Now Offloaded
- NEW: Filter Added To Allow WOFF2 Upload Automatically
- NEW: Lightbox element can open videos
- NEW: Lightbox element now also available in main Fusion Builder
- NEW: Avada CPTs are moved to Fusion Core plugin, incl. all needed assets and templates
- NEW: WooCommerce placeholder image is now available on the shop page
- IMPROVED: On System Status page only the last 3 versions will be shown now, to avoid clutter
- IMPROVED: Removed IE8 compatibility for performance improvements
- IMPROVED: Cloned elements in Fusion Builder are positioned directly below the original ones now
- IMPROVED: Fusion Builder generator now loads elements tab before the nested columns tab now
- IMPROVED: Fusion Builder element toolbar now uses a background color for better usability
- IMPROVED: Updated Styling For Options That Are Set To Off for Clarity
- IMPROVED: Updated several option names and descriptions to make usage easier
- IMPROVED: Fusion Builder single page template imports
- IMPROVED: Added number of posts option for carousel layout of portfolio element
- IMPROVED: Added a default option for animation settings in content boxes, so that parent settings can be used throughout
- IMPROVED: Made sure that Patcher and System Status values show same requirements
- IMPROVED: Custom Font names in Theme Options upload can now contain spaces
- IMPROVED: Made sure that "permalink" is not considered a keyword in SEO plugins and search engines
- IMPROVED: Using wc_get_checkout_page() function now for checkout page linking
- IMPROVED: Sliding bar is deactivated by default on new theme installs
- IMPROVED: Better usage of available space in top header for email and phone number on mobiles
- IMPROVED: Dynamic CSS cache is now cleared on Theme Options import and color preset change
- IMPROVED: On demo imports the site logos are now directly imported to the media library
- IMPROVED: WPML footer language switcher is now included in the footer parallax layout
- IMPROVED: Removed 2 slow SHOW TABLES db queries
- IMPROVED: Theme Options for database caching and compiling CSS are combined now to avoid confusion
- IMPROVED: Fusion Slider and Elastic Slider items are removed from search results page
- IMPROVED: Block quote elements has now increased top/bottom margin to stand out better
- IMPROVED: Removed 'Install Plugins', 'Header' and 'Background' menu entries under 'Appearance' menu to avoid confusion
- IMPROVED: Events Calendar Single Sidebar Layout section in Theme Options was moved below the Events Calendar main section
- IMPROVED: Made sure that the background is faded the same amount for all kind of modal overlays in backend to improve usability
- IMPROVED: Other improvements & fixes to the codebase for overall enhancements and maintainability
- UPDATED: Select2 script library to version 4.0.3
- UPDATED: Tooltip of YouTube social media icon was updated to correct branding
- FIXED: Javascript code being added to the System Status report
- FIXED: WooCommerce ordering boxes not always showing
- FIXED: WooCommerce after add to cart button closing markup missing
- FIXED: Compatibility issue with Fancy Product Designer plugin on WooCommerce order page
- FIXED: Compatibility issue with YITH Ajax Product Filter plugin for WooCommerce
- FIXED: Gravity Form Merge Tags not working
- FIXED: Gravity Forms dropdown styling issue for dynamically / conditionally displayed drop downs
- FIXED: A few alignment issues in Theme Options for RTL sites
- FIXED: Issue with login redirection if specific ports are used
- FIXED: Make main menu anchors work correctly also on search page of one page sites
- FIXED: Login/register/password elements not using Theme Options button size setting
- FIXED: Issue with slider height on scrolling when using Fusion Slider on an Android device
- FIXED: Section separator overlap issue on Android devices
- FIXED: Display issue with Fusion Slider full screen parallax layout
- FIXED: Fatal error during short code conversion when WPML is used
- FIXED: Fusion Page Options not changeable on translated pages when using WPML
- FIXED: Header Tagline Theme Option setting missing for side header layouts
- FIXED: Menu item padding of value 0 not working
- FIXED: Password form fields not being styled for all elements
- FIXED: Additional fix for background images and overlay colors on containers
- FIXED: JavaScript error on page edit screen when using invalid values in Theme Options
- FIXED: Responsive typography not working for blog titles on archive pages that use AJAX loading
- FIXED: Breadcrumbs title issue on Events Calendar archive pages
- FIXED: Issue on some servers when uploading WOFF or WOFF" fonts in Theme Options
- FIXED: Styling issue on mobiles for the Events Calendar Filter Bar add-on
- FIXED: pagination not working when using offset in portfolio element
- FIXED: Infinite scrolling / load more button not working for portfolio items if only set in Theme Options and using Default on the element itself
- FIXED: Double mobile menu and logo when using header v7 and custom sticky menu
- FIXED: Import issue of images for shop demos
- FIXED: Patcher notices not disappearing, even if permissions issue was resolved
- FIXED: Sub-sub-menus not always being correctly aligned on RTL sites
- FIXED: Legacy issue with sidebars not always being deletable when created with older theme versions
- FIXED: First testimonial inside a modal window flowing over
- FIXED: Scrollbar not being shown when using portfolio element and a filter that has not enough elements visible to enable scrolling on page load
- FIXED: Search results page template changing to 100% width if first search result uses that template
- FIXED: Images overflowing image frame elements in IE11
- FIXED: Empty column height calculation for background images in empty columns not being correct in IE11
- FIXED: a few header display issues on IE9 for headers v6 and v7
- FIXED: Sticky header not working on tablets when deactivated for mobiles on certain tablet sizes
- FIXED: Page title bar contents being misaligned on mobiles
- FIXED: Upgrade issue with theme versions prior to 4.0
- FIXED: Icons on top of counters in counter boxes element not being fully centered
- FIXED: Fusion Builder child elements not editable when using very large browser font size
- FIXED: Compatibility issue between Avada backend menu and User Role Editor plugin
- FIXED: Image carousel element images overflowing bottom border when lift up hover effect is used
- FIXED: Author page email address being double anti-spam encoded, which led to an error
- FIXED: Fusion Builder throwing PHP notice when a CPT edit screen is used that does not have an editor
- FIXED: Borders not being correct for columns that use background images and lift up hover effect
- FIXED: Fusion Builder generator disappearing in some cases from visual editor toolbar
- FIXED: positioning issue with WPML language switcher flags on mobile menu
- FIXED: Horizontal menu widget active menu item not following hover color
- FIXED: Title element breaking in backend in certain cases when a hashtag (#) is used as part of the heading
- FIXED: Counter circle element inside of tabs element not working correctly
- FIXED: Division by zero PHP warning in section separator element for some setups
- FIXED: Button element preview being incorrect for certain old button short codes
- FIXED: Content box title hover color not always being correct on touch device
- FIXED: Container element name in backend showing &amp; instead of &
- FIXED: Color pickers not being displayed correctly for all color choices
- FIXED: Translation issue with the Avada style twitter widget
- FIXED: Visibility option not working in tabs element
- FIXED: A few PHP7 warning notices
- FIXED: PHP notices for older PHP versions


-----------------------------------------------------------------------------------------
Version 5.0.6 - December 14th, 2016
-----------------------------------------------------------------------------------------


- NEW: Updated LayerSlider to 6.1
- NEW: Updated Slider Revolution to 5.3.1.5
- FIXED: user roles for multiple sidebars
- FIXED: logo images with filenames like logoname12x12.jpg not correctly displayed
- FIXED: buttons inside mega menus not correctly displayed
- FIXED: Fusion Slider buttons not resizing back to desktop site on page resize
- FIXED: side navigation showing on search results pages where side nav pages belong to results
- FIXED: issue with WPML translated menus not showing correctly on archive pages
- FIXED: WPML language switcher not displayed when using custom menu per page
- FIXED: header parallax effect not working in Firefox
- FIXED: lightbox 404 issue with hand cursor asset
- FIXED: element, footer and slidingbar columns not being in correct order on RTL sites
- FIXED: author name can be undefined on author page in breadcrumbs
- FIXED: PHP notice in breadcrumbs on yearly archive pages
- FIXED: 'All' filter not translateable in FAQ element
- FIXED: LayerSlider not correctly importing on technology demo
- FIXED: contact page using older versions of alert element
- FIXED: column and sidebar issue on WooCommerce attribute and other archive pages
- FIXED: flip icon option not working for content boxes element
- FIXED: edit custom template not working in Fusion Builder


-----------------------------------------------------------------------------------------
Version 5.0.5 - November 22nd, 2016
-----------------------------------------------------------------------------------------


- NEW: container collapse status is now saved, so collapsed containers remain collapsed on reload
- IMPROVED: logo template, introducing dimension calc fallback for default logo and retina logo without default one
- IMPROVED: premium slider plugin download, making instant retry possible, if download failed
- IMPROVED: pagination next/prev arrow spacing auto adjusting to font size, fixed arrows getting cut off
- UPDATED: token creation instructions on registration page
- FIXED: dynamic elements (blog, portfolio Fusion Slider etc.) inside of vertical tabs
- FIXED: issue on page edit screen, where old button shortcodes make it impossible to change from editor to Fusion Builder
- FIXED: Infinite scroll and Load more button for portfolio archive text layouts
- FIXED: rollover link icon getting cut off on retina screens
- FIXED: columns with overlay bg colors having display issues on IE and Edge
- FIXED: page templates always being "default", when importing Fusion Builder Avada demo pages
- FIXED: columns alignment issues, when deprecated last parameter is used
- FIXED: content box icon alignment being wrong due to doubled px unit
- FIXED: container name reverting to default name under certain circumstances
- FIXED: WooCommerce reply to reviews missing top margin
- FIXED: single portfolio page related projects not showing video items correctly
- FIXED: portfolio one archive layout button alignment
- FIXED: RTL spacing and alignment issue with columns
- FIXED: Fusion Builder generator not being available within already saved child elements


-----------------------------------------------------------------------------------------
Version 5.0.4 - November 14th, 2016
-----------------------------------------------------------------------------------------


- NEW: Updated LayerSlider to 6.0.5
- NEW: added new filters for single portfolio prev/next navigation link args
- IMPROVED: The limit for custom fonts in Theme Options has been raised to 50
- IMPROVED: Gravity Forms "Add Form" button is again available in the text editors inside of Fusion Builder
- IMPROVED: "Add New" titles for portfolio items and FAQ items have post type name added now
- IMPROVED: Avada autoloader transients are reset on theme update now
- IMPROVED: address layout for Events Calendar list view
- IMPROVED: Some dependent setting in Theme Options
- IMPROVED: refactored Avada's custom excerpt function for better performance
- UPDATED: a few demo pages for Fusion Builder import
- FIXED: column background image issue for IE11 and Edge
- FIXED: Avada skin for LayerSlider not working with LayerSlider v6
- FIXED: LayerSlider demo imports for LayerSlider v6
- FIXED: recent posts strip HTML option not being working
- FIXED: Fusion Builder demo download and extraction problems, leading to page loading issues
- FIXED: Issue with Polylang when selecting "All Languages" and saving Theme Options
- FIXED: Compatibility issues on multilingual sites using the Polylang plugin when English is used but other than en_US
- FIXED: Infinite scroll and Load more button for portfolio elements when used on pages with sidebars
- FIXED: additional top padding on Custom Menu widget in footer and slidingbar
- FIXED: Manual per patch zip download not working
- FIXED: video autoplay parameter being used for all videos in lightbox gallery for portfolio items
- FIXED: compatibility issue with easywplocalhost when loading Theme Options
- FIXED: compatibility issue with WP Super Cache when loading Theme Options
- FIXED: PHP notice thrown when using WPML and WooCommerce and a product is added to the cart
- FIXED: shortcode generator not always working for WooCommerce product short description
- FIXED: WooCommerce Carousel Element not working correctly, when more than one category is chosen
- FIXED: WooCommerce popularity sorting causing recent posts loading to fail
- FIXED: WooCommerce star rating being misaligned
- FIXED: PHP notice when FS_METHOD constant was not defined
- FIXED: alt attribute missing from testimonial element images
- FIXED: issues with pricing table element editor and insertion
- FIXED: design tab not working for tooltip element inside of tabs


-----------------------------------------------------------------------------------------
Version 5.0.3 - November 2nd, 2016
-----------------------------------------------------------------------------------------


- NEW: Updated Slider Revolution
- NEW: Updated Layer Slider
- NEW: Updated Font Awesome to 4.7
- NEW: Columns can now use both, background color and background image, to create overlay effects with rgba colors
- NEW: Opacity slider added to background colors for nested columns
- NEW: Added possibility and notice for manually applying patches on restrictive hosting plans
- IMPROVEMENT: updated several option descriptions for better user experience
- IMPROVEMENT: moved Fusion Builder migration reversion to the Avada System Status tab
- IMPROVEMENT: added fallback for column padding option if no unit is used
- IMPROVEMENT: premium plugin download for very restrictive hosting plans
- IMPROVEMENT: main menu hightlightbar size can now be set up to 40px
- IMPROVEMENT: additional backend script files are now loaded in footer
- IMPROVEMENT: portfolio items with a video are now also shown, when placeholders are deactivated
- IMPROVEMENT: center column option is now also working without using equal height option
- IMPROVEMENT: added compatibility with HHVM
- IMPROVEMENT: consistency for 0 and -1 values for posts per page option for portfolio and blog elements
- IMPROVEMENT: all shortcodes (also 3rd party ones) can be processed when changing from editor to builder now
- FIXED: missing thumbnails for post slider attachment layout
- FIXED: missing setting for currency position in Fusion Builder for pricing tables
- FIXED: title element not respecting visibility options
- FIXED: code block element modifying double quotation marks
- FIXED: animations not working for columns that use an image hover type
- FIXED: issue where custom names for containers were lost on saving the page
- FIXED: conversion not working for post excerpts
- FIXED: font previews in Theme Options for standard fonts
- FIXED: issue with prev/next navigation in portfolio items for Polylang
- FIXED: portfolio element not respecting default image size from Theme Options
- FIXED: issue with empty text block elements not being converted correctly from editor to builder
- FIXED: Classic shop demo missing from Fusion Builder demo imports
- FIXED: animations not working for nested columns
- FIXED: slider and accordion element opening tags not being correctly converted to new names
- FIXED: right side header for RTL having styling issues
- FIXED: issue with site width in percentage and nested columns
- FIXED: modern mobile menu not being hidden when no menu is assigned
- FIXED: auto updates not working from themes page
- FIXED: some Fusion Builder elements using old textdomains
- FIXED: mobile sticky header logo not working on header v7
- FIXED: chosen google font not being used correctly on frontend
- FIXED: compatibility issue with simple google adsense insertion plugin
- FIXED: compatibilizy issue with Ecwid plugin
- FIXED: mobile layout issue with bbPress replies
- FIXED: border color missing from default button in tagline element
- FIXED: WooCommerce element in generator not working the same as in Fusion Builder
- FIXED: styling issue with WooCommerce add to cart shortcode
- FIXED: compatibility issue with YITH WooCommerce Request a Quote
- FIXED: compatibility issue with YITH Multi Vendor
- FIXED: widget list arrow misaligned for WooCommerce Category Widget
- FIXED: My Account and Cart menu items not being highlighted on corresponding pages
- FIXED: imageframe element not always using correct image size
- FIXED: testimonials random display option not working
- FIXED: minor conversion issue with self enclosing shortcodes
- FIXED: conversion issue for nested columns
- FIXED: conversion issue with pricing tables


-----------------------------------------------------------------------------------------
Version 5.0.2 - October 18th, 2016
-----------------------------------------------------------------------------------------


- NEW: columns can now use a background image and also a semi transparent overlay color
- NEW: Events Calendar 4.3 support
- IMPROVEMENT: increased line height on the Events Calendar Widget
- IMPROVEMENT: removed wc-cart-fragments.js from the theme-options
- IMPROVEMENT: clouds separator for mobile devices
- IMPROVEMENT: read me now has link to the important update notes doc
- IMPROVEMENT: added a fallback for column element to make sure last column is positioned correctly
- FIXED: conversion stripping backslashes from page content
- FIXED: Fusion Builder bug with empty text block elements causing builder activation to fail
- FIXED: conversion issue for pages using Visual Composer
- FIXED: checklist element causing Fusion Builder options to be missing when used inside other elements
- FIXED: an issue with conversion page step size (caused e.g. by W3TC plugin)
- FIXED: WPML issue with image elements (links and titles)
- FIXED: single portfolio page details section padding issue
- FIXED: Theme Option dependencies for side headers
- FIXED: an old issue where Fusion Core was hiding an option box for Wordpress Engine staging site creation
- FIXED: bottom margin on single blog posts
- FIXED: buddyPress registration page not working
- FIXED: portfolio element link issue, where on single pages the prev/next navigation did not keep with the chosen categories
- FIXED: Controls for parallax videos in Fusion Slider not always being shown
- FIXED: issue with pagination when multiple instances of blog elements and infinite scroll are being used
- FIXED: an issue with premium slider plugins install failing due to missing user agent
- FIXED: issue with sticky header background color affecting also other header elements
- FIXED: issue with image frame element encoding of URLs using x character
- FIXED: WooCommerce filter widget active filter being invisible on hover
- FIXED: compatibility issue with WooCommerce product vendors plugin
- FIXED: image carousel element being always visible, even if wrapping column has animation applied
- FIXED: menu search field being behind other menu dropdown items
- FIXED: issue where Fusion Builder won't load when old button gradient color settings are used
- FIXED: shortcode conversion issue with shortcodes starting with the same characters
- FIXED: FAQ element not respecting category selection
- FIXED: issue with Google map zoom level not always working
- FIXED: compatibility issue with Jetpack mobile
- FIXED: Fusion Builder throwing an error on Gravity Forms "Form Settings" > "Confirmations" text editor
- FIXED: link in the conversion error modal to the correct docs URL
- FIXED: removed some redundancy from class-avada-dynamic-css.php
- FIXED: issue with iPad in landscape mode respecting page title bar height page option
- FIXED: compatibility issue with 'View your RSVPs' page of the Events Calendar Tickets plugin
- FIXED: RTL issues with headers v4 and v5
- FIXED: RTL issue with mobile headers when using side header setup
- FIXED: alignment issue of custom menu icons not being always aligned in megamanu
- FIXED: a double tap issue on touch devices for social icons when parallax sections are used
- FIXED: fusion slider element links being shown in excerpts
- FIXED: 'Load More Posts' text domain


-----------------------------------------------------------------------------------------
Version 5.0.1 - October 12th, 2016
-----------------------------------------------------------------------------------------


- FIXED: shortcode conversion issue with some plugins using shared shortcodes
- FIXED: patcher support for Fusion Builder
- FIXED: auto updates so that future versions are properly detected & installed
- FIXED: a Fusion Builder PHP notice
- FIXED: tab widget view for less than 3 tabs
- UPDATED: the theme main assets folder


-----------------------------------------------------------------------------------------
Version 5.0 - October 12th, 2016
-----------------------------------------------------------------------------------------


Over the years we have had several feature, functionality and improvement requests for Fusion Builder from our 240,000+ user base. To make Fusion Builder into the page builder that everyone requests, and the codebase our team envisions, we were required to rebuild it from the ground up and we could not be more excited. We have a Brand New Fusion Builder that is intuitive, performance enhanced, user friendly and packed with features. Fusion Builder plays a major role in site creation and is a vital part of the Avada ecosystem. It allows for quick and easy site creation, but Avada 5.0 brings even more to the table that will change your outlook on what a page builder can do. Below are some of the highlights of the new Fusion Builder.

- NEW: Fusion Builder is now its own separate plugin outside of Fusion-Core, allowing us to build and extend it into new areas
- NEW: Fusion Builder is first released for Avada users only, but eventually will be released as a stand alone plugin
- NEW: Completely rebuilt codebase from the ground up for performance, ease of use, extendibility and modularity, overall saving you time while making page creations easier
- NEW: Built for the future and add ons, new products will be created for Fusion Builder, some are already in the works
- NEW: Automatic process of adding containers > columns > elements with just a single click, this is important for compatibility with all themes
- NEW: Built with backbone.js, Fusion Builder is ridiculously fast, efficient and extremely fun to use
- NEW: Completely new user interface that is intuitive and user friendly, every element has been examined and modified for consistency
- NEW: Space saving interface that provides room for what is most important, page building
- NEW: All new Library feature that holds all custom and pre-built content, organized into sections through a main control bar that is always visible
- NEW: Save any element as a custom element (container, columns, elements or entire page layouts) exactly as you have them setup, anything saved is automatically added to your Library
- NEW: Library holds all custom elements you save, and allows you to reuse them at any time while building your pages
- NEW: Library allows you to import any single Avada demo page, so instead of importing a full demo, you can choose a single page from inside the Fusion Builder
- NEW: Sharing is caring, import and export all saved content from your Library to share with other Avada users or between different Avada installs
- NEW: Easily manage all custom content through the Library
- NEW: Nested columns element allows you to easily create even more unique layouts using our nested columns interface, the design opportunities this presents are incredible
- NEW: New 'Option Correlation' technology in Fusion Builder, allows you to see global theme option values in the option description that link directly to the Fusion Theme Option panel
- NEW: Mobile visibility system for every Fusion Builder element that allows you to choose what your page looks like on small / medium / large screens
- NEW: Mobile visibility system breakpoints in Fusion Theme Options for each screen size so you can easily control when your page breaks for each screen size
- NEW: Fusion Builder slider options have a new "reset to default" option in the description that quickly resets the value to the default theme option value
- NEW: Various load options when loading an entire page (replace all content, insert above current content, insert below current content)
- NEW: Save function for everything you add to the page, click the Save icon to give your content a custom name, then itâ€™s automatically added to the proper tab in the Library
- NEW: Reuse custom content over and over with ease on any page, post or registered custom post type that has Fusion Builder enabled
- NEW: Any registered custom post type automatically shows up in Fusion Builder Settings to enable Fusion Builder
- NEW: Enable or Disable any Fusion Builder pre-built element, for example, if you do not use the countdown clock, simply turn it off and it disappears from the interface
- NEW: Option to enable Fusion Builder interface by default for all pages and post types so it automatically loads when creating or editing a page or post
- NEW: Add custom css to any page that only affects that page, and it's always accessible no matter where you are on the page due to the fixed main control bar
- NEW: Saving full page templates gives you the entire page layout, page template, custom css and Fusion Page Option settings
- NEW: When starting a new page or post, you see a help page to inform you of all controls and settings for Fusion Builder, along with a quick start video and documentation links
- NEW: Built in column combination sets allow you to add an entire set of columns (ex: 1/3 + 1/3 + 1/3) with one click
- NEW: New user interface removes the top clunky control bar to give a slimmer design for the main control bar
- NEW: New control bar sticks to the top of the screen when scrolling so you always have full control wherever you are on the page
- NEW: Easily add content anywhere on the page at anytime through the new user interface controls, no need to scroll up or down to add content
- NEW: Leap back in time with History States, simply hover over the history state icon and you see the last 30 history states to quickly jump back in time
- NEW: Column resizing is super fast, click the column size icon and all column sizes display in a popup allowing you to go from a 1/2 to a 1/6 in one single click
- NEW: Full Width Containers are now called Containers, short codes are called elements, columns are still columns
- NEW: Add custom names to each container you create by clicking on the container name and typing, making your design process easier and more organized for faster editing
- NEW: Collapse entire container sections one by one, or collapse them all with one click from the main control bar to save space and find what you need
- NEW: Fusion Builder elements with child elements (ex: tabs) can now easily be reorganized via drag and drop and automatically pick up the entered title for easy identification
- NEW: Fusion Builder Options now have dependencies, the only options that show are the ones that are currently available to use based on your selections
- NEW: Container element has a full set of global padding options for both default & 100% width page templates
- NEW: Short code Generator is now called Element Generator and is part of the Fusion Builder plugin with the same option interface for consistency and ease of use
- NEW: Fusion Builder & Element Generator are now perfectly in sync with one clean codebase
- NEW: Popup modals for all content (containers / columns / elements) have a search field to find items faster
- NEW: All Avada elements are now prefixed with fusion- to avoid conflicts with 3rd-party plugins in the future, generic names have been removed and are handled in the conversion
- NEW: Fusion Builder allows <!--nextpage--> usage
- NEW: Fusion Builder gives developers opportunities to create add ons for the largest user base on Themeforest
- NEW: Update process converts old Fusion Builder Pages to the new Fusion Builder format via a conversion screen, there is also a manual conversion trigger in system status area



Avada 5.0 mainly focuses on the brand new Fusion Builder, which is absolutely amazing. At the same time, we are always looking towards the future and listening to our customer base to make constant improvements to our product. Avada 5.0 contains even more useful features that make your life easier and allow you to build what you want to build, without having to modify code. Below are the rest of the highlights in Avada 5.0. As always, it is important that you read through our important update notes before updating: https://theme-fusion.com/documentation/avada/install-update/important-update-information/


- NEW: Several new professionally designed demos to easily import through our demo importer, or through Fusion Builder via single pages
- NEW: New Header 7 option with logo in the middle and menu items on the left and right
- NEW: Sidebar breakpoint so you can freely choose when the sidebar breaks into responsive mode
- NEW: Column spacing can now be done in exact pixel amounts, instead of just spacing or no spacing
- NEW: Six new section separator styles for creative design capabilities; slant, clouds, big circle, half circle, big triangle, rounded split
- NEW: Token registration is now required for auto updates / Avada demos / premium plugins (please see important update notes)
- NEW: Avada demos and premium plugins are offloaded from our server for better overall maintenance, lighter theme size and easier installation (token registration required)
- NEW: Removed FAQ and Portfolio page templates in favor of only using their new respective elements (please see important update notes)
- NEW: FAQ now has an element that can be used through Fusion Builder along with several new options for categories and filter so you can place FAQâ€™s wherever you wish
- NEW: Recent Work element is now named Portfolio element
- NEW: Portfolio element has new options for Pagination Type; load more button, pagination, infinite scrolling or none
- NEW: Several new options for portfolio text layouts to show/hide categories, align all text, boxed padding option added as global theme options and to Portfolio element
- NEW: Mobile visibility system for every Fusion Builder element that allows you to choose what your page looks like on small / medium / large screens
- NEW: Mobile visibility system breakpoints in Fusion Theme Options for each screen size so you can easily control when your page breaks for each screen size
- NEW: Fusion Page Options & Fusion Builder reflect the new user interface that Fusion Theme Options utilize
- NEW: Fusion Theme Option for the separator line style, applies to separators across the whole theme
- NEW: SVG logos can now be used through Fusion Theme Options
- NEW: Sticky font color Fusion Theme Option
- NEW: Full set of text color options for both footer and copyright (text, links, hover)
- NEW: Added Yelp, Spotify and new Instagram icon to social icons
- NEW: Order parameter for the blog element to order posts by; date, post title, post slug, author, comments, last modified and random
- NEW: Now you can easily save and manage custom color schemes with just a few clicks in Fusion Theme Options
- NEW: Avada social widget now picks up global Fusion Theme Option settings if options are left blank
- NEW: New "Option Correlation" technology in Fusion Page Options, allows you to see global theme option values in the option description that link directly to the the Fusion Theme Option panel
- NEW: All custom social icons are now available in every element that utilizes them if the feature is set to yes
- NEW: Cleaner and lighter theme zip file due to codebase cleanup and unneeded assets
- NEW: Added design support for The Events Calendar Ticket Add on, tickets will now show in the main content area
- NEW: Consistent color pickers throughout the theme along with intuitive ways to reset them to default values
- NEW: Increased performance for memory usage in fusion core and dynamic css builder
- NEW: Search field for font awesome icons to easily find icons by single keywords
- NEW: Option to disable all dependencies throughout the Avada Options Network
- NEW: All demos are newly exported for the new Fusion Builder
- NEW: Updated all translation files
- NEW: Avada status page on your user dashboard in our support center automatically pulls patches of all versions for easy identification
- NEW: Updated Slider Revolution
- NEW: Updated Layer Slider
- NEW: Updated Twitter widget to reflect changes in the twitter API for overall improvements
- NEW: WordPress 4.6 compatibility
- IMPROVEMENT: Container padding is now respected from desktop to mobile
- IMPROVEMENT: Several performance enhancing changes for the fastest, lightest version of Avada yet
- IMPROVEMENT: Continued refactoring of codebase for coding standards, performance enhancements and less queries running overall
- IMPROVEMENT: Use WP_Query instead of get_posts to allow Advanced Post Cache to cache the queries for a performance improvement
- IMPROVEMENT: Enhanced integration for Avada users when using Fusion Builder, all element styling options are in Fusion Theme Options on the Fusion Builder Elements tab (formerly short code styling)
- IMPROVEMENT: Woo 2.6.3 compatibility (patches were already made for 4.0.3 users)
- IMPROVEMENT: Several new hooks added to the theme along with detailed documentation https://theme-fusion.com/documentation/avada/special-features/avada-hooks-actions-and-filters/
- IMPROVEMENT: Avada patcher overall improvements for performance and reliability in certain server environments
- IMPROVEMENT: Added additional check when accessing  HTTP_USER_AGENT
- IMPROVEMENT: Portfolio filters now work for category names using special characters (ex: Hebrew language characters)
- IMPROVEMENT: More specific information if product registration fails
- IMPROVEMENT: Custom class names on menu items are also present on mobile menus now
- IMPROVEMENT: Tested and approved the new WPML version with WPML compatibility team
- IMPROVEMENT: Testimonial author name now has 2px letter spacing by default for clean layout
- IMPROVEMENT: WooCommerce widgets font styles are now fully consistent
- IMPROVEMENT: Added version check function builder
- IMPROVEMENT: Added BuddyPress compatibility for our user registration element
- IMPROVEMENT: Add new color manipulation library which is completely OOP and lighter
- IMPROVEMENT: Move Avada helper functions from avada-helpers.php in FB to Avada theme builder
- IMPROVEMENT: Load all theme assets and resources protocol (HTTP, HTTPS) independent to avoid mixed content warnings
- IMPROVEMENT: Added rel="noopener noreferrer" to target="_blank" links for security reasons
- IMPROVEMENT: Added fallback method to ReCaptcha library for hosts that prohibit usage of file_get_contents()
- IMPROVEMENT: Overall improvements to option naming / titles / descriptions throughout the entire Avada Options Network
- IMPROVEMENT: Avada zip file now only contains the .pot file for translations for overall smaller theme size
- IMPROVEMENT: added HTML5 tags for blog and portfolio posts and navigations
- IMPROVEMENT: anchor scrolling links now also work with target _blank
- UPDATED: Google Maps API calls are now using the required API keys by Google; API key field added in Fusion Theme Options on the Google Map panel
- FIXED: Missing translation strings
- FIXED: Hide header 6 overlay menu if an anchor link is clicked
- FIXED: Gravity Form button name for default editors in Fusion Builder
- FIXED: Theme Options sidebar alignment buttons left/right order corrected
- FIXED: Sidebar class names from Appearance -> Widget Sections not getting added to widget markup
- FIXED: Search results excerpts showing element markup
- FIXED: WooCommerce product rollover in search results
- FIXED: The 'View your RSVPs' page of the Event Tickets plugin
- FIXED: Custom typography being added as Google fonts
- FIXED: Auto-update causes error 500
- FIXED: Fusion Slide titles being cut off on mobile
- FIXED: Events archive pages when Page Title Bar does not update while using Previous or Next
- FIXED: Fullscreen Fusion Slider height not consistent all the time
- FIXED: Email Social Sharing is not adding link in body
- FIXED: Font Family with "+" instead of space - WPML String Translation
- FIXED: JetPack's spell check module conflicts with Fusion Core
- FIXED: iPad Parallax direction causes menu to require double tap
- FIXED: Issue with Yith WooCommerce Multi Step Checkout plugin
- FIXED: is_events_archive() not being correct in all cases
- FIXED: WooCommerce order by 'popularity' is different when Avada's ordering options are enabled
- FIXED: Inserting a map into a mega menu widget causes the menu to lose focus when hovering the info box
- FIXED: Mega menu titles hover color uses the 'main menu drop down font color'
- FIXED: Tagline box 'addition' content takes up height even when left empty
- FIXED: Secondary header background color is still applying transparency on mobile
- FIXED: Twitter sharing URL twice
- FIXED: Google Maps Missing Key Map Error
- FIXED: Image Carousel Fixed Layout now uses fixed image size instead of full size for performance enhancements
- FIXED: WooCommerce [product_category] element not ordering correctly
- FIXED: Theme patch http requests running on every page load
- FIXED: My Account Page: The 'hello username' string no longer shows the translation from woo translation file
- FIXED: Google Font preview broken in Theme Options
- FIXED: Issue with the cart icon in the main menu for Avada 4.0.3 + WooCommerce 2.5.5 + classic shop demo
- FIXED: Single Post: "Share this story" Facebook sharing on mobile doesn't work
- FIXED: Other edit_form_after_title content compatibility
- FIXED: Retina logo dimensions on staging sites for hosts like WPE
- FIXED: Code Block - adding a </textarea> will not work
- FIXED: Typography Options: Font Weight dropdown sometimes has no selection, breaks the font
- FIXED: Blog element pagination with offset 0
- FIXED: Migration manual trigger in system status for updating to 4.0+ will no longer show if you are already on 4.0+ version.
- FIXED: Ninja Forms, Fusion Builder undo/redo missing
- FIXED: Image frame alt tag from pulling wrong info if left empty
- FIXED: Checklists not working in Fusion Slider
- FIXED: Menu caret for my account page on side headers
- FIXED: content boxes button span alignment
- FIXED: videos not being displayed correctly in tabs


-----------------------------------------------------------------------------------------
Version 4.0.3 - June 8th, 2016
-----------------------------------------------------------------------------------------


- NEW: alternate demo data import is now available for Avada 4 and higher
- NEW: added option to choose if the single post title should be above or below the featured image
- NEW: updated to Font Awesome 4.6.3
- NEW: full support for WooCommerce 2.6
- NEW: WooCommerce horizontal tabs mode will now also work on checkout and account page
- NEW: added registration link to WooCommerce main menu account login dropdown
- NEW: added responsive image support to image frame element, related posts and related portfolio items
- NEW: added important update information and changelog to auto update screens
- NEW: added additional options for the search page results contents
- NEW: added antispambot() to email outputs from the theme
- improved responsive images for 100% width pages, blog large layouts and single posts
- improved WooCommerce multi page checkout error handling by adding additional error notice
- improved theme options custom CSS field so that it is fully searchable, also below the fold
- improved author page, by adding a custom author email address field in he admin user profile
- updated Woocommerce shop message element to new name
- updated Google maps infox box js file and included it in Avada
- updated isotope script to latest version
- updated a few theme option descriptions for more convenience
- fixed issue with WPML/PolyLang where saving theme options for "all languages" didn't work
- fixed page reloading when click on anchor scrolling links
- fixed WooCommerce Subscription plugin compatibility issue, where variations prices etc. were missing
- fixed WooCommerce product variations showing quantities even if they are sold individually only
- fixed WooCommerce most recent sorting being reversed
- fixed WooCommerce menu cart dropdown font size not being applied correctly
- fixed WooCommerce product slider image size for fixed images
- fixed full width element margin issue on default page templates when usign 100% site width
- fixes issue with NextGen Gallery where uppercase JPG extension breaks featured image
- fixed tagline element overflow, when using floated elements inside additional content
- fixed theme options typography options being reset when changing between light and dark color scheme
- fixed header transparency page option not working correctly when no bg color is chosen in page options
- fixed Fusion Slider navigation arrows not being vertically centered when using transparent header
- fixed Fusion Slider titles and descriptions not having correct line height
- fixed Slider Revolution navigation arrows not being correctly displayed
- fixed browser standard fonts falling back to Times
- fixed buddyPress sidebar option not working for all pages
- fixed recent works image sizes not being correct for 4 and 6 column layouts
- fixed typo for the "Add Gravity Form" button in Fusion Builder
- fixed twitter widget issue with API limits
- fixed Google fonts not loading different char sets
- fixed issue where rgba colors were displayed incorrectly on frontend in some cases
- fixed header v6 menu disappearing on scroll if sticky menu is set
- fixed sticky menu breaking mobile menus when using side header
- fixed separator element not working with unitess values for deprecated params
- fixed sticky header width not being correct in boxed mode on device orientation change
- fixed social media widget not working correctly when no social media icons are set in theme options
- fixed issue with theme options color picker width for foreign languages
- fixed contact page template thank you message not using correct user name
- fixed sticky header content moving to left when smooth scroll is used
- fixes suhosin values being incorrect on system status page when mega menu disabled
- fixed Firefox javascript security error notice in modernizr library
- fixed image frame element lift-up animation issue with left/right alignment of the element
- fixed issue on single posts page, where smooth height setting made links below slideshow unclickable
- fixed qTranslate plugin flags not being correctly aligned on menu
- fixed PHP notice in class-avada-images.php
- fixed issue on recent works element, where lightbox stopped to work after filter selection
- fixed permission issues with wp_remote_get() and wp_remote_post() happening on some user servers
- fixed image frame element sizing issue with images where the width/height values could not be retrieved from WP database
- fixed Facebook social sharing on mobiles
- fixed incompatibility issue with an init function, that raised error e.g. when All in One Event Calendar was activated
- fixed W3C validator issues with social media icons
- fixed Chrome rendering issue with zoom-in image hover and no spacing columns
- fixed WP site title on demo imports
- fixed equal heights columns issue with nested columns
- fixed breadcrumbs issue where post type archive is empty on single post pages
- fixed email icon not working correctly in social links widget


-----------------------------------------------------------------------------------------
Version 4.0.2 - April 28th, 2016
-----------------------------------------------------------------------------------------


- NEW: includes latest LayerSlider 5.6.6
- improved main menu search field getting auto focus when search is toggled
- improved button span option, so that it takes precedence over alignment option
- improved testimonial speed option, so that it can be set to 0
- updated system status page wp_remote_get() test URL
- updated deprecated get_currentuserinfo() to wp_get_current_user() on custom WooCommerce templates
- fixed social icons in theme options being reset after Avada 4.0.1 update
- fixed additional element option labels in theme options element tab after search
- fixed menu link target attribute not working on all mega menu levels
- fixed custom fonts migration to 4.0.x issue
- fixed WooCommerce featured product elements also showing non-featured products
- fixed WooCommerce edit account page missing action hook
- fixed WooCommerce cart item thumbnail filter being used on post checkout review page
- fixed WooCommerce Subscription plugin issue, where price and description of variable products are not displayed
- fixed WooCommerce elements wrongly taking up link color
- fixed videos not correctly resizing in recent works carousel layout
- fixed usage of removed image sizes
- fixed videos in lightbox not being displayed
- fixed WPML and PolyLang "All Languages" theme options not being saved to all languages
- fixed WPML performance issue when string translation plugin is active
- fixed font preview in theme options not working for all fonts
- fixed "Lato" google font weight selection not being correct
- fixed custom fonts not working in Internet Explorer
- fixed a Chrome rendering bug in titles on events listing page
- fixed Events Calendar issue where the border color affected calendar backgrounds
- fixed number of portfolio item option being set to 0, not displaying all posts
- fixed Avada Patcher for multisite setups
- fixed Chrome issue where page was reloaded before anchor scrolling
- fixed classic shop demo main menu shop button link for demo import
- fixed button border color not being applied to main menu buttons
- fixed social media theme options order not being applied to the social media widget
- fixed display issue with Sermon Manager plugin
- fixed image frame element images being wrongly rescaled if a lightbox image is used
- fixed a rare logo issue, where dimensions are wrong because a WP thumbnail image is used
- fixed content box elements link target not working correctly sometimes
- fixed contact page map with custom style always having overlay color
- fixed RTL positioning issue with menu alignment for headers v4 and v5
- fixed typo avada-header.js
- fixed a few PHP warnings


-----------------------------------------------------------------------------------------
Version 4.0.1 - April 18th, 2016
-----------------------------------------------------------------------------------------


 - fixed maintenance mode preventing backend access on theme update
 - fixed some Theme Optins UI elemnets (like drag sliders, typography fields, code fields) not working
 - fixed fatal error caused by plugins that also use Redux framework


-----------------------------------------------------------------------------------------
Version 4.0 - April 18th, 2016
-----------------------------------------------------------------------------------------


Completely Redesigned & Repurposed Theme Options Panel
Avada 4.0 includes a brand new theme options panel with a fresh UI experience, powered by AvadaRedux. Avada theme options play an extremely important role in allowing you to easily customize the different parts of the site without having to modify any of the backend code. They  have depth, flexibility and power which ultimately provides you with a design tool to create professionally unique websites. With the continued desire to grow AvadaÃ•s powerful options for our customer base, there is a need to use a more advanced framework that allows us to continue building for the future.

When you update to Avada v4, your current theme option values will be copied and stored in your database for safe keeping. No data is lost this way. The extra copy of theme options is then migrated over to AvadaRedux so you can enjoy the new options panel. Always make sure you backup your current theme folder before you upgrade.


Full List of New Features
- NEW: completely new theme options panel, powered by AvadaRedux
- NEW: fresh UI for theme options panel that is a joy to use and makes option selection much faster
- NEW: fully conditional theme options, the only options that will display are the ones that can be used on your current configuration
- NEW: complete reorganization of theme options into logical groupings according to page setup
- NEW: header 6 option, a minimalistic header layout with an all new desktop/mobile fly out overlay menu
- NEW: header search design to go along with Header v6 option, full screen with active search field in the middle
- NEW: responsive images are taken to the next level for blog grid, timeline and large layouts, as well as portfolio and recent works layouts for a performance boost
- NEW: beautiful new Avada Photography demo that showcases the new header v6 layout
- NEW: updated titles and descriptions of all theme options for more thorough explanations
- NEW: unlimited custom fonts can be uploaded
- NEW: custom fonts can now be used in any place that offers font-family typography setting
- NEW: unlimited custom icons can be uploaded for social media use
- NEW: automatic patcher tool on the support tab in the Avada welcome screen allows you to auto install bug fixes released by our team
- NEW: Fusion Slider now allows one click duplication of full sliders and individual slides
- NEW: custom repeater field for easy addition of social networks, custom icons or custom fonts
- NEW: new setup for social icons with custom or brand colors which automatically sets the proper color per network
- NEW: xing added to social media icons
- NEW: combined typography options in one control with an instant preview
- NEW: combined options for paddings / margins and other sizing options for easier use
- NEW: completely new color pickers with sliders, integrated opacity setting and material design color thumbs
- NEW: syntax highlighting for custom CSS and code fields
- NEW: search option in theme options panel to quickly find any option
- NEW: individual theme option tabs for each integrated 3rd party plugins, only show if plugins are active
- NEW: theme option sub panels fly out on hover for easier navigation
- NEW: all retina size theme option fields have been removed and values are now auto calculated
- NEW: all checkbox options have been changed to switches for convenience and consistency
- NEW: all enable/disable settings have been changed to on/off switches and change to Ã”turn onÃ• for consistency
- NEW: import/export section allows to copy raw export data, or import and export via URL and file
- NEW: options reset can now be done on a per section basis as well as the full panel
- NEW: sticky theme options footer bar that has a save and reset button always visible
- NEW: sticky notice when settings have changed to remind you of saving
- NEW: theme version audit trail is now added to the system status tab
- NEW: several new patterns have been added for boxed mode background outer areas
- NEW: theme option to set the animation speed of counter box elements
- NEW: 'Load More Posts' button color option added for portfolio archives, can now be separately set from blog archives
- NEW: footer border size and copyright border size options added
- NEW: header top bar now a background color opacity setting for more flexibility and creativity
- NEW: add form button for gravity forms is now available in fusion builder tinyMCE editor
- NEW: theme option design includes integration with WordPress color profiles
- NEW: includes latest LayerSlider 5.6.3
- NEW: includes latest Revolution Slider 5.2.4
- NEW: removed the inconsistency between using px on a value and not using px (ex: 4px or 4)
- NEW: all theme option controls now have a default setting
- NEW: migration script and splash screen has been implemented for convenient migration of your Theme Options settings
- NEW: all demo content has been updated
- NEW: added height option and also text positioning and displaying options to progressbar element
- NEW: added hook just before comments are output
- NEW: sticky header background color is smoothly animated in now
- NEW: gallery option for the image frame element to include several images in one gallery
- NEW: widget sections can now be easily added and removed directly on the WordPress widgets page
- NEW: added a new loading spinner for Contact Form 7
- NEW: icons on Install Demos screen to indicate if demo install was successfull


General Fixes & Improvements
- continued refactoring of codebase for improvement
- refactored multi language support, fixing issues with WPML and Polylang
- refactored social media rendering functions
- refactored plugin compatibility functions check, fixing undefined and redefined responsible functions fatal errors
- refactored contact.php and moved control logic to new avada_forms class
- refactored one page link anchors when being redirected from a different page; now also works in IE11
- refactored WooCommerce clean design implementation, fixing list/grid view cache display issue
- refactored favicon markup, adding it to wp_head hook
- consolidated theme option settings so that unit less values as well as px values can both be used to set an option to pixels
- CSS compiler is now turned on by default providing dynamic css compilation for files
- improved folder structure of Avada and removed framework folder completely
- improved logo handling, using retina logo, if no standard logo is set
- improved Events Calendar element pictures to use the new WordPress responsive images markup
- improved Events Calendar mini calendar widget contrast for dates with events
- improved megamenu one column setup
- updated recaptcha library to latest version
- updated system status descriptions for wp_remote_get and wp_remote_post, to make test URLs visible
- updated all language files
- updated WooCommerce translation text domain for a few strings
- updated page.php to use new light box triggering code
- updated default copyright text to correct year
- updated demo content to ensure mega menu is properly set after import
- updated 404 page useful links enu to new and shorter headline
- removed all 3 text shadow options for updated design
- removed social icons drop shadow when using boxed mode for updated design
- fixed get_the_title(), the_title() functions used for attributes by changing to the_title_attribute()
- fixed elements not working inside Fusion Slider when added as builder element to page content
- fixed related posts function not resetting query when finished
- fixed related posts image size issue
- fixed Fusion Slider not being fullscreen on mobiles when using side header positions
- fixed Fusion Slider header text color not always being set correctly
- fixed Fusion Slider conetnt not being fully vertically fixed when using transparent header
- fixed sliders inserted through Fusion Page Options not being correctly shown/hidden on various publishing settings like draft/private/pw protected
- fixed issue with Fusion Slider where self hosted videos were not correctly sized and positioned
- fixed old fitvids library issue, where all videos on a page where showing the same when going back in browser history
- fixed _blank link target option not working in content boxes element when entire content box was chosen as link
- fixed content box title color being incorrect on hover when using icon on side layout
- fixed a few issues where certain animation directions were not working
- fixed Fusion Page Options overflowing the box on small screens
- fixed smooth anchor scrolling not working on mobiles when using sticky footer
- fixed issue with image carousel element not being displayed correctly in footer widget areas
- fixed issue with image carousel border when using fixed layout
- fixed header opacity bug when also using a header background image
- fixed WooCommerce site wide store notice conflicting with sticky header
- fixed WooCommerce single product page quantity box and add to cart button alignment issue
- fixed WooCommerce product ordering boxes issues
- fixed WooCommerce list view toggle not having correct color as set in theme options
- fixed WooCommerce 2.5 doubled out of stock notification
- fixed WooCommerce related products star rating positioning
- fixed WooCommerce styling issue in cart totals when a coupon code is used
- fixed WooCommerce cart dropdown positioning in secondary navigation
- fixed WooCommerce hidden products still being shown in the product carousel elements
- fixed WooCommerce issue where product search pages where not correctly respecting header opacity and background color settings
- fixed WooCommerce Product Add-Ons plugin  creating multiple totals instances on variable products
- fixed WooCommerce Product Carousel navigation parameter not correctly working in builder
- fixed WooCommerce checkout page 'Review & Payment' tab not being correctly highlighted
- fixed default top/bottom margins being too large on column elements
- fixed 'Map Popup On Click' Theme Option not working
- fixed issue with full width element not being correctly aligned when % values are used for 100% width left/right padding option
- fixed categories being removed on save for events calendar element
- fixed various issues with wrong translations
- fixed Events Calendar sidebar heading background color not auto adjusting to color scheme selection
- fixed Events Calendar element permalink issue, when using hyphens in the slug
- fixed issue with Category Order and Taxonomy Terms Order plugin not working on portfolio archive filters when specific categories are chosen
- fixed issue with login/register element redirection when an error occurred or when no redirection link is set
- fixed z-index issue with popover elements where other elements could hide parts of the popover
- fixed typo in portfolio-archive-layout.php causing a parse error
- fixed infinite scroll / load more button bottom margin being too large
- fixed mobile menu item padding option for none responsive design
- fixed comment form submit button width
- fixed issue with FusionBuilder where child elements could not be correctly removed
- fixed heading styles not being applied to modal windows
- fixed recent works element not using categories on rollovers
- fixed default value for jpeg quality. Now defaults to 82
- fixed missing image dimensions in image carousel and image frame elements
- fixed issue with alert boxes after floated containers
- fixed issue of single faq items showing blog related posts
- fixed WordPress Custom Menu widget sub level item padding in footer columns
- fixed issue with side navigation template not taking on the correct sidebar width, if no additional sidebar is set
- fixed content box issue, where the correct accent hover color was not working on icon background
- fixed issue with counter circles not fitting it its containers on page load
- fixed logo right alignment forcing menu to the left on headers v4/v5
- fixed tagline button border color not working for default button color setting
- fixed header v4 mega menu position wrong when menu is not left aligned
- fixed several RTL issues


-----------------------------------------------------------------------------------------
Version 3.9.4 - April 13th, 2016
-----------------------------------------------------------------------------------------


- WP 4.5 Compatibility


-----------------------------------------------------------------------------------------
Version 3.9.3 - January 27th, 2016
-----------------------------------------------------------------------------------------


- NEW: actions hooks after content container and before footer container
- NEW: current and previous theme version now available on system status tab
- added support for lightbox case insensitive file extension checking
- refactored theme template files to free them from element usage
- changed FusionCore update nag styling to make is stick out more
- fixed sliders howing on private or password protected pages also for users without access permissions
- fixed compatibility issues with the new Polylang 1.8
- fixed tagline element buttons appearing twiche on mobiles
- fixed elements not being correctlly stripped from excerpts when using <!--more--> tag
- fixed missing add to cart icon on products archive when using WooCommerce 2.5
- fixed blank page template not respecting page option background image setting
- fixed double slashes in paths of admin screens assest urls
- fixed search page results not respecting the hide/show featured images setting
- fixed testimonial element RTL issue
- fixed content box icon alignment RTL issue
- fixed FusionBuilder save/cancel button alignment when the events calendar plugin is active
- fixed price alignment issue in the WooCommerce cart widget
- fixed issue with Fusion page options where background images could not be set if "Link URL" field is empty
- fixed page title bar mobile height Fusion page option not working on side header layouts
- fixed a few WooCommerce product rollover display issues
- fixed content box element button bar being wrongly aligned on some layouts


-----------------------------------------------------------------------------------------
Version 3.9.2 - January 14th, 2016
-----------------------------------------------------------------------------------------


- NEW: tab content on mobile now displays directly below the corresponding tab toggle
- NEW: font awesome 4.5 icon set with 20 new icons
- NEW: mobile menu collapses now, when an on page menu anchor was clicked
- NEW: permalink settings for portfolio categories/skills/tags slugs
- NEW: option to position the contact form comment area above or below the input fields
- added support for woocommerce brands addon
- added styles for password protection element for posts/pages for WP 4.4
- updated German translation file
- updated several theme and page option descriptions
- updated various FusionBuilder element descriptions
- updated Google+ social icon to new branding
- updated Revolution Slider to 5.1.6
- fixed comment form submit button issue, where the button was cut off on mobiles
- fixed issue of events element breaking tabs element
- fixed side header background color transparency in combination witha bg image
- fixed issue with unitless sidebar widths settings
- fixed some styling issues with the Events Calendar Pro mini calendar widget
- fixed issue with google fonts not being set in Theme Options
- fixed an issue with content box element title hover color not being correct
- fixed select box arrows for forms inside of modal windows
- fixed WooCommerce horizontal product tabs breaking on mobile
- fixed styling issue for Avada style twitter widget inside centered footer widget column
- fixed an issue where search page options were also applied to backend search
- fixed issue where assigned blog page options were applied to blog archive pages
- fixed breadcrumbs not being displayed on single events page
- fixed issue of blank page template not being full width
- fixed javascript error on WooCommerce button click
- fixed WooCommerce shipping calculator being doubled on cart page
- fixed WooCommerce clean product design useing deprecated WordPress permalink function
- fixed RTL issue on WooCommerce my account page regarding addresses heading
- fixed various RTL issues with menu items for headers v4/v5
- fixed lightbox not working on blog archives using infinite scroll or load more button
- fixed full width element not stretching full broswer width when using percentage value in "100% Width Left/Right Padding" option
- fixed an issue with responsive images being rendered too small
- fixed issue with post options width/height settings for featured images not being respected on blog archives
- fixed missing alt tags for images in recent posts element
- fixed compatibility issue with WPTouch plugin
- fixed demo menus not importing on servers using php7
- fixed an issue with WP responsive images on blog archive pages
- fixed an issue where FusionBuilder sub elements couldn't be removed when Yoast SEO plugin was active
- fixed content boxes icon on side margin issue when the icon image is right aligned
- fixed issue with Relevanssi plugin throwing fatal error on building index
- removed deprecated Google Maps API setting to fix javascript console notice


-----------------------------------------------------------------------------------------
Version 3.9.1 - December 22nd, 2015
-----------------------------------------------------------------------------------------


- improved self hosted video backgrounds in IE + EDGE to ensure they are 100% width
- fixed missing margin for custom template button in builder
- added column background parameters to the element generator
- fixed counter circle resize issue
- fixed the issue of p tags being removed in text block element, and similar issue with content boxes using line breaks
- fixed the issue of the content box title color not working in element
- fixed the issue of WP comments form heading using double title
- fixed two issues with the comment form on contact page (field resize and new WP 4.4 setup)
- fixed issue of button gradient hover color not working from theme options
- removed PHP notice in search.php
- added a fallback for buttons when used with gravity forms to ensure theme option values are used
- fixed rare issue of migration script leading to fatal error on child theme
- ensured the update message for FC plugin is always visible, even if its been dismissed in previous update
- made adjustments to ensure hover animation color is used on content box icons when icon circle is set to no
- fixed Google Plus sharing issue with sharing box element
- adjustments for side Header z-index to ensure drop downs are above content
- fixed main menu hover color in Firefox
- fixed rare issue on events list page, where images with white space in file paths didn't show


-----------------------------------------------------------------------------------------
Version 3.9 - December 17th, 2015
-----------------------------------------------------------------------------------------


Five New Demos To Show The Power of Avada
We've added 5 new demos that are built entirely from our included options. These demos are unique and creatively designed for the specific industries they represent. Best of all, you can import them directly from the WordPress admin and use for your site. They are Avada Gym, Avada Modern Shop, Avada Classic Shop, Avada Product Landing Page and Avada Forum  More coming soon!


Full List of New Features
- 5 new professionally designed demos
- new "clean" design option for WooCommerce product boxes
- new option to add a counter circle beside the woo cart icon in the menu
- new builder "User Login" element to add login, registration, lost password within the content area
- new options for the "User Login" element to control colors, styles, etc
- new animation settings to choose when the animation should start
- new horizontal menu widget with several style options, can be seen in the new modern shop demo
- new widget 'Horizontal Menu' to add a horizontal menu, perfect for the footer
- new hover effects for column background images
- new ability to add a link over the entire column background image
- added ability to show categories in blog grid layout
- new option for center alignment in title element
- new options for social sharing icons on the events single post page
- new options to control the navigation box size and arrow size for fusion sliders
- new theme options to control the navigation box size and arrow size for site wide slideshows and carousels
- new option for each fusion slide to have a single/double/dashed line on the caption or heading
- new theme options to control the pagination design (padding and the "next/previous" text to show or hide)
- separator element now supports px and % units for margins
- new element option to set timezone for countdown element
- WooCommerce single product image size in WooCommerce settings will now be followed on single post page
- WooCommerce cart dropdown in the top and main menu now follows menu width theme option
- updated Revolution Slider to 5.1.4
- new avada_before_body_content action hook after <body> tag
- added full compatibility for the filter bar add on for events calendar
- added compatibility for WooCommerce 2.5 (Note: Woocommerce 2.5 is not released yet)
- design cleanup for various bbPress areas and widgets
- continued refactoring of the codebase for optimal performance and maintenance
- deprecated content-width options for layouts with sidebars, they are now auto-calculated using CSS calc() functions
- new bbPress tab in theme options for better organization
- new dashboard widget for ThemeFusion related news and updates in the WP admin area
- new fade option for rollover effects via theme options
- new option to set the WordPress jpeg quality


General Fixes & Improvements
- mute options for videos now works for full width element
- tweaked strip HTML option for recent works
- fixed transparent header width in boxed mode
- video preview image will now show up for Youtube/Vimeo videos on mobile/iPad
- minor changes for WooCommerce quick checkout plugin to work correctly
- screen reader text is now properly hidden
- fusion slider element heading / caption background color now works
- fixed compatibility issue with optimize press
- fixed animation settings for content boxes when parent settings were selected in the element
- fixed content box heading color hover issue
- mobile header background color now works when using a side header
- fixed light box scroll/exit issue
- fusion slider will now prioritize to show the entire content on mobile
- fixed bbPress reply date issue
- fixed side header scrolling issue on iPad
- fixed blog timeline layout date issue where 2009/2010 posts were showing under the same heading
- fixed youtube slider no preview image issue along with various other issues
- mute video options now works correctly for Vimeo videos
- corrected the name for 'avada_load_more_posts_name' filter
- fixed woo carousel not saving more than 1 selected category
- tweaked search results option for accuracy
- excerpt length is now followed by RSS feeds
- fixed minor popover styling issue
- text and icon color in WooCommerce product rollover works correctly
- fixed widget title design for WooCommerce default widgets
- fixed button element accent color for when icon is used within the button
- sticky footer now works correctly
- leave a comment button now spans correctly within the content area
- fixed target in content boxes when selected in the child options
- linkedIn sharing is now up-to-date
- events Calendar view more link in list widget now works correctly
- mobile menu navigation item arrow is fixed now
- google social icon will now follow the correct target option
- text domain for events calendar template mods is now up-to-date
- widget will not be created when hitting the cancel button in the widget section area
- removed ?login=failed form the URL when user is logged in successfully
- fixed WooCommerce cart count for the menu cart area
- fixed columns not stacking properly on iPad portrait mode
- global 'open post links in new window' option works correctly for portfolio
- events calendar featured image on day view will now work correctly on mobile
- styling for WPML language switcher widget is now correct
- fixed responsive styling for coupon code area for woo checkout
- transparent header now works when responsive mode is off
- WooCommerce Variable product description now works correctly
- fixed twitter widget truncating tweets
- facebook widget will no longer throw a JS error
- disabling the search bar in Events Calendar will no longer break archive view
- IE11 on windows 10 crashes are fixed
- lightbox slideshow play button will now work correctly
- various anchor scrolling improvements
- counter circles now work correctly within tabs
- sidebar now follows the breakpoints correctly
- blog/portfolio breakpoints from 5 -> 4 -> 3 -> 2 -> 1 column will now work correctly
- fusion events element will work correctly in tabs now
- XMLNS attribute removed for the SSL sites
- fixed Full width container parallax image sizes on mobile
- titles will no longer cut off in fusion slider on mobile
- page title bar will pick up heading left/right padding option
- social icon tooltip will no longer block social icons
- several style adjustments to WooCommerce for optimum design
- tested PHP7 for compatibility issues
- tested WordPress 4.4 for compatibility issues
- tested WPML 3.3 for compatibility issues
- tested the new Events Calendar 4 update
- fixed recent posts animation
- added support for fullscreen mode for vimeo videos
- added support for double quotes in tagline box title and description


-----------------------------------------------------------------------------------------
Version 3.8.8 - October 27th, 2015
-----------------------------------------------------------------------------------------


- NEW FEATURE: new responsive breakpoint settings for site content and portfolio/blog grid to combine with the header responsive breakpoint
- new Ã¢â‚¬ËœResponsiveÃ¢â‚¬â„¢ theme options tab that holds general responsive options like break points, responsive design, responsive typography, and pinch to zoom.
- fixed sanitation from breaking urls with ports (fixes unique case of logo missing)
- added a clearfix for Woo related posts
- fixed image carousel not vertically aligned in firefox
- removed undefined errors
- fixed issue with price for events being out of place
- fixed the 404 issues on icons for old IE versions in light box
- fixed issue of post images not showing in light box when selected
- added Avada alert box styling for cf7 success message
- improved event images to ensure hover effects work and link to single event page for all layouts
- improved pagination of blog element when used on designated home page from reading settings
- fixed sidebar assignment for portfolio archives
- ensured video previews work on portfolio archive pages
- ensured values missing in theme option fields use default values
- minor styling fix for toggle element
- Multiple blog elements on the same page now work with load more/infinite scroll
- fixed issue of Sliding Bar Button color being overridden by Theme Options > Sliding Bar Link Color
- improved light box so it can be closed even if you scroll down on page
- fixed issue of content boxes breaking grid on iPad portrait
- minor styling fix to ensure long urls need wrap in event sidebar
- added placeholder for events tribe pro class call if pro version is not present
- improved hover effects for content boxes
- improved characters encoding in breadcrumbs for bbpress search
- fixed footer closing div issue with copyright disabled
- improved RTL menu styling for Header V5
- fixed the flash detection notice in light box in firefox
- fixed issue with woocommerce fields on my account page
- improved meta data styling on single events page
- fixed js error on empty image frame element
- fixed issue with twitter style widget options not working in some cases
- fixed issue of mobile menu spacing when using header 4 with a banner ad
- improved anchor url on different pages to work more conssitently
- fixed light box issue of portfolio featured image opening in new window
- improved elements content extraction with slider element
- updated avada twitter widget transient
- change instances of 'Sidebar' to 'Widget Section' that were missed in 387
- fixed issue of breadcrumbs disappearing before mobile kicks in
- updated wp_title deprecation for WP 4.4
- fixed issue of Facebook icon broken in footer under iPad portrait view


-----------------------------------------------------------------------------------------
Version 3.8.7 - October 8th, 2015
-----------------------------------------------------------------------------------------


Complete Design Integration For The Events Calendar Plugin by Modern Tribe
The Events Calendar plugin has been downloaded over a million times! It`s the `go to` plugin for managing events, and now Avada offers complete design integration for both the free and pro versions of the plugin. The list below details everything that has been added for this popular plugin.

- beautiful design integration for The Events Calendar plugin that covers all pages, layouts, views and posts
- integration for both the FREE and PRO versions of The Events Calendar
- new events builder element that allows you to place event listings on any page
- new theme option panel to hold all the customization options for The Events Calendar
- new option for event text color for the primary color overlays
- new events filter bar background color option
- new events filter bar text color option
- new monthly calendar heading background color option
- new monthly calendar background color option
- new tooltip background color option
- new tooltip text color option
- new border color option
- new featured image hover type option for event images
- new image background size option for list view layout
- the single event post page has a full detailed sidebar section with several customization options
- new event sidebar background color and padding options
- new event sidebar heading font size and color options
- new event sidebar title background color option
- new event sidebar text font size and color options
- new event sidebar link color option
- new event sidebar divider color option
- new event sidebar width options for dual and single sidebars
- new events calendar global sidebar options that apply to every event page and post


New Church Demo To Showcase The Events Calendar Plugin Design Integration!
We`ve created a beautiful demo catered to Churches or Non-Profit organizations. This demo showcases the unique design integration Avada now includes for The Events Calendar plugin. Check it out here: https://theme-fusion.com/avada/church/


Full List of New Features
- new fusion builder countdown timer element
- 10+ theme and element customization options for the new countdown timer element
- new widget builder element, easily insert widgets on any page
- new option to set a custom breakpoint for when the mobile menu appears
- new twitter widget style and options, 3 styles to choose from along with new widget options
- new option for widget titles to have a colored boxed background
- new option for buttons to span full width of container
- new options for the person element to align all content (left, center, right)
- new option for person element to place social icons on top or bottom of the layout
- new option for person element to have a background color
- new footer content center option allows all footer content to be centered
- new copyright content center option allows all copyright content to be centered
- Fusion Slider can now take Youtube and Vimeo videos full screen without black bars
- control the height of all form fields, dropdown select boxes and search field with the new Form Field Height option
- new option to enable/disable the WooCommerce Product Image hover effect
- content box hover effect color and "none" option
- enhanced excerpts that extract all "content" from the elements
- menu centering option now works for headers 4-5
- related posts / projects will now show video post previews
- new option for disabling css hover animations on image frame element
- new revolution slider plugin v5.0.9
- new layer slider plugin v5.6.2
- update FA to new version
- new option to disable dynamic CSS caching in database
- new theme option to use 100% width on all blog single posts
- fixed mode for iPad portrait has been removed from the theme and made into a plugin for those who still wish to use it


General Fixes & Improvements
- continued refactoring of the codebase for improvements
- clean the bbPress code and reduce the usage of templates
- Move sidebar code from page templates to classes
- improved the one page anchor link setup for various cases
- fixed the false URL report from Google Web Master caused by isIE()
- upgraded TGM to the latest version
- improved the System Status wp_remote_get and post change URL
- deprecated the fusion_string_limit_words function
- added additional checks for language file locations
- fixed issue of Vimeo element API not working in fusion builder
- improved variable product re-sizing when changing selections
- improved sharing on twitter when using symbols
- changed to flexbox method for various areas that were refactored for added flexibilty
- improved the layout in IE 11 when using boxed mode + parallax footer
- fixed issue of iLightbox not closing once you scroll on a page
- improved sticky header by allowing it to match the normal menu height so menu items do not fall outside
- improved testimonial layout for the comma if a name is not used
- fixed issue of icon circle backgrounds displaying as squares in Safari
- fixed issue of blog page using thumbnail size for first image in a slideshow
- improved parallax footer setup when using google map + contact page
- added top and bottom padding for footer area in tablet mode
- fixed issue of page title bar contents being incorrect on search results page
- fixed issue of excerpt link not linking when using read more tag
- new Italian, Dutch and Persian translation files submitted by community members
- fixed php notice on portfolio single posts template
- fixed redundant string in theme options
- improved the layout for WooCommerce checkout Paypal icon so it does not overlap others
- improved the layout for using links in the header tagline field
- fixed typos in System Status page errors
- added support for translating "Search results for:" and extra featured image fields
- fixed issue of WooCommerce variable product description being doubled
- improved bbPress integration, ensure the no "subscribe' link shows on bbPress forum pages
- fixed minor empty space on right side of browser when using tablets
- fixed the issue of captions not showing for the default WP gallery
- improved recent works active filter initialization so it is encapsulated
- fixed issue of Google+ Share in Microsoft Edge
- improved the layout for portfolio single post details section on tablets wen using a sidebar
- fixed the issue of "auto" not working for featured image size
- updated modern and classic mobile menus when displaying certain header content
- improved video backgrounds in full width container for IE11
- made adjustments to ensure Q2W3 plugin compatibility
- various style adjustments for content box element
- fixed issue of email icon not showing in social sharing of post
- ensure full screen Fusion Slider is full screen on mobile
- improved sticky header setup when using header 5 and a large logo
- improved image size setup for image carousel when using Firefox
- fixed issue of recent works lightbox not loading with videos
- fixed style issue of multiple instances of recent works element on one page overlapping
- improved scrolling on iPhone for modal forms
- improved styles for toggle titles so they wrap correctly on mobile devices
- improved lightbox integration when using a single image frame element
- fixed style issues with transparent header on mobile
- improved lightbox behavior when using blog element + infinite scroll
- "Email sent successfully" message will only show if email address is entered in theme options
- improved parallax footer setup / loading when on a page with a slider
- fixed issue of side header logo overlapping in Firefox
- improved iLightbox inline links
- improved automated tab IDÃ¢â‚¬â„¢s to reduce conflict
- improved </textarea> usage with code block element
- removed the use of glob() to include all files
- added our custom alert message design for contact form 7 plugin
- added 3rd party plugins to the "recommended" plugin list
- improved the rendering of products inside of tabs element
- fixed style issue of WooCommerce 'My Account' drop down being cut off when left aligned
- improved overall sticky header + scrolling on shorter pages
- minor changes to accommodate Member Mouse plugin compatibility
- fixed issue of product search results excerpt not following theme option setting
- updated alert messages when errors are reported in system status
- improved thumbnail scrolling  for WooCommerce product slider on single product pages
- various improvements for tabs + WooCommerce Products and flip boxes
- fixed rare issue of logo duplication on mobile
- Strip HTML now works for recent works
- OG description, allow content within text block element
- fixed audio element conflict with animations in mobile bug
- button element border width now displays empty to pick up theme option value
- enable compression for google map file
- improvements to sharing text when a page is shared on Facebook
- made adjustments for WP 4.3 admin bar and the mobile sticky header
- checked compatibility for Sermon Manager plugin
- fixed IE11 issue of having to click Update button twice.
- changed `sidebars` to `widget sections` under appearance menu un admin for accuracy


-----------------------------------------------------------------------------------------
Version 3.8.6.1 - August 20th, 2015
-----------------------------------------------------------------------------------------


- fixed several minor issues to ensure the theme is compatible with WP 4.3
- element generator adjustments for WP 4.3
- layerslider is updated to 5.5.1
- added updated files for latest WooCommerce plugin to fix outdated notifications

We have skipped Revolution Slider v5 in this version due to an issue we found with auto-responsive sliders used in column elements.  We are working with ThemePunch to get it resolved asap.


-----------------------------------------------------------------------------------------
Version 3.8.6 - July 27th, 2015
-----------------------------------------------------------------------------------------


- new theme option for positioning the search form on the search results page
- improved rollover effects when featured images are set to fixed, it now only covers the image width
- new Macedonian language files for fusion core
- bbpress template has missing parenthesis due to new Avada settings
- improved Polylang working with theme options
- minor xss vulnerability fixed
- improved usability with light box plus color box
- login page incompatibility with member mouse
- improved IE8 usability
- Invalid argument for function\_exists\(\)
- Title and captions now show for product images in light box
- fixed issue of mega menu Column Width setting
- improved compatibility with events calendar plugin
- fixed typo in class-vimeo.php for https
- fixed Jetpack Photon in Lightbox and tile gallery issues
- fixed Dutch translation errors
- Compatibility class setup the 3rd party check functions too late
- fixed issue of Email icon not appearing
- Woo Featured element now allows categories to be hidden
- links can now be added to map info box
- enable parallax on mobile option will now work when set to no
- Single post page titles changes to h3 for SEO improvements
- fixed mode for ipad is fixed but will be moved to an external plugin in 3.8.7
- fixed Full Width Container issues with mobile plugins
- 100% width page option has been fixed to work for single posts
- fixed issue of iLightBox from WP \[gallery\] element opening images as youtube videos
- Portfolio page template as font page - pagination active selector is now working
- nav\_menu\_link\_attributes now working in mega menu
- updated WooCommerce strings


-----------------------------------------------------------------------------------------
Version 3.8.5 - July 19th, 2015
-----------------------------------------------------------------------------------------


Five New Demos To Show The Power of Avada
WeÃ¢â‚¬â„¢ve added 5 new demos that are built entirely from our included options. These demos are unique and creatively designed for the specific industries they represent. Best of all, you can import them directly from the WordPress admin and use for your site. They are Avada Hotel, Avada Hosting, Avada Law, Avada Lifestyle and Avada Architecture.  More coming soon!


Full List of New Features
- new mobile layout version for iLightbox
- new image hover effects for image frames (zoom in, zoom out, lift up)
- new image hover effects for recent post element (zoom in, zoom out, lift up)
- new border options for columns, all sides or individual sides
- new global theme options for single portfolio pages
- new font size option for font awesome icons, can be any size in px
- new zoom to pinch theme option for mobile devices
- new options to enable menu divider lines in regular and mega menus
- new options to control top/bottom padding for regular and mega menus
- new option to display an indicator icon for parent level menu items
- new theme option to change carousel speed
- new top / bottom margin options for title element
- new option to disable sticky header shrinkage animation
- new content box options for title font color and body font color
- reorganization of content box options
- 4 new content box design styles
- new content box hover effects (fade, pulsate, slide)
- new font size and line-height option for post titles
- new option that allows buttons to be used as menu items
- new toggle divider line option
- new letter spacing options for H1-h6
- new lightbox video width/height theme options to control video size
- new progress bar border options
- new layer slider plugin version
- new revolution slider plugin version


General Fixes & Improvements
- switched from compiling using LESS to a plain PHP compiler for performance improvements. Improved compiler cache system, added hooks for the compiler
- various adjustments for translation files
- improved dynamic_css.php conversion issues
- various RTL improvements for front and backend
- fixed database error if no revolution slider installed
- fixed avada social links widget issue of boxed padding setting not working
- improved text alignment for progress bar text
- person element now follows global option for icon tooltip position
- fixed shadow parameter issue for button element through text editor
- improved page title bar title on portfolio taxonomy pages when a blog page is set
- fixed issue of mega menu not disabling
- woo shop page double sidebars is messed up
- widget titles are now h4 instead of h3
- adjusted menu drop shadows for consistency
- sticky header now works on mobile with side header
- added SUHOSIN max_value_length to system status
- added DOMDocument check in system status
- fixed plugin conflict with Category Order & Tax Terms Order plugin issue
- adjusted light box popup z-index
- improved iLightbox video loading / SSL Youtube
- improved Gravity Forms styling issues
- improved light box galleries with using portfolio filters
- adjusted recent works + filter without all behavior
- fixed border colors to ensure they work on Woo pages
- improved vertical alignment of text in page title bar at 800px
- fixed issue of WooCommerce showing double proceed to checkout on cart page
- improved footer widgets and footer column theme option interaction
- fixed menu item flickering issue with logged out of one page
- fixed issue of columns not hiding on mobile when selected
- adjusted equal column heights in IE
- fixed issue of sticky header animation + short page content
- fixed issue of flip box images overflowing in Firefox
- improved parallax footer setup for IE
- improved one page anchor link scrolling issue
- fixed polyang theme options not saving for languages
- improved side header setup for viewport / scrollable area
- fixed "my account" login from main/secondary menu
- improved WP Gallery Lightbox behavior when using multiple galleries on one page
- use wp_remote_get for recaptcha instead of any other function
- video embeds now work in all portfolio templates and recent work elements
- improved videos in modal popup
- improved twitter widget for preg_replace issue with URLs ending with full-stop
- fixed responsive issue with columns resizing at 1366px
- fixed issue of page options not applying to shop page
- fixed woocommerce dynamic_css errors
- fixed issue of iLightbox gallery not showing title/caption for all images
- fixed issue of portfolio + infinite scroll _image rollover disable
- fixed issue of Link in media added by WordPress opening up in Lightbox
- fixed conflict with Woocommerce Swatches add on
- disabled parallax footer for mobile devices
- removed video flashing when page loads
- fixed issue of WPML flags style issue in menu
- excerpt theme option now applies to portfolio archive page
- updated fusion core to font awesome 4.3
- fixed plugin conflict with WPMU
- improved use of special characters in tagline box title and description fields
- removed h2 inside of h3 in comment form
- fixed system status bug with max_input_vars
- adjusted some styles for IE9 compatibility
- improved strip_HTML option for bold text
- removed my account login box on mobile menu
- improved Header shadow  / menu for IE11
- removed <img> tag output when no logo is uploaded to backend
- removed console error for FAQ pages
- fixed issue of WooCommerce Affiliate Product Purchase Button in Archive pages
- fixed section separator divider candy border position / shape
- google map info box will now allow links
- fixed issue of page title meta conflict with 3rd party plugins
- fixed Woocommerce products sorting due to error in woo-config.php
- improved non-responsive mode adjustments for desktop so no changes happen when resizing browser
- fixed conflict with Relevanssi Search plugin
- revised button element to be responsive in Layer Slider


-----------------------------------------------------------------------------------------
Version 3.8.4 - May 1st, 2015
-----------------------------------------------------------------------------------------


- new revolution slider plugin version
- fixed security issue with xss vulnerability
- improved demo importer for certain server environments
- updated WooCommerce template files for the outdated message in system status
- added suhosin check in system status
- added information that explains ZipArchive is required on your server for importing demos
- portfolio Grid template improvement
- added more information to demo popup message for individual demo requirements
- RTL style improvements
- breadcrumb function improved for various areas
- fixed responsive / retina issue for larger logos
- fusion slider now uses responsive headings all the time
- dropped custom Avada styles for select boxes in IE since it is not supported
- fixed compatibility issue with Category Order and Taxonomy Terms Order plugin
- fixed issue of full width background being affected by padding options
- tested and fixed hellobar issue
- typography settings now apply to single post pages
- improved smooth scroll in certain situations
- youtube & vimeo videos will show at normal size in light box as long as video embed link is not used
- fixed issue of "fixed" featured image mode not working for carousels / recent work
- fixed issue of header tagline font not working with font options
- fixed formatting issues with Turkish language files
- letter spacing menu option improvement
- improved fusion slider max content width setting
- removed the "disable first featured image on products" setting since it does not apply
- improved portfolio featured image loading
- removed encoding from tracking code, space before head, space before body, and custom CSS to stop it from parsing code within TO and removing special characters e.g. +
- woo login box now shows login fields for logged out users
- woo cart / my account links now show on mobile
- fixed button styling issue with gravity forms
- fixed responsive issue with image sizing for portfolio one column layout
- update child theme to remove styles being included twice
- fixed issue of two recent work elements sharing the same light box gallery
- theme options for form styling will now work with contact form
- fixed bbPress responsive issue
- fixed issue of youtube videos not always working in full width container backgrounds
- fixed issue where undefined js error was loading on some pages
- flickr widget 403 forbidden error has been resolved
- improved the product registration process for when data is invalid
- fixed issue of header shadow with older versions of IE
- improved navigation location for post slider attachments layout
- fixed issue of menu margins not correctly assigned using the less compiler
- improved light box behavior when using default WP gallery
- woo products slider can now hide categories
- fixed issue of mobile submenus triggering on first click
- improved Fusion slider content alignment when using left or right setting
- fixed issue that prevented fixed mode for ipad from working
- improved ubermenu compatibility for search feature which was being hidden due to css
- fixed minor translation issues for various areas
- improved WPML flag position on mobile menus
- improved section separator styling when using large borders
- the new avada menu in the top admin toolbar will only show on front end for users who can edit theme options
- fixed sidebar background option from working without less compiler
- improved styles for checklist element when text falls in two lines


-----------------------------------------------------------------------------------------
Version 3.8.3 - April 18th, 2015
-----------------------------------------------------------------------------------------


- fixed issue of H2 font setting not working for post titles
- bug with avada.po
- improved demo importer for faster imports
- fixed WPML issue with page options (WPML 3.2 is fixing this also)
- fixed issue with fusion-flexslider always showing first slide
- various RTL fixes
- improved system status report for wp memory
- Portfolio featured image class issue
- disabled sticky footer on mobile devices due to touch screen incompatibilities
- improved loading of youtube script
- improved page title bar mobile height setting
- Flickr widget is now compatible with https
- fixed Chrome issue with flip boxes
- improved sticky header logo resize when logo is larger then sticky header height
- improved fusion slider text content placement when using parallax slider
- adjusted styles for megamenu
- fixed issue of meta title trailing separator
- made header shadow compatible with older versions of IE
- fixed contact form issue when not using recaptcha
- if site width is left empty it will now use px value instead of %
- fixed issue of videos not showing in portfolio page
- fixed the call to undefined error
- fixed an issue with WooCommerce pages/elements loading slowly
- youtube video embeds now work on portfolio archive/category pages



-----------------------------------------------------------------------------------------
Version 3.8.2 - April 15th, 2015
-----------------------------------------------------------------------------------------

- new option to disable custom post type name in breadcrumbs
- made LESS compiler into a theme option that is disabled by default. This fixes the issues of mysql crashing on certain server environments
- fixed fusion slider issue of width/height import and slide animation
- added back the .mo files in language folder for main package
- sticky header logo will now auto resize to fit area
- icons in main menu will align with menu text
- fixed issue of double menus when using side header
- fixed ubermenu compatibility issues
- fixed language issue with new Facebook widget
- portfolio grid images / layout will display correctly
- getimagesize loop issue is fixed, retina logo dimensions are now required
- fixed ilightbox s error when the URL param is not set
- fixed issue of button color when using tagline box


-----------------------------------------------------------------------------------------
Version 3.8.1 - April 14th, 2015
-----------------------------------------------------------------------------------------

- Fixed a bug where WP admin area or front-end was locked due to CSS complaining errors.
- Fixed a bug where less compiler within the theme was conflicting with plugins.


-----------------------------------------------------------------------------------------
Version 3.8 - April 13th, 2015
-----------------------------------------------------------------------------------------

Four New Demos To Show The Power of Avada
We have added 4 new demos that are built entirely from our included options. These demos are unique and creatively designed for the specific industries they represent. Best of all, you can import them directly from the WordPress admin and use for your site. They are Avada Fashion, Avada Mobile App, Avada Cafe and Avada Travel.  More coming soon!

New iLightBox Integration With 6 Skins & Additional Options
We have replaced prettyPhoto light box with the faster, more feature rich iLightBox. This new light box comes with 6 design skins that you can easily choose from our theme options panel. In addition, weÃ¢â‚¬â„¢ve added new theme options to control the position of the image thumbnail navigation panel. We have also simplified the titles and captions so it is consistent with what you see in the WordPress media section; image titles display as light box titles and image captions display as light box captions.

New WooCommerce List View & Horizontal Product Tab Option
A new "List View" layout option has been added for the WooCommerce shop page. This gives you the option to display products in the standard "Grid" or  new "List" layout.  A new theme option on the WooCommerce tab controls this. When selected, the shop page will display a grid/list icon set which allows your viewer to choose the view for your products on the front end.  In addition, we have added a new option that allows you to choose horizontal tabs for the single product page, in addition to our standard vertical tabs.

New Carousel Design Along With Several New Options
Carousels were given a minor design change that allow the images to span the full width of the container. This allows the navigation arrows/boxes to sit on top of the images. In addition we have added several new options for customization.  Carousels can now be set to autoplay, choose column size, control column spacing all the way down to 0px, use mouse click to drag scrolling, show or hide navigation boxes, show or hide the border.  Each of these options have been added to these elements: image carousel, recent work carousel, WooCommerce product carousel and WooCommerce featured slider. In addition, related posts & projects have the options added to the theme options panel under the "Extras" tab.

NOTE: Due to the new carousel options, we no longer need separate elements for client slider and image carousel. They have been consolidated into one element called "image carousels".  When you update, your client sliders will be converted to image carousels when you open and edit the page.

Over 40 New Theme & Page Options Added
We have added over 40 new theme and page options to help you take your site design further. These options put you in the drivers seat, giving you control over your website.

New Welcome Screen In WordPress Admin
We have added a new Welcome Screen in the WordPress admin that provides a better user experience. It will automatically show after you install Avada, and you can easily access it in the left sidebar of your admin at any time. This new addition has 4 different pages.
- Product registration page - this page allows you to fully register your product to be eligible for free support and auto theme updates. Previously this was located in theme options.
- Support page - contains important links to our support center and resources.
- Install Demos - this is where you can easily import any of our demo content as well as preview a specific demo. Previously this was located in theme options.
- Fusion Plugins - this is where you will be able to view and download new plugins that our team is developing. Very exciting products are on their way!
- System Status - this shows you important information about your sites status and helps the troubleshooting process


Full List of New Features
- four new amazing demos built only with Avada
- new iLightBox integration along with 6 design skins and new theme options
- new WooCommerce list view
- new WooCommerce horizontal tab view on single product page
- new parallax footer option
- new sticky footer theme option
- new 1 column builder element for design purposes
- new design for carousels, images now go edge to edge with navigation on top of images
- new carousel element options: autoplay, column size, column spacing, mouse click to drag scroll, scroll items, navigation display, border
- new carousel element options added to image carousel, recent work carousel, woo product carousel and woo featured slider
- new theme options for related posts/projects to utilize new carousel options
- new option to control post titles below image for related posts/projects
- new mobile_visibility option for full width container, columns and image frame shortcakes
- new picture size option for related posts and projects (auto or fixed)
- new theme option for responsive Heading typography
- new setup for column background images, if no content is inserted then image shows in original aspect ratio
- new content alignment for columns so content can be in direct center of container
- new animation options for column elements
- new image rollover color option to box in content elements
- new theme options for font weight
- new font size option for checklist element that gives you exact control over icon and text size
- new option to hide the ALL category for portfolio and FAQ post filters
- new theme and element option to show/hide the circle around the icon for the separator element
- new theme and element option for separator element that controls border thickness
- new option to align the separator when a specific width is used (left, right, center)
- new option for small image to large image added to the image frame element (this allows us to combine image frame and light box element into one)
- new theme options to control the color and sizing for the woo sorting text/icons
- new tabular design for the full width element popup window (this will be implemented to more elements in the future)
- new page title bar options to show page title without the bar
- new page options to control page title bar border colors
- new welcome screen setup in WP admin area
- new theme and element option added to content box element to control title & icon font size
- new letter spacing options added for menu text and button text (more to come soon!)
- new theme option for mobile header background color
- new theme options to control the rollover icon size
- new theme and element options to control the social icon font size
- new theme option for aligning the menu text (left, right, center)
- new theme option to control button font family and font weight independently
- new theme and element option to control the margins on columns
- new element option to control bottom margin on content boxes
- new theme and element option to place counter icon on top of text
- new theme option for mobile menu font size and color
- new theme option for mobile menu height (padding between each item)
- new theme option to control mobile menu toggle independently
- new theme option section to control the margins on heading fonts
- new theme option to control the sliding bar icon color
- new theme option to disable the pin animation for google maps with default contact page
- new element option to randomize testimonials
- new element option to offset post count on recent post and blog element
- new element option to offset post count on recent work
- new theme option to control sharing box title font size and color
- new theme and element option for top and bottom margin for tagline box element
- fusion slider heading and caption text fields are now regular text fields that can take elements and other HTML
- new fusion slider option to control the max-width of content
- new independent mobile logo field
- new independent sticky header logo field
- full width and column elements can now use % and px as values for padding
- updated font awesome to version 4.3
- new page option that controls the sidebar color
- new option  to display a "Load More Posts" button for blog and port posts instead of loading them automatically. This can be chosen in the pagination options.
- new option to control the color of the "Load More Posts" button
- implemented Google's new "No CAPTCHA reCAPTCHA" API
- updated demo content for Avada Classic
- updated google fonts list
- added compatibility for Geo Directory plugin
- change setup to allow main content background to be be partially transparent and show boxed background behind it
- new smooth scroll option added
- major enhancements to parallax full width containers, parallax scroll effect is now mobile compatible
- new options for full width container:  background image parallax, parallax speed, parallax on mobile, youtube & vimeo video backgrounds
- implemented changes to allow elements to be used in the header 4 banner field , ex: button
- added sound cloud boxed format
- new "delimiter digit" option for counter boxes that allows any digit to be used in the counter number.  ex: ,
- new fusion_maps.js plugin for google maps that is more streamlined and solves various issues
- added more space to custom css field in theme options
- added unique names to "categories & posts" in menu section for blog/portfolio/faq
- all language files updated from Transifex
- new setup that enables image placeholders for portfolio featured images if none are added
- tagline field in theme options for header 4 can now take HTML
- new theme option and element option to strip HTML from post content
- added BuddyPress global sidebar control (combined with bbPress)
- added support to extract plain text from fullwidth SC for excerpts
- phone number field can now take elements
- new shortcake parameter for title element to set divider to "none"
- new Facebook widget integration, requires new facebook app id on June 23rd
- code block element has added coding/decoding so WP editor does not mess with content
- new theme option to control the height of all search field heights
- new border size option for separator element
- new side header breakpoint theme option to control when side header turns into mobile view


Continually Optimized & Refactored Code
Our team has devoted a lot of time and energy into reviewing and optimizing our code. Our refactoring will result in a slimmer, faster version of Avada than ever before. Our motivation for this continuous process is to enhance your workflow experience and ensure code quality stays at a high level. This is a continual effort and will make using Avada more delightful than it already is.

Refactored Header.php file and clean up head
dynamically generated CSS has been outsourced making the head tag of every page much shorter and cleaner.

Refactored sticky header and implemented entirely new sticky header setup
no more jumping in sticky header, no more duplicated menus and menu entries. Smooth transitions from normal header to sticky header. New option to add a unique sticky header logo. Different action hooks added for dev user interaction.

Refactor portfolio templates
all portfolio templates are now controlled by one single file, compressing the portfolio code structure. New option to include image placeholders. Improved filter implementation for infinite scroll. On new loading of items, only those from the selected filter will be shown. New option to load more items via button click. Different action hooks added for dev user interaction.

Refactor blog templates
all blog templates are now controlled by one single file,compressing the needed code and making updates easier. Different action hooks added for dev user interaction.

Refactor blog layouts
better overall code basis. Similar infinite scroll additions as for portfolio layouts. Different action hooks added for dev user interaction.

Refactor footer
overall code cleaning, new footer parallax effect option, new sticky footer option for pages with little content (and thus small overall height). Action hook added for dev user interaction.

Consolidate all retina image css media queries
Cleaned up inconsistencies when retina versions of images would kick in. Now all use the same media query.

General media query issue with side header
Media queries for responsive layouts are now dynamic. That means if a side header layout is used, we no longer use fixed px based media queries, ex: "do this at 800px screen width and below". Since the side header takes up a portion of the available screen width and since that width can be chosen by the user, we calculate the width newly at which mobile media queries need to kick in, so that the content behaves more or less the same as on top header layouts.

Major improvements to feature image loading for various areas of the theme
we have it setup now for lazy loading images. Most prominent place to see are portfolio archive templates, where the pics are not shown all at once when they are all loaded, but are displayed one by one progressively.

New activate developers mode
Quality of life addition for support staff and dev users. All js files are de-bundled and loaded separately, which makes debugging much easier. On the other hand, when disabled, all js files will be merged into one single, auto-minimized js file, which reduces not only amount of bytes that need to be loaded, but also the amount of server requests tremendously.

Improve breadcrumbs setup and also fixed a few breadcrumb issues
breadcrumbs now have their own class and are managed in a single file in one place. OOP architecture improving performance too. Separator between breadcrumbs can be freely chosen now as a theme option. New option to disable the post categories being listed in the breadcrumb path. Parent and child categories are shown correctly now in tree structure.

Automatic disabling features for less files
This can increase performance if you are not using a specific feature. We only load the needed styles now when it is really needed. RTL styles will only be loaded on RTL site, WooCommerce styles only when woo is active, bbpress the same. Responsive styles only if the option is checked.


General Fixes & Improvements
- fixed issue of theme options not saving due to host security settings change
- fixed BuddyPress page issue of wrong header showing
- fixed minor IE styling issues
- fixed wpml issue of main menu page option not working per language
- ensured polylang works with different theme options
- fixed minor issue with ubermenu compatibility
- reconfigured wpml-config.xml
- fixed gravity form styling issues
- fixed section separator issue with fading animation
- new one page setup that fixed a few minor issues with scroll
- minor adjustments for Safari v5 compatibility
- added styling for woo "Out of Stock" message so it matches the "Sale" badge
- contact form 7 button style fixes to ensure all the button theme options work
- fixed samsung galaxy S3 responsive issue
- added link button to our editor for RTL language
- fixed counting bug with number of items in builder window
- improved builder performance with cloning
- fixed carious fusion slider issues (image cutting off, video uploader shows error, IE issue)
- fixed issue with flip box icons/transparency
- validated a few errors with W3C validation
- increased bottom margin on footer columns for mobile layout
- fixed the flip box / sticky header issue in Safari
- iframe in mega menu widget area will now load in IE/Safari
- allow meta boxes to use double quotes
- youtube videos on iOS in modals will load again if modal is reopened
- added back ability for individual tab linking
- body font line-height will not affect the text in top secondary menu
- toggles inside of toggles drawback
- fixed various translation issues
- fixed issue of toggles not working with infinite scroll
- fixed issue of override background color issue in boxed mode
- blog grid and timeline layout will display correctly with no space if only image is set to show
- added logo dimension files for speed reports
- fixed woo shop/archive pages image/hover issue
- fixed issue of placeholder image when no product image is added
- fixed issue of toggles misaligning when no title is used
- removed native tooltips from all tooltips
- if menu border is set to 0, then it will also be 0 in sticky header
- various style fixes for woo and product hover icons
- guest checkout user name now displays the actual username instead of guest
- remove extra spacing on bottom of portfolio post page when everything is disabled
- paragraphs will now work in comments
- fixed issue of category description showing twice with infinite scroll
- fixed new issue of Fusion builder last value always resetting to yes with certain size columns
- fixed issue of Fusion Builder loading empty content after page load
- removed gravatar link in facebook share code
- fixed issue of testimonials in sliding bar
- vertical tabs now support RTL
- fixed google font API call for subsets, added url encoding missing
- fixed issue of bbPress topic count not being added
- infinite scrolling loading issue
- fixed issue of woo sale icon showing in front of sorting dropdown
- on category archives the category desc on infinite scroll is repeated
- fixed breadcrumbs on category pages
- fixed padding consistency on 100% site width setting
- fixed product variation issue on front end with gallery
- fixed issue of facebook not working on iPhone
- fixed issue of image size inside tabs in firefox
- improved builder to take into account line breaks in editor
- Add fusion slug to script and styles enqueue to avoid conflicts in builder plugin



-----------------------------------------------------------------------------------------
Version 3.7.4 - March 19th, 2015
-----------------------------------------------------------------------------------------

- fixed fatal error with Jetpack 3.4
- prefixed all widgets with unique names


-----------------------------------------------------------------------------------------
Version 3.7.3 - January 24rd, 2015
-----------------------------------------------------------------------------------------

- Removed debug info on sidebar pages


-----------------------------------------------------------------------------------------
Version 3.7.2 - January 23rd, 2015
-----------------------------------------------------------------------------------------

- IMPORTANT this update contains compatibility for WooCommerce 2.3. You must be using Avada 3.7.2 if you update to WooCommerce 2.3
- fix last="yes" issue with columns inside full width container
- minor style fixes for woo
- center map on first address when using multiple map markers for google maps
- fixed issue with left/right header padding when using 100% site width
- fixed issue of losing background image/color for ubermenu
- fixed issue of sidebar changing to default sidebar after editing


-----------------------------------------------------------------------------------------
Version 3.7.1 - December 10th, 2014
-----------------------------------------------------------------------------------------

- NEW: page option to disable Avada rev slider styles
- column borders will now show overtop of image when using transparency
- removed the deprecated "set all posts to full width" on blog tab
- section separator fox for top or bottom position
- improved portfolio item prev/next so it stays in same category
- fixed previous/next portfolio single navigation urls
- sticky header opacity 0 setting will now work
- workaround to avoid google maps api query limit to support more than 11 addresses
- google maps will now work with single quotes
- fixed issue of equal height columns not working on iPad portrait
- fixed issue of events calendar page title changing main blog page title
- fixed google font loading issue of "none"


-----------------------------------------------------------------------------------------
Version 3.7 - December 2nd, 2014
-----------------------------------------------------------------------------------------

- NEW: side header position added to easily place entire header on left or right side
- NEW: updated layer slider
- NEW: updated revolution slider
- NEW: additional design added for testimonial element
- NEW: additional design added for tabs element
- NEW: header can now be 100% width independently of site width
- NEW: footer can now be 100% width independently of site width
- NEW: page title bar content can now be 100% width independently of site width
- NEW: page title bar text fading animation upon scroll
- NEW: page title bar content align options: left, center, right
- NEW: page options added for page title content styling / alignment
- NEW: content box element new options for icon size and content alignment
- NEW: column spacing option added to blog and portfolio grids (element, theme & page options)
- NEW: counter box element has new options for title size, icon size, body text, border color
- NEW: global header shadow theme option added
- NEW: all columns can now have a background color/image/border/padding
- NEW: column spacing option added to all columns to produce different effects
- NEW: opacity setting for header background, you can now set the level of transparency
- NEW: full width element now supports HTML5 self hosted video backgrounds
- NEW: fading/blur effect added to background image of full width element
- NEW: image border radius option added to person and image frame element
- NEW: background color option added for fusion slider text backgrounds
- NEW: page options to disable elements on portfolio post page which allows for a more creative layout
- NEW: full width element option for interior content to be 100% width
- NEW: Open Slide Link In New Window option added for Fusion Slider (full slide link)
- NEW: modified theme option setup to accommodate new side headers
- NEW: theme option to disable AvadaÃ¢â‚¬â„¢s custom styling for dropdown select boxes
- NEW: theme option to disable AvadaÃ¢â‚¬â„¢s custom product gallery slideshow for WooCommerce
- NEW: slider controls for font size in theme options
- NEW: full width element option for equal column heights
- NEW: design for post "loading" graphic
- updated google font list to all latest fonts
- fixed multiple builder issues with the fullwidth container
- fixed builder bug with 5/6+1/6 error
- added word breaks for longer words so they do not fall outside of container using side header
- fusion slider element has working css parameter
- popover element trigger text now follow primary color option
- counter circles responsive issue
- translation strings that contained variables have been updated to not have variables
- updated builder light box element to real element
- fixed issue of Instagram icon not working in person element
- fixed issue of 404 error for Avada layer slider skin file
- new setup for google maps geocode that does not require the Google Maps Geocoding API Key" theme option
- fixed issue of first featured image disabling not working on portfolio single pages
- removed the normal text editor for front side flip box field in builder popup
- improved tab styling issue in Safari
- style fix for contact form 7
- updated several theme and page option descriptions
- updated open graph tags for Facebook
- fixed image rollover direction theme option
- rtl fix for block quote
- fixed issue of builder resizing of column to 3/4
- minor style fixes in various areas for design improvements
- the Ã¢â‚¬ËœDisable Map Scroll WheelÃ¢â‚¬â„¢ option now works for mobile scrolling
- fixed issue of fusion builder not fully loading if woo commerce is not installed
- fixed issue with woo commerce and country field drop downs
- fixed conflict of woo pay pal express checkout plugin
- fixed issue with button icons missing on iOS7
- improved responsiveness of sidebar so it does not scale down to small width
- improved compatibility for woo social sharing icons with 3rd party plugins
- fixed issue with mobile menu classic design and sticky header
- fixed issue of testimonial avatar image replacing all other items
- improved testimonials/slider script
- fixed issue with sticky header on FS pages and videos pausing
- tagline box 3D or FLAT button option now works in individual element instance
- added negative margin to wrapping container for blog/port posts to allow them to align with site width
- fixed issue of font awesome styles loading twice
- added same break points to blog grid posts as we have for portfolio grid posts
- new theme option to show or hide the 3px menu highlight bar
- fixed responsive issue with mega menu
- new solution for dropdown menu position when there is not enough room
- fusion page/post options are now translatable
- fixed fusion slider content animation issue when more than one slider is on a page
- updated twitter sharing url for share boxes
- RTL portfolio filters fix for mobile


-----------------------------------------------------------------------------------------
Version 3.6.2 - October 8th, 2014
-----------------------------------------------------------------------------------------

- NEW: global sidebar theme options for pages, blog posts, portfolio posts, woo products
- NEW: mega menu column width setting, control each column width!
- NEW: new builder element "Code Block" for adding any additional code
- NEW: theme option to disable Fusion Builder
- NEW: layer slider plugin 5.3.1
- NEW: added infinite scroll option to all portfolio layouts
- NEW: option to enable/disable first featured image for blog and portfolio posts
- NEW: theme option to control light box deep linking
- NEW: theme option to control text shadow on image rollover text
- NEW: added functionality so element generator can be accessed in WP Text editor
- NEW: theme option to disable all rich snippets
- NEW: added "Edit" button to image fields in popup window for easier editing
- builder UI improvement for expand/collapse items, the entire bar will expand/collapse now
- updated translation files from Transifex
- Fusion Slider element will now work on portfolio posts
- fixed issue of related projects producing a warning when post has no categories assigned
- added fix for gravity forms add on when used with woocommerce
- added caption/alt tag to recent works SC light box
- fixed issue of woo sidebars being inaccurate on archive pages
- single portfolio posts now show all header background page options
- fixed issue with Fusion Slider resizing issue in IE11 and issue in boxed mode
- added a check for timeline layout so date boxes show if there is enough width
- made adjustments so that WPML and VC do not intefere with excerpts
- minor style adjustments for IE8
- fixed issue of scrolling popup edit window that scrolled background instead of window
- made page titlebar function pluggable
- changed default site width to 1100px to match live demo
- fixed issue of builder image frame alt tag messing with special chars due to wrong encoding
- removed class/id attributes for fusion text, they are not needed for that element
- fixed issue of woo sidebars breaking footer on boxed mode
- improvements for woocommerce RTL styles
- fixed issue of client slider & flip box element deleting more items than it should
- improved one page parallax scrolling accuracy
- improved layout when using multiple blog grid elements on one page
- adjusted css animations on dynamic generated elements
- fixed issue of boxed mode image background not expanding to full height
- fixed issue of clicking cancel button in Firefox
- search icon and cart icon change color on hover in menu now
- rev slider button style fixes and navigation option fixes
- fixed issue of sticky header menu ids duplicating when no menu is explicitly set
- pricing tables will display properly in woo products
- fixed issue of editing account password in woocommerce account page
- fixed issue of sidebar 1 always resetting to "default" when saving a post
- buttons with dividers can now be used in flip boxes
- fixed issue of 1/3 column box bug when moving around in builder
- added xss fix for contact form



-----------------------------------------------------------------------------------------
Version 3.6.1 - September 17th, 2014
-----------------------------------------------------------------------------------------

- NEW: layer slider plugin 5.2.1
- NEW: font awesome 4.2 icon set with 40 new icons
- NEW: option to enable/disable page title bar on assigned blog page
- NEW: option for image frame element, image now has a link and link target field
- added styling for category/archive drop down to match others
- change header phone number field to a text area for HTML links
- change number of posts from a drop down to a text field in element edit window
- boxed mode sticky header is contained to box width
- transparent header no longer requires a slider
- content box fix for child elements
- category page fix due to is_shop call in header
- fusion slider responsive adjustments
- changed responsive size so it does not show on small desktop screens
- mobile menu padding adjustments for classic style
- fixed issue of mega menu resizing / centering
- buttons in columns now have the text wrap on tablets
- sidebar padding option now works
- fixed Optimize Press issue
- adjusted for main menu action hook issue
- google fonts will now load in https format
- fixed issue of client slider/ image carousel images changing unintended upon edit
- fixed issue of button not removing in Fusion Slider
- various RTL fixes
- fixed issue of mailpoet text fields not being editable
- fixed validation error in mega menu
- changed name of jquery.cookie.js to jquery.bisquit.js to avoid host unnecessarily blocking it
- sidebar 1 will be set to "default" sidebar for new blog posts
- drop down styling fix on shipping and handling fields
- fixed  woo order drop down query string php notice
- fixed issue of sermon archive post title not always showing
- fixed issue of builder save as draft not keeping content
- reverted left/right padding option in boxed mode to old values
- added version string to js files in admin folder to avoid backend cache issues
- body font now works for submenus
- recent posts comment link to comment area now
- fixed mobile menu padding affecting submenu dropdowns
- testimonial & blockquote text is now tied to body font line-height theme option
- fixed numbering issue of client slider element inside builder popup window


-----------------------------------------------------------------------------------------
Version 3.6 - September 10th, 2014
-----------------------------------------------------------------------------------------

- NEW: Fusion Builder added for drag and drop page building
- NEW: full control over site width (content area and sidebars)
- NEW: dual sidebar options added throughout the theme
- NEW: 5-6 columns added to sliding bar, footer, mega menu, woocommerce
- NEW: 5-6 column portfolio classic and text templates (main and archive pages)
- NEW: 5-6 column options added to recent news, recent work, flip boxes, blog grid, content boxes, counter boxes, pricing tables
- NEW: 1/5, 2/5, 3/5, 4/5, 1/6, 5/6 column elements added
- NEW: theme option and page option for new "boxed" layout option for portfolio text layouts
- NEW: redesigned page options for easier use
- NEW: theme option to set number of columns for woo products 1-6 column
- NEW: theme and page option to set number of columns for related woo products
- NEW: newly designed mobile menu option; toggle icon instead of large drop down box
- NEW: design adjustments for iPad responsive portrait mode
- NEW: several language files updated and added using transifex, 27 total languages with all or a portion of the translation completed
- NEW: add official polylang support
- NEW: updated revolution slider plugin to latest version
- NEW: updated layer slider slider plugin to latest version
- NEW: theme and page option for choosing fixed or auto size for portfolio featured images (see new doc section)
- NEW: theme option for disabling date on pages and posts
- NEW: left/right padding option added to full width element
- NEW: choose up to 6 different directions for image rollovers
- NEW: theme option to enable/disable prettyPhoto lightbox on mobile devices
- NEW: tagline box has a new content field to insert content that will display below title/description
- NEW: page option for excerpt/full length setting on individual portfolio pages
- NEW: google maps can now be used with coordinates
- NEW: speed improvements dealing with font loading
- NEW: theme option to control font extras, this helps with page speed and overall size
- added style support for most popular bbPress widgets
- removed portfolio sidebar position and page sidebar position page options in light of new dual sidebar options
- removed full width page template in light of new dual sidebar options
- cleared out any necessary items in theme check (kb post to explain the rest)
- made adjustments to non-responsive boxed mode
- fixed the issue with "slide" animation for fusion slider
- mobile visibility settings will now work for rev slider with Avada styles enabled
- fixed issue of recent work widget in mega menu breaking portfolio & faq pages
- fixed issue in call of flexslider plugin in main.js
- adjusted twitter widget for "s" plural language forms
- fixed issue of buddypress og:title breaking the tags
- removed the width=800 param from the element generator url
- custom menu on main blog page is now limited to blog archives
- improved mobile men sub item indentation and blog medium layouts for RTL
- added support for Woo Themes Nested Category Layout plugin
- added support for qtranslate custom post type translation
- fixed issue with contact form 7 invalid required fields
- fixed issue of WPML lang switcher not working on woo shop or archive page in main menu
- fixed issue of prettyPhoto gallery not working with infinite scroll
- added dynamic content fix to tabs/toggles/modals
- fixed issue of auto updater not working with w3tc
- fixed issue of woo checkout button when updating shipping method
- fixed issue of bbpress global sidebar not working in certain areas
- style adjustments made to responsive layout
- adjust portfolio columns by adding breakpoints for various screen sizes
- new backend font icon for theme options, page options and builder
- fixed issue of recent posts date-on-side layout not working with date format
- styled bbpress notices to match our styles
- fixed issue of bbpress search results page
- fixed issue of blog element displaying "Categories" even if tags are disabled
- fixed WPML custom subheading bug
- fixed issue of videos not showing for medium/medium alt blog layouts
- fixed js_local_vars messing up sites using dynamic content
- improved one page menu to have correct highlighted area, along with sticky header
- boxed mode background patterns will now stretch all over page
- added alt tags to flip box custom images
- woocommerce_price is deprecated; change to wc_price
- style adjustments for bbpress topic arrow alignment
- fixed issue of portfolio pages not resizing in height
- fixed issue of email social icon not working
- check prettyPhoto and made sure http protocol is not hardcoded so it works on SSL sites
- updated isotope script to latest version
- fixed issue of return key / enter breaking the google map javascript
- safari animations fix with text weight
- pricing table style adjustments with "time" parameter
- tabs active/inactive colors updated for dark skin
- fixed issue with youtube element and ssl sites
- adjusted Facebook widget responsiveness
- open social links in new window option now works with person and social links element
- added missing navigation and thumbnails for woocommerce product light boxes
- fix alt= missing from image elements
- sticky header is now contained inside boxed mode
- added VK to sharing box element
- add hooks to our mega menu system for nav menu roles plugin
- added modal support to tagline box
- added support so elements can be used within copyright text
- adjusted mega menu widget area padding on 3rd level
- WPML theme options overwrite problem
- added new timeline check to ensure two posts of same month but different year flow correctly
- added ssl check on google map info box to avoid insecure content message on ssl sites
- recaptcha api is now ssl ready
- fixed issue of testimonial link falling to 2nd line when image avatar is used
- all widget bottom borders are tied to the theme option color setting
- button styles adjusted so they display in mega menu widget sections
- default page template comments won't work when woocommerce is enabled
- fixed issue of author page being wrong when author has no posts created
- WPML 3.1.7 bug fix for language selector
- fixed security issue with WPML options (spamming issue)
- improved loading by not loading webfonts.js when no google font is loaded and font awesome is disabled



-----------------------------------------------------------------------------------------
Version 3.5.3 - July 28th, 2014
-----------------------------------------------------------------------------------------

- updated revolution slider to 4.5.95 to fix chrome browser bug
- revolution slider left navigation arrow fix
- tagline box custom button color fix


-----------------------------------------------------------------------------------------
Version 3.5.2 - July 24th, 2014
-----------------------------------------------------------------------------------------

- updated rev slider to 4.5.9
- adjusted for wpml language switcher new classes in wpml 3.1.5
- improved color styles for theme options (sidebar divider lines, menu colors, cart drop down, twitter widget link)
- fixed button border issue with tagline boxes
- search page timeline bubbles icon now displays
- top menu will now correctly resize from mobile to desktop mode
- fixed issue of mobile disabling options not working when responsive mode is off
- fixed videos in modals not stop playing once modal is closed
- fixed minor gravity forms style issue
- made adjustments for safari animation issue in dealing with text weight issues
- changed og:title to be unfiltered
- style fix for dark skin tabs active/inactive colors
- fixed issue with youtube element and ssl sites
- theme options date fields will not remove slashes anymore
- improved toggle id calc for all situations
- fixed issue of sidebar not always correct on bbpress pages
- deleted styles that produced broken image links
- improved google map setup
- changed deprecated jQuery live() to on() function
- added support for dynamic elements in accordions
- removed extra semicolon in faqs.php
- removed button transitions in layer slider due to animation conflict
- "open social links in new window" theme option now works with person & social links element
- RTL issues (cart page & order drop down alignment, mega menu submenu indentation, woo tabs on mobile, woo checkout button)
- google map coloring function revised to reflect black and white and accurate colors. You may need to adjust color overlay
- fixed custom css field issue of not taking /Ã¢â‚¬â„¢s
- icons in sections separator are all centered now
- elastic slider now uses alt tags on images
- fixed issue of tabs element not taking custom colors in sidebar
- person element now works with theme options font family
- added text domain in author.php
- light box will now show thumbnails and navigation for images and products
- pricing table style changes when not using all fields and integers on prices
- adjusted styles to accommodate Rev slider preview navigation type
- style fixes for review comments on woo single product pages
- all buttons now work with font family via theme options
- removed duplicate idÃ¢â‚¬â„¢s for mobile and sticky menu
- fixed IE8 child theme issue
- accordion element is now tied to theme options correctly
- bbPress buttons style fixes
- fixed issue of mega menu indentation not working
- all dynamic content will work in tabs and accordions
- fixed issue of widgets showing wrong number of elements on portfolio archive page
- column elements will now work inside modals
- fixed random issue of full width background images not working on mobiles
- improved demo content importer (after import, itÃ¢â‚¬â„¢s now recommended to regenerate thumbnails)
- fixed issue of google map options resetting when page refreshes


-----------------------------------------------------------------------------------------
Version 3.5.1 - July 3rd, 2014
-----------------------------------------------------------------------------------------

- NEW: advanced option to disable open graph
- NEW: updated rev slider to latest build
- Instagram icon added to social links and person element
- google map custom map icon now animates
- drop down menu font is assigned to body font size
- line-height for text inside accordion is assigned with body line-height
- flip boxes backside title assigned to heading font family + h4 font size
- popover heading text assigned to heading font family + heading 4 font size
- modal heading text assigned to heading font family + h3 font size
- progress bar text is assigned to body font size
- added megamenu styles so 3rd levels show with indentation
- disabling footer social icons allows copyright to take up full width
- fixed rare issue of rev slider error during update
- added google api key field for shared hosting limitations
- improved google maps rendering within tabs
- style fix for recent posts widget in footer when date is used
- Fusion Slider now works in boxed mode
- recent work exclude cats is now generated from generator
- fixed woocommerce sorting drop down issue on tablets
- misc style fixes for blog large alternate, slider arrows, wpml, main menu last item
- improved alignment for social icons in top header area on mobile
- dropcaps in post excerpts show styles if strip_html="no"
- fixed issue of date archive page showing %s in title ext
- custom button colors now work with tagline boxes, portfolio pages, CF7 plugin, gravity forms
- replaced get_the_permalink with get_permalink in single.php
- fixed issue with Pinterest sharing of posts
- fixed issue with recent works and recent posts include and exclude cats
- recent works categories field now displays correct categories in element generator
- corrected polylang errors
- style fix applied for post slider bullets when displayed in sidebar
- woo archive page column fix, 4 for full or 3 for sidebar
- added wp_nav_menu_item_custom_fields hook to menu walker class for other plugins
- fixed issue of recent posts columns when used in multiple rows
- sticky header enable / disable now works on Fusion Slider pages
- prettyPhoto light box now works with post slider attachments layout
- triggered animated counters earlier on FusionSlider mobile pages
- changed title url encoded for sharing
- fixed responsive issue for modal popup on screen size above 786px
- toggles and accordions now work on woo pages and woo tabs
- improved styles for recent posts when displayed on mobiles
- removed sermon manager template debug notices
- fixed issue of none responsive mode not working properly
- fixed transparent header when activated in theme options
- fixed auto updater from showing false updates
- fixed issue of hentry in full width that caused rich snippet error
- iPad fixed portrait mode back to normal
- slider arrows missing on featured page slideshows
- progress bars now display correctly in IE8
- header v4 search bar now save via theme options & style fixes applied for mobile
- fixed content boxes division by zero issue
- flip Box buttons now work on mobile and icon_spin stays spinning
- woocommerce light box dark styling bug fix applied
- fix for blog medium image slideshows styling on mobile
- fixed issue of links and buttons not working in accordion, style fixes applied also
- fixed issue with negative margin spacing in columns on mobile
- content boxes now stretch fully to the right side of content area
- getimagesize() disabled in the server configuration warning on front end
- individual tabs are now directly linkable
- new revolution slider plugin has a global option to turn off hammer.js which will fix the iPad menu issue
- RTL improvements


-----------------------------------------------------------------------------------------
Version 3.5
-----------------------------------------------------------------------------------------

- NEW: Fusion Slider - new parallax image and video slider
- NEW: Auto theme updater via Themeforest API keys
- NEW: Animated flip box element with numerous options
- NEW: Modal popup box element with numerous options
- NEW: Popover element with options
- NEW: Social icon font set, with boxed, unboxed, border radius and custom colors
- NEW: 5 New Social icons - VK, Paypal, SoundCloud, Dropbox, Instagram
- NEW: Social Icon drag and drop sorting via theme options, reorder them as you wish
- NEW: Sticky header animation for fusion slider parallax effect
- NEW: Collapsable mobile menu option on menu tab
- NEW: Theme font icon that replaces several images, faster loading & crisper graphics
- NEW: Font Awesome v4.1 (over 70 new icons! some icon names may need reset due to name changes)
- NEW: Button element options (4 total sizes, 3 shapes: square, round, pill, flat or 3D style, colors, borders, icons)
- NEW: Alert box element design and options (custom icons, colors, borders)
- NEW: Checklist element options (custom colors, icons, sizes)
- NEW: Content box element options (individual box/icon/icon circle/circle border color, flip, rotate, spin icon)
- NEW: Counter box element options (unit position, border, counter direction)
- NEW: Counter circles element options (show scales, countdown or up, clockwise or counter clockwise)
- NEW: Font awesome element options (flip, rotate, spin icon)
- NEW: Full width element options (border style)
- NEW: Google map element options (map design styling, color overlay, info box styling, colors, map markers)
- NEW: Highlight element options (rounded edges)
- NEW: Person element options (pic style type, style color, border size, border color, boxed social icons, custom icon & box colors, border radius, tooltip position)
- NEW: Pricing table element options (new "featured" column option, hover effects & shadows, one more column per row)
- NEW: Progress bars element options (striped filling, animated stripes, text color)
- NEW: Separator element options (new styles, icon additions, width)
- NEW: Social share box element options (text color, boxed or unboxed icons, custom icon & box colors, border radius, tooltip position)
- NEW: Social icon element options (boxed or unboxed, border radius, custom icon & box colors, tooltip position)
- NEW: Tab element options (unjustified option added, now pick justified or unjustified)
- NEW: Tagline box element options (content alignment, button size, button type, button shape, button color, highlight can be set to none)
- NEW: Testimonial element options (new icons, or use custom image avatar)
- NEW: Title element options (alignment, separator, separator style, separator color)
- NEW: Tooltip element options (tooltip position, tooltip trigger)
- NEW: Recent work element options (picture size can be fixed or auto)
- NEW: Image carousel element options (picture size can be fixed or auto)
- NEW: Client carousel element options (picture size can be fixed or auto)
- NEW: Theme options - header, footer, social share box, social link element icon options (color, boxed, unboxed, border radius, tooltip position)
- NEW: Theme options - mobile menu color options (background, border and hover colors)
- NEW: Theme options - portfolio featured images & video show or hide on single post pages
- NEW: Theme options - automatic upgrades tab for theme updates
- NEW: Theme options - element styling options (button size, shape, type, colors, borders, shadows)
- NEW: Theme options - element color options (counter circles x2, counter boxes, checklists, dropcap, flip boxes x9, full width x3, image frame border size)
- NEW: Theme options - element color options (modals x2, person x3, popover x5, progress abr text, section separator borders)
- NEW: Theme options - font size options for pagination font size, woocommerce icon font size, meta data font size
- NEW: Theme option - top menu drop down width option to control the width of drop down in top menu
- NEW: Revolution slider plugin version
- NEW: Layer slider plugin version
- NEW: Updated theme options framework (new modern color pickers)
- NEW: added expand/collapse options to theme options
- NEW: WooCommerce my account drop down now allows for email login
- NEW: Updated demo content (revised home pages 1-18, new fusion slider pages)
- NEW: video tutorials (WP installation, FTP installation, auto update, fusion slider, element generator)
- NEW: new and updated documentation posts
- IMPROVEMENT: removed !important tags in css
- IMPROVEMENT: new element structure, one file per element
- IMPROVEMENT: each element has a new class= and id= for easy customization
- IMPROVEMENT: all features are now in our fusion core plugin
- IMPROVEMENT: removed integrated plugins, they are now standalone (still included!)
- IMPROVEMENT: moved js out of header
- IMPROVEMENT: move all js into main.js and use localization instead of dynamic_js.php
- IMPROVEMENT: flickr api does not run on every page, only where its used
- IMPROVEMENT: get rid of excessive wp_reset_query()
- IMPROVEMENT: remove all globals
- IMPROVEMENT: revamp any query_posts according to wp specs
- IMPROVEMENT: get rid of wp_is_mobile
- IMPROVEMENT: rename $data
- IMPROVEMENT: rid of debug notices
- IMPROVEMENT: change the loading gif for isotope form data images to normal images
- IMPROVEMENT: reorganized some theme options for better usability
- IMPROVEMENT: sidebar selection drop down field is now inside of the page options box
- fixed issue with woo 2.1.8 bundled template file message
- two new google fonts added, Rubik one and Rubik one mono
- added avada layer slider skin
- flexslider element is now called post slider, still works and functions the same
- fixed portfolio archive/category/tag pages linking to wrong items on image rollovers
- woocommerce archive pages now show 4 columns without a sidebar
- improved structured data so it shows updated time instead of published time
- fixed issue of content boxes flowing to second row with RTL languages
- improved content box title alignment
- fixed issue of search results page showing double fields when no results are returned
- checked and fixed any issues caused by the new Firefox v29 browser
- fixed issue of post titles not changing with h2 size setting
- fixed localize to german translation issue
- woo sorting boxes will now work on iPad and other tablets
- woo pagination strings are now translatable
- fixed custom button gradient issue
- social share box can now have custom background colors
- fixed issue with image variation selection and product sliders
- transparent header option now reverts to default header on search & 404 pages
- improved dark skin style adjustments for various elements
- fixed custom sidebar naming issue - widgets drop out when refreshed
- improved woo tab checkout page when clicking continue button
- improved double clicking on windows tablets
- fixed issue with post comments
- removed sticky posts from all elements except blog element
- regenerated all language files
- fixed issue of rev slider shadows affecting breadcrumb links
- one page parallax now allows for more link types
- renamed elastic slider admin options (add or edit slides, add or edit groups)
- twitter widget now has translatable periods
- fixed issue where search page would break BuddyPress widget
- improved styles for the comment button on single post pages
- youtube api fix, add enablejsapi to youtube videos
- applied a small fix for the sermon manager plugin
- portfolio number of items per page will also control category pages now
- improved functionality of top secondary menu on mobile
- improved styles for RTL languages and woo translations
- added basic RTL support for bbPress
- fixed issue of RTL first / last name issue on woo checkout page
- fixed issue of missing footer when custom footer is set via page options
- improved text alignment in IE11
- fixed issue of extra space showing below the footer when using animations
- fixed issue of boxed mode and background images or patterns not showing
- fixed issue of search field not working on 404 pages
- extras tab in theme options was split up and now has an advanced tab to enable/disable features
- header tab in theme options was split up into header tab and sticky header tab
- new option to disable font awesome & fusion slider
- fixed issue of white flash on dark skin, font loading now done in footer
- changed title of twitter_id to twitter username in widget
- removed element developer mode in prep for future page builder
- fixed issue with excerpt function always stripping html when read more is used
- fixed issue of one page parallax jumping anchors
- fixed RTL mobil menu alignment, my-account and checkout page alignment
- open graph tags added to single post and pages
- fixed portfolio filter tax query issue
- WPML search fields now have all the language input appended
- menus now work on old versions of Safari with megamenu disabled



-----------------------------------------------------------------------------------------
Version 3.4.3 - April 24th, 2014
-----------------------------------------------------------------------------------------

- upgraded rev slider plugin
- missing Avada skin from layer slider
- counter box issue with unit in back, can now go front or back
- dark skin color fixes (titles, arrows, woo)
- xss bug in contact form
- meta data issue with extra "|" symbol
- youtube video issue with video pausing and images on port/blog post
- events manager support for recurring events on category/tag pages
- Safari v5 menu issue, and page title bar issue
- new language files for Russian, Arabic, Italian
- password protected content fix for all content
- megamenu positioning variable initialization
- IE fixes: themefusion slider, text alignments, element rendering issues
- add icon- to section separator when using generator
- megamenu no 2nd level title link issue
- author meta data on single post page
- breadcrumbs mobile style fix
- recent posts running together
- woocommerce product slideshow swiping issue on mobile devices
- woocommerce translation strings added
- woocommerce 404 page issue
- woocommerce one page checkout background issue
- woocommerce shop page with sidebar 3 column loading fix
- chrome white space below footer issue
- wpml language switcher fix for main menu
- RTL fixes



-----------------------------------------------------------------------------------------
Version 3.4.2
-----------------------------------------------------------------------------------------

- WP 3.9 element button fix


-----------------------------------------------------------------------------------------
Version 3.4.1
-----------------------------------------------------------------------------------------

- NEW: woocommerce one page checkout template
- NEW: option to disable mega menu
- NEW: Vimeo/youtube api parameter added to elements
- NEW: tag meta data added to blog posts, enable/disable
- NEW: option to choose "none" for testimonial icon
- NEW: new revolution slider
- added option to choose "none" for image frame alignment
- improved option to choose background color for main menu woocommerce elements
- enable/disable order notes on woo checkout page
- styled woocommerce cross sells
- improved scrolling on one page parallax layouts
- improved breadcrumbs for woocommerce taxonomy pages
- added back login fields for My Account woocommerce drop down
- improved woocommerce product sorting
- ubermenu compatibility fix
- blog large alternate windows fix
- improved main nav height option to work with all layouts
- google map popup option generates from fusion-core
- various woocommerce styling adjustments
- mega menu on sticky header works with menu assignment
- disable woocommerce shipping calculator
- page title bar breadcrumb style improvements for 2 lines
- IE11 text constrain issues fixed
- added ability to use group idÃ¢â‚¬â„¢s for flickr widget
- added support for video resizing on bbpress forum replies
- image link removed on single posts if light box disabled


-----------------------------------------------------------------------------------------
Version 3.4
-----------------------------------------------------------------------------------------

- NEW: custom mega menu with widgetized sections
- NEW: one page parallax feature for any page
- NEW: social sharing box added to portfolio post
- NEW: new button options (hover, transparency, border,etc)
- NEW: powerful new page options
- NEW: enable/disable the header per page/post
- NEW: enable/disable the footer/copyright per page/post
- NEW: assign a custom menu per page/post
- NEW: header transparency option per page/post
- NEW: new option for slider to sit above or below header
- NEW: new separator divider element with arrows/icons
- NEW: use icons or images next to menu items
- NEW: new search theme options tab
- NEW: updated revolution slider
- NEW: updated layer slider
- NEW: color parameter for separator element
- NEW: woocommerce v2.1+ compatibility & other minor tweaks
- NEW: choose characters or words for excerpts
- NEW: page title bar subheading theme option for blog page
- blog grid can now be 2, 3, 4 columns
- new popup parameter added to map element
- page title bar meta option will override theme options
- reverted back to dynamic css/js in header file, see kb post
- new options to disable related projects on portfolio posts
- title text and icons link in content box with link="" option
- regular pages can now have a featured image slideshow
- fixed issue of some content not showing in tabs
- improved wpml menu flags on mobile device
- fixed horiz scroll issue in certain situations
- plugin directory fix
- fixed slideshow stops when youtube video plays
- compatibility fix with woo sensei plugin
- added exclude_cats option to blog element
- alt tags added to slider element
- fixed #comment link
- footer style adjustments for some elements
- fixed structured data warning
- removed link on single post page title next
- improved contact form 7 button class styling
- fixed duplicate ids
- sort by rating work with woocommerce shop page
- fixed layer slider styling bug with buttons
- improved wpml excerpts with recent posts
- added woo validation fields
- fixed horiz scroll issue with certain elements
- fixed issue of empty space on portfolio filter pages
- blog sidebar renamed to default for consistency
- fixed the empty ghost icon for social link widget
- fixed Pinterest logo issue when using shareholic plugin
- related posts/projects
- minor IE8 fixes
- minor RTL styling adjustments
- Facebook sharing icon fixed for mobile
- fixed search issue in wp admin when using "add media"
- fixed border issue when all meta data is removed
- minor rev slider style adjustments
- fixed issue of video embeds being stretched
- improved mobile menu touch on iPad in fixed mode
- fixed chrome light box issue with background opacity
- improved styling of social media icons on droid devices
- fixed issue of 404 pages on preview of port items
- fixed event manager pro plugin issue with breadcrumbs


-----------------------------------------------------------------------------------------
Version 3.3.1
-----------------------------------------------------------------------------------------

- NEW: new date format options for blog layouts via theme options
- NEW: includes new layer slider version 5.0.2
- NEW: parallax background image support for header and footer images
- NEW: new theme option to set all single posts to full width
- NEW: custom social icon support in the social icon element & widget
- fixed IE8 issue of 2 column content boxes
- fixed issue where post types were assigned to 404 pages
- reorganized the header tab in theme options
- added numerous adjustments for RTL feature
- added RTL support for blog grid and timeline
- new theme option to make rollover titles a link
- updated Czech language files submitted by a user
- added new language files for Norwegian Bokmal (nb_NO)
- fixed search popup alignment issue with sticky header
- tabs in footer can now be used
- improved woo cart drop down item calculation and alignment
- aligned infinite scrolling message
- fixed blog category filters when using blog element
- search results page now shows bkgd set in theme options
- fixed empty search query not respecting search results page
- woo pagination hover color is now tied to color scheme
- woo country selection field is correctly displayed now
- fixed ubermenu mobile menu issue of duplicate menus
- improved alignment of comments
- fixed tabs issue with Chinese/Korean characters
- bbPress global sidebar will now override individual forums/topic options
- fixed BuddyPress blank page issue
- easing will now work without layer slider plugin
- added page links to side nav and 100% width page templates
- loading portfolio / faq item message is now translatable
- search results page now respects blog meta options
- mobile menu now uses font awesome icon instead of image
- added a check for the accidental woo shop page
- improved rollover icons/text for longer translations
- disable read more link now works
- fixed issue when mobile menu nav items being empty
- date formats are now translatable
- now uses get_search_form for all search forms in theme
- fixed theme options not working when default language is not english
- fixed issue of submenus being cropped in boxed mode
- fixed issue with learn dash plugin
- recent work widget now respects custom link and link target
- recent work element now respects target blank setting
- added new function to check if a menu is assigned and has items for mobile menu
- improved content box styling
- added check for toTop script if loaded



-----------------------------------------------------------------------------------------
Version 3.3
-----------------------------------------------------------------------------------------

- NEW: multiple new sticky header options (logo width, opacity, color, etc)
- NEW: new menu location for sticky menu, create a custom sticky menu
- NEW: option to enable/disable sticky header/menu on phones and tablets
- NEW: options to auto play Vimeo and youtube videos
- NEW: updated rev slider and layer slider plugins
- NEW: bbPress options to use a global sidebar on all forums/topics
- NEW: background images in full width are fully responsive
- NEW: options to control drop down menu text
- NEW: option to enable default rev slider styles instead of Avada
- NEW: option to control amount of related projects and posts
- NEW: padding controls for main and footer content (global and meta)
- NEW: padding controls for 100% width template (global and meta)
- NEW: sliding bar option to be open by default on page load
- NEW: grid blog layout can now be 4 columns on full width pages
- NEW: new script used for animated circles, new speed, size parameters
- WP 3.8 tested and approved
- person element image is now a link
- added support for Category Order and Taxonomy Terms Order plugin
- added title tag to button element
- new swedish & french language files
- added support for Barley integration
- fix wpml horiz menu issue
- add yoast seo support
- updated swedish and french language files, submitted by users
- tested on hostgator, bluehost and godaddy
- fixed jetpack comments feature
- improved youtube/Vimeo videos loading / flash
- IE 8/9 fixes for sticky header, woo, bbPress and other misc items
- added styling for woocommerce shop notice
- updated Facebook sharing link on single posts page and sharing box element
- new image upload option for social share box for Pinterest
- removed the default % sign for animated counters, new unit option to insert your own
- pricing table adjustments for mobile and columns
- blank page template adjustments for padding top/bottom
- sidebar fix for bad hosts configurations
- sticky header logo and menu adjustments
- fixed text overlapping for featured products slider element under sidebar
- fix slider styling issue with thumbnails missing
- client slider having link tag even if no link is set
- improved social share box alignment of text and icons
- tabs in woo description area now work
- fixed search box alignment issue
- improved the loading of accordion element
- fix the date format bug
- fix variations in top cart drop down
- bbPress search results now reflect regular layout
- custom page title / subhead allowed on woocommerce product pages
- added classes to nested menus and made the id #nav unique
- search box and search button styling adjustments
- ssl support for fb widget
- adjusted blog category layout options
- carousels now work with accordions and in tabs
- rtl adjustments for sliding bar, breadcrumbs and separators
- google maps now work in tabs and accordions
- twitter timestamp links are now fixed
- fixed formatting issue when one country is selected from woocommerce
- changed portfolio grid layouts to show all categories when page loads
- fully removed ddSlick from Avada
- gravity forms 1.8 tested and approved
- element generator is no longer hardcoding wp-content folder
- added new google fonts
- fixed space before body field
- added a recaptcha check before loading recaptcha library
- added a check for categories in fusion core plugin
- fixed youtube/Vimeo video links parsing
- improved learn dash compatibility
- wp e-commerce query_posts error
- made theme option import/reset/etc work within theme options using wpml
- added metaboxes support for all custom post types
- fixed yt slider change console errors
- adjusted recent work element on mobile
- minor styling tweaks throughout the theme
- portfolio videos now show on archive page light box
- made the media manager alt, caption, title, description fields used consistently everywhere
- fixed counter boxes / circles from falling on second line
- fixed infinite scrolling loading message from getting cut off
- adjusted woocommerce column elements
- pricing tables now work with price 0
- tabs title text works with H4 color and font settings
- footer area and sliding bar font color theme option fixes
- subcategories now show on portfolio pages
- content on woocommerce pages is now styled correctly
- woocommerce pages now work with 100% width template
- fixed wide/boxed mode override issue on single pages/posts
- added padding to header social
- in blog element, when read more tag is true, content is used and not the excerpt
- added light box titles/captions to image frame, image & client carousels
- full width bkgd images now show in IE8
- add a check with is_ssl for Vimeo video element
- contact form syntax header fix
- search icon can show in sticky header when ubermenu is activated
- https fix
- optimized header.php and removed inline css and js
- use is_ssl for google map in footer
- fixed issue with gravity forms and post excerpts
- fixed issue of tabs breaking of non latin char titles
- fixed notices when wp-debug is on
- aligned comments text with avatar



-----------------------------------------------------------------------------------------
Version 3.2.1
-----------------------------------------------------------------------------------------
- NEW: theme option to control menu item padding
- added support for Jetpack plugin
- added support for Events Manager plugin
- improved the column calculation with content boxes
- improved notification messages for fusion-core plugin and ubermenu plugin
- fixed WooCommerce variation product issue and missing div issue
- fixed sliding bar going behind ubermenu, and boxed mode sliding bar issue
- toTop button can be disabled via theme options
- improved logo resizing in sticky header
- fixed read more tag issue with portfolio/blog posts
- portfolio page custom excerpt can now be set to "0"
- added grid/timeline layouts to element generator
- minor styling fixes
- fusion core plugin is now optional and not forced upon theme activation

-----------------------------------------------------------------------------------------
Version 3.2
-----------------------------------------------------------------------------------------

- NEW: visual element generator! (comes as our Fusion-Core plugin)
- NEW: CSS3 animations for various elements
- NEW: "Import Demo Content" button; imports widgets, pages, posts, sliders, options, etc
- NEW: top sliding bar widget area, 1-4 column widgets, various theme option settings
- NEW: new search icon in menu with drop down search field, various theme option settings
- NEW: full bbPress design styles added, and new theme options (have your own forum!)
- NEW: new page title bar settings (custom title, subhead, parallax image)
- NEW: blank page templates, perfect for various uses (coming soon, maintenance mode, etc)
- NEW: new "back to top" icon
- NEW: new sticky header animation
- NEW: comments allowed on portfolio posts, turn on/off
- NEW: tags added to portfolio posts, author and other meta info
- NEW: use all social icons in person element
- NEW: new layer slider plugin
- NEW: new author page
- NEW: more micro-data support added
- NEW: new search results page design
- NEW: reCapthca color scheme options added to contact tab in theme options
- NEW: new light box option for image frame element
- NEW: new option to enable featured images on FAQ posts
- NEW: new pricing table heading color styling options
- NEW: new footer divider line color styling option
- NEW: new option to change sidebar for WooCommerce archive/category pages
- NEW: new option to change sidebar for Portfolio/Blog archive/category pages
- NEW: new option to enable/disable first featured image for video portfolio posts
- NEW: new social icons color and link target option for contact widget
- NEW: new main menu hover color styling option
- NEW: new option to disable [Ã¢â‚¬Â¦]in excerpts
- NEW: new option for enabling "smooth height" for flex sliders
- optimized overall theme performance
- all.css is deprecated, all code is now in style.css, merged many jQuery plugin files into min.js
- adjusted loading of google font types for better performance
- added "auto" size option for image/client carousels, slider element
- added option on extras tab to use previous element method
- improved Contact Form 7 drop downs, and missing styles
- improved performance and styling in IE8/9
- improved cookies loading from external sites in EU market
- added notifications if Ubermenu plugin is activated
- improved responsive issue if Ubermenu is used
- improved sticky header performance, and sticky header logo sizing
- added more Woocommerce translation strings
- updated all language files with a few missing strings
- fixed issue with easy content type plugin
- added support for CM Tooltip plugin
- adjusted flickr widget styling, larger images
- added fix for disabling Woocommerce shipping tab
- new option for custom icon size in content box element
- improved WooCommerce variation products, and added/fixed missing styles
- WP media player now responsive in page/post content
- adjusted column sizes for content boxes so the are in line with column elements
- main.js works with child theme
- fixed portfolio filter bug with Cyrillic text
- fixed issue with recent news and content boxes
- improved RTL feature for header 4
- content boxes inside tabs now work, and tabs inside accordion work
- header phone number field no longer strips HTML after update
- added option to disable default portfolio page
- fixed social header collapsing when fields are empty
- first featured image on blog video posts now displays
- pricing table style adjustments
- improved product slider for WooCommerce, number of posts attribute
- fixed flickering of sticky header and image rollovers in Safari
- WooCommerce submit a review on new posts issue is fixed
- improved blog date behavior for timeline layout
- optimized loading of carousel sliders
- improved related posts performance if many posts are shown
- fixed mobile menu issue with header 4 and 5
- nova and cc gallery plugin fixes added
- fixed issue of paperclip graphic on FAQ posts
- various desktop/mobile styling fixes
- added links to documentation and forum in theme options


-----------------------------------------------------------------------------------------
Version 3.1.2
-----------------------------------------------------------------------------------------

This is just a small update to fix an important Gravity Forms and Excerpt issue. Our major update v3.2 is still scheduled to be released in a week from 21st October 2013.

- Avada/style.css: version number change
- Avada/functions.php: added new excerpt and content function
- Avada/js/main.js: fixed gravity forms drop down issue


-----------------------------------------------------------------------------------------
Version 3.1.1
-----------------------------------------------------------------------------------------

- fixed speed issue with ajax popular post view widget
- improved content box styling
- improved side nav child/parent styling issue
- google+sharing icon now shares instead of bookmarking
- improved searching pages and posts
- removed default logo dimensions from theme options
- fixed menu text showing twice on mobile devices
- updated language files with new strings
- removed warning message on instal in rare cases
- Revolution Slider is no longer automatically activated into the theme. It needs to be activated upon install and you will get a big notice about it on wp-admin page. You will not lose any sliders OR slider page settings and revolution slider is and always will be included with the theme. Upon upgrading to v3.1.1 the integrated Revolution Slider plugin will be disabled, and you will see a notification message in the WP admin telling you that the theme requires the installation of the Revolution Slider. Choose to install it, and then activate it. All the other slider plugins (Layer Slider, Elastic Slider, Themefusion Slider, Flexslider) are still integrated. ONLY Revolution Slider is not integrated.


-----------------------------------------------------------------------------------------
Version 3.1
-----------------------------------------------------------------------------------------

- NEW FEATURE: full design integration for WooCommerce, see our shop demo!
- NEW FEATURE: two custom woo elements added (Woo Products & Woo Featured)
- NEW FEATURE: new WooCommerce tab in theme options
- NEW FEATURE: RTL support
- NEW FEATURE: sticky header added, turned on/off via theme options
- NEW FEATURE: improved blog element with all layouts included
- NEW FEATURE: new meta options to customize colors/images for main content area per page
- NEW FEATURE: new meta options to customize colors/images for header area per page
- NEW FEATURE: boxed or wide mode per page
- NEW FEATURE: new portfolio grid layout
- NEW FEATURE: new full width single portfolio page
- NEW FEATURE: use sidebars on single portfolio page
- NEW FEATURE: use 100% width on single portfolio pages
- NEW FEATURE: new portfolio meta options (enable/disable items)
- NEW FEATURE: new theme option to control portfolio excerpt (full/excerpt)
- NEW FEATURE: added option for popular posts to be sorted by comments or views
- NEW FEATURE: added ability to use different layout for blog category/archive pages
- NEW FEATURE: added ability to use different layout for portfolio category/archive pages
- NEW FEATURE: now supports 5 levels of menu drop down
- NEW FEATURE: added light box capability to slider, flexslider attachment slider, image and client carousels
- NEW FEATURE: tagline box shadow updated with CSS3 and works in all sizes and on mobile
- NEW FEATURE: button color parameter added to tagline box element
- NEW FEATURE: added several more theme options to disable various features
- NEW FEATURE: footer social icons can be light or dark, selected via theme options
- NEW FEATURE: blog grid/timeline box backgrounds now have their own color option
- NEW FEATURE: global theme option to show/hide icons, titles, categories on image rollovers
- NEW FEATURE: new theme option to control speed of slider element
- NEW FEATURE: ability to choose "nothing" in different header sections
- NEW FEATURE: ability to choose left, right or center logo alignment in header
- NEW FEATURE: new option to enable/disable featured image on single portfolio pages
- NEW FEATURE: new theme options to control google map popup graphic, show/hide, click/auto
- NEW FEATURE: new option to upload an image in the footer section, 100% and repeat options
- NEW FEATURE: added ability for users to enter custom excerpt for blog posts
- NEW FEATURE: ability to exclude categories from recent news element
- NEW FEATURE: theme options are now translatable with WPML plugin
- NEW FEATURE: added Avada styling for Gravity Forms
- NEW FEATURE: added Avada styling for Contact Form 7
- NEW FEATURE: added Avada styling for qTranslate widgets
- NEW FEATURE: tabs are now able to be bookmarked, ex: tab 2 can open on page load
- NEW FEATURE: improved Ubermenu integration, works well with v2.0
- NEW FEATURE: new 100% option for page title image
- NEW FEATURE: using new hover effect script for tooltip popups, much smoother
- NEW FEATURE: new XML file with new layouts, updated docs
- new layer and revolution slider plugin updates
- new font awesome 3.2.1 icon set
- tested and approved WP 3.6
- meta options on blog tab will now work for both archive and single post pages
- new size fields for custom retina social icon
- added light drop shadow to drop down menu
- fixed logo margin options so they work on all headers
- improved title element so longer titles can be used
- removed 10 slider limit for theme-fusion slider
- improved recent news thumbnail images on mobile (new size added, see docs for info)
- improved elements being stripped from excerpts (content elements are displayed, ex: drop caps)
- improved custom menu/pages widget when used in the footer
- bullet points now change with primary color
- improved tabs on light skin by removing the image and allowing theme options to work
- fixed minor IE8 & IE9 styling issues
- improved styling when meta options are disabled
- fixed 5 slide limit on flexslider attachment slider
- improved element parameters for consistency
- fixed layer slider scaling feature
- retina logos now load instantly
- fixed google map issue using W3TC
- wordpress image captions are now responsive
- fixed body line-height so it works for post content
- improved portfolio filters; only filters that have post on the active page will show
- pricing tables now stretch full width of container, even if one column is used
- fixed Pinterest bug of not pinning the post image
- improved default values for light/dark skins
- fixed border issue on image/client carousels
- author nickname will now show if one is entered
- fixed custom featured image size when using % or auto
- improved testimonial triangle shape color and postion
- fixed issue with recent work grid layout and image rollovers turned off
- removed white background that shows behind featured image spot
- fixed top secondary menu styling bug
- fullscreen video button show sin light box now
- improved social links widget styling
- improved recent work cat_slug Lightbox issue
- side nav featured image will now work with the disable featured image option
- adjust full width element padding bottom to be 20px instead of 20
- pto plugin adjustment for child theme
- fixed SEO issue with rich snippet tool
- improved firefox styling for circles
- fixed unique situation of page title text not displaying correct info
- removed limit on layer slider numbering via page options
- removed limitations for user accounts so options are visible
- fixed unique case of widgets showing twice in sidebar
- fixed child theme issue with js file
- fixed faq template bug
- added empty .mo file to tfflexslider language directory to fix windows server issue
- improved google map popup text styling issue



-----------------------------------------------------------------------------------------
Version 3.0.1
-----------------------------------------------------------------------------------------

- fixed dark skin css and setting issue
- fixed minor iphone styling bug in landscape mode
- fixed google font error


-----------------------------------------------------------------------------------------
Version 3.0
-----------------------------------------------------------------------------------------

- NEW FEATURE: new complete dark skin
- NEW FEATURE: 100+ new theme options (options reset recommended)
- NEW FEATURE: over 50 new elements & several new options for current ones
- NEW FEATURE: new element styling tab in theme options
- NEW FEATURE: new element drop down design in visual editor
- NEW FEATURE: 4 new blog layouts (large & medium alternate, grid, timeline)
- NEW FEATURE: choose pagination or infinite scrolling for all blog layouts
- NEW FEATURE: enable/disable individual meta options
- NEW FEATURE: new mobile menu design
- NEW FEATURE: users can now mix and match header elements with designs (headers will reset)
- NEW FEATURE: banner ad capability with header 4
- NEW FEATURE: styling tab has 40 new options for color
- NEW FEATURE: new line-height options added to typography tab
- NEW FEATURE: option for inserting background image in header
- NEW FEATURE: option for inserting background image in main content area
- NEW FEATURE: light and dark social icon options
- NEW FEATURE: change opacity of image rollovers
- NEW FEATURE: enable/disable sliders from theme options
- NEW FEATURE: new sidebar tab in theme options, change bkgd color, width and padding
- NEW FEATURE: major google map enhancement; 4 map styles, multiple markers, several display/function options
- NEW FEATURE: Pinterest added to sharing box & sharing box is now element
- NEW FEATURE: new font awesome 3.1 icons, 302 total icons
- NEW FEATURE: several optimizations added
- NEW FEATURE: added new google fonts, script also made for importing
- NEW FEATURE: added drop down menu to top navigation
- NEW FEATURE: new page options to show one, both or no rollover icons
- NEW FEATURE: set custom link for the "link" rollover icon per post
- NEW FEATURE: new page option to show or hide page title text per page
- NEW FEATURE: ability to show or hide related posts for each blog/portfolio post
- NEW FEATURE: includes new layer Slider 4.5.5
- NEW FEATURE: includes new Rev Slider 2.3.9.1
- NEW FEATURE: added retina fields for page title bar on individual pages
- NEW FEATURE: added retina fields for custom social icon
- NEW FEATURE: several added options and adjustments
- NEW FEATURE: added compatibility for Event Espresso Plugin
- NEW FEATURE: added compatibility for Sermon Manage Plugin
- NEW FEATURE: added compatibility for Learndash Plugin
- NEW FEATURE: added compatibility for DAP Membership plugin
- NEW FEATURE: added compatibility for CC Gallery plugin
- NEW FEATURE: added compatibility for Code styling Localization Plugin
- NEW FEATURE: now using Caroufredsel plugin for carousels
- NEW FEATURE: added ability to enable/disbale filters per portfolio page
- worked directly with WPML devs to make Avada perfectly compatible with WPML
- added default map height of 270px for mobile to counteract scrolling issue
- fixed video issues of playing and stopping due to other vidoes/sliders
- fixed tab issue of small gap on right side
- changed yellow skin name to orange
- moved portfolio custom fields out of theme options for multi-lingual capability
- disabled hover effect for social icons on mobile
- fixed half width portfolio issue when using "auto" for width
- adjust layer slider thumbnail issue
- fixed IE10 issue with zoom icon
- lifted 10 slide limit for Themefusion slider and fixed slider bug
- fixed side nav issue of pages not staying together in a set in specific instances
- portfolio excerpt value now also controls portfolio category pages
- removed any notices/errors when wp-debug mode is on
- added h1 title to author admin page
- added missing translation strings
- fixed recaptcha language issue
- added "default" sidebar option to page options box which will follow theme option
- removed scroll bars on boxed mode at specific sizes
- single category pages will now only filter through that category and not all
- added message for when search results show up empty
- fixed all includes for child theme
= blog archive page background option follows theme option setting
- fixed archive counter widget
- minor styling adjustments


-----------------------------------------------------------------------------------------
Version 2.1.3
-----------------------------------------------------------------------------------------

- fixed sidebar issue of widgets being moved or deleted upon sidebar removal
- fixed rev slider shadow issue in chrome


-----------------------------------------------------------------------------------------
Version 2.1.2
-----------------------------------------------------------------------------------------

- NEW FEATURE: Portfolio Text Layouts 1-4 column
- NEW FEATURE: All portfolio layouts can now utilize sidebars
- NEW FEATURE: Update then Rev Slider to 2.3.8
- NEW FEATURE: new theme options to enable/disable google map scroll
- NEW FEATURE: added new light box caption and description options
- NEW FEATURE: added Turkish language translation files, submitted by user
- NEW FEATURE: new theme option to choose what search contains and can hide excerpts
- fixed responsive issue with ipad portrait and similar sizes from 800px-1024ox wide
- fixed conflict with Gallery Plugin by Bestwebsoft
- disabled style selector code
- fixed google map issue with foreign characters
- fixed issue of elements being cut in excerpts
- google ad sense or other scripts will not conflict with featured images
- minor styling fixes
- fixed page title bar background issue or deleting twice
- portfolio pagination now works when its set to home page
- portfolio filter animations are now back
- portfolio permalink has extra parameter removed if you show "all" category
- fixed minor portfolio prev and next navigation issue
- custom featured image size now displays on archive page as well
- fixed category count in widget
- fixed issue of tabs not working in ipad portrait
- custom backgrounds can now be uploaded to blog page
- twitter widget can display different amount of tweets in footer and sidebar
- boxed mode search results now show boxed mode
- lightbox video issue of gallery thumbnails overlaying controls


-----------------------------------------------------------------------------------------
Version 2.1.1
-----------------------------------------------------------------------------------------

- NEW FEATURE: all elements now have a link target function, so you can open links in new windows
- NEW FEATURE: footer and header social icons have new option to open in new window
- NEW FEATURE: includes new translated languages, Chezh, Portuguese, French & Polish thanks to users
- NEW FEATURE: includes updated Revolution Slider plugin
- NEW FEATURE: includes updated Layer Slider 4.0
- NEW FEATURE: includes updated Flexslider plugin
- NEW FEATURE: includes option to disable/enable PTO plugin
- NEW FEATURE: includes new option to show or hide HTML in excerpts for blog archive pages
- NEW FEATURE: added new theme option to control bottom margin
- NEW FEATURE: added ability for user to choose how many posts display in recent work element
- NEW FEATURE: updated flickr and twitter widget, now only one widget for both sidebar & footer
- NEW FEATURE: new theme option to enable Ubermenu compatibility
- fixed issue of admin boxes overlapping on smaller screens
- fixed issue of prev & next navigation cycling through all portfolio posts instead of custom categories
- Featured Image on or off will now only affect blog archive page & single page has its own option
- slider element now allows image names with "x" in them, ex: 300x200.jpg
- menu items on two lines now have tightened up line-height
- fix issue of textarea clearing on-click
- the company name in testimonial element is now a link
- bottom border fixed on facebook like box widget
- adjusted position of flex slider so it aligns with dropdown
- added safe fallback for widgets
- all video controls work in all browsers for the slider element
- videos now stop playing when advancing slides in slider
- new theme option to put pagination circles under the video in slider so mobile nav is easier
- separator element now works on mobile as well
- changed recent works and news element to say [cat_slug=""] instead of [cat_id=""]
- fixed small graphic glitch in safari with client slider
- fixed issue of contact form fields emptying is a field was missed, even the reCaptcha
- fixed minor styling issues for about author and comments on single post pages
- fixed php notices/errors in wp-debug mode
- fixed IE8 archive page text styling issue
- changed contact widget so you can enter custom text for web URL
- the brand new twitter API is now being used, please see
- when image rollovers are disabled, all images link properly
- fixed "get rid of comments" issue displaying when comments are disabled
- fixed all blog medium issues
- fixed recent news issue of empty rows when using more than one row
- Several IE8, IE9, IE10 styling issues, we're a bit crazy after this one :)
- fixed issue of using "general" category name for FAQ's
- Post meta option "show or hide" works for archive, single and category pages
- image links on mobile open the post instead of image URL
- removed twitthis service and use twitter instead
- fixed missing translations
- removed images from showing in recent news excerpt
- fallback image now works with elastic slider
- removed white caption bar on elastic slider for mobile devices
- adjust responsive height for elastic slider
- soundcloud audio is now responsive on mobile
- fixed issue of using more than 8 tabs
- fixed issue of using slider widget in footer
- fixed issue of lightbox on ipad not covering full width, and corner alignment
- fixed responsiveness of themefusion slider
- fixed some issues in header.php file and conflict with jQuery
- updated various descriptions in theme options
- fixed issue of sublayers not linking correctly on Rev Slider
- fixed antispam bee plugin conflict
- fixed issue of notification messages messing with theme options panel display
- fixed issue of some users who had duplicated blog posts
- fixed contact form private issue
- adjusted position of meta bar when a small amount of text is used
- category sidebar widget now displays the count properly
- fixed google map translating issue
- fixed sidebar issue when setting front page as post page
- checked for full compatibility for WPML plugin and added Avada to list of compatible sites
- included a function that fixes sidebar position if post content has invalid content
- fixed issue of embed code disappearing when clicked on
- other minor styling changes
- fix for new version of Firefox so it plays videos in 1-column view
- adjusted styling of a few widgets
- added a few more retina graphics
- fixed google map issue with zip codes
- several other minor bug fixes and adjustments


-----------------------------------------------------------------------------------------
Version 2.1
-----------------------------------------------------------------------------------------

- NEW FEATURE: Avada is now Retina Ready!
- NEW FEATURE: includes the super cool Elastic Slider!
- NEW FEATURE: 4 new header design options (social icons and text) all easily accessed via theme options
- NEW FEATURE: new theme options for ThemeFusion Slider; speed, animation, autoplay
- fixed the duplicate image showing up in lightbox for blog posts
- all featured images in post slideshows open in lightbox
- post type order plugin works, please check "auto sort" to sort portfolio and blog posts
- when image rollovers are turned off, the related posts thumbnails link to post page
- includes updated Rev Slider Plugin 2.2.4
- fixed issue of captions in ThemeFusion slider being cut off on right side by the edge
- tested for WP 3.5.1
- fixed the empty image border in person element
- removed small arrow next to flexslider sidebar widget
- small appearance adjustments to theme option headings and descriptions
- page title bar can now be used on home page
- improve our overall YSlow results
- multi-site rev slider fix, removed the multiple side menus
- fixed 3 missing translation strings
- fixed minor bullet point stlying issue when wrapping
- recoded twitter widget to fix the date stamp and character bug
- In header.php the h1 404 error page is now translation ready
- fix full width blog layout image scaling issue, full width now shows full image size
- fixed the search results so they do not show elements
- sticky posts now work with the recent news element
- added the search field back to the page title bar once a first search is performed.
- fixed contact map height when responsivenss is turned off
- fixed font awesome alignment when used with text/titles
- fixed HTML tags from being trimmed with the excerpt
- fixed duplicate video posts in specific cases
- removed the iFrame from google map and are using official Google Maps api
- custom menu widget now has indented sublevels
- Facebook "Like" count now displays in the lightbox
- Fixed buttons and navigation arrows on mobile devices for layer slider


-----------------------------------------------------------------------------------------
Version 2.0.9
-----------------------------------------------------------------------------------------

- fixed blog & recent news excerpts, added portfolio excerpts
- fixed Google Chrome font issue with Museo Slab
- minor IE styling adjustments
- fixed minor styling issue with Wordpress admin bar


-----------------------------------------------------------------------------------------
Version 2.0.8
-----------------------------------------------------------------------------------------

- fixed flexslider URL issue
- fixe slow site loading/server issues when using a shared server
- removed the auto updater that caused issues


-----------------------------------------------------------------------------------------
Version 2.0.7
-----------------------------------------------------------------------------------------

- NEW FEATURE: added option to use fixed layout for iPad portrait
- NEW FEATURE: added a element for post content images to open in lightbox
- NEW FEATURE: added type="video" to slider element. Both vimeo and youtube elements can be used with it
- Added demo pricing tables to documentation
- Updated Rev slider plugin to v2.1.7 which is now fully multi-site compatible and the CSSbug has been fixed
- Allow comments on pages now works on all pages
- All images in posts slideshows now open in light box
- Fixed portfolio page translation error
- Fixed recent works shortocde when used on side nav page
- Theme now allows custom breadcrumbs
- Recent News "comments" are now hyperlinks
- FAQ toggles are now accordion style so one closes when another is open
- Fixed position of title and breadcrumbs in page title bar when text goes on two lines.
- Fixed pricing numbers so they follow the color selections in theme options
- Added back avada skin to the layer slider plugin
- Fixed rev slider when setting "nav arrows" to none, the page content no longer jumps
- Fixed alignment issue with rev slider when used via elements in post content area


-----------------------------------------------------------------------------------------
Version 2.0.6
-----------------------------------------------------------------------------------------

- NEW FEATURE: now uses wordpress auto updater plugin, please see "update" tab in theme options
- NEW FEATURE: you can now choose to manually start slideshows or have them auto play
- NEW FEATURE: footer widgets can now be 1, 2, 3 or 4 columns
- NEW FEATURE: added new theme option to control the number of FlexSlides a user can use
- NEW FEATURE: added ability for user to set custom height for the map
- NEW FEATURE: added ability for page title bar to have a color in addition to an image
- NEW FEATURE: add option to disable featured image only on single post pages
- NEW FEATURE: add side nav option for child pages to open on hover or on click
- include "language" folder in avada theme folder so user does not have to create a new one
- fixed child theme issue
- fixed the new_slideshow.php warning that some users received.
- corrected description for "Allow Comments On Pages
- made contact footer widget translatable
- added a check to make sure Rev Slider database is created
- fix video responsive issue so custom sizes work
- includes new Rev Slider plugin 2.1.6
- includes new layer slider plugins
- fix google analytics field
- Includes new Font Awesome 3.0
- Fixed light box bug when it shows all featured images from all posts instead of from the single post
- Fixed recent news element bug that does not allow more than 15 words in excerpt
- Fixed styling issue for category widget when subcategories are used
- Fixed category footer widget, the subcategories are not displayed correctly
- Fixed Mobile menu so users can use a # for link and work properly
- Changed behavior of side navigation menu when multiple parent/child pages are used
- Fixed image quality issue when using the recent news element
- Fixed facebook like box bug
- Fixed tabs widget date stamp
- Minor styling issues
- Adjusted testimonial element to include the slider portion
- Fixed minor IE styling issues


-----------------------------------------------------------------------------------------
Version 2.0.5
-----------------------------------------------------------------------------------------

- WP 3.5 tested
- Includes updated Revolution Slider Plugin that is now integrated into the Theme
- Includes updated Post Type Order Plugin that is now integrated into the Theme
- Includes updated Layer Slider plugin that is now integrated into the Theme
- FlexSlider plugin that is now integrated into the Theme
- Added Avada skin back into the skin dropdown menu for Layer Slider
- Added 2 buttons to single portfolio search page when using filters
- fixed blockquote from not showing in portfolio post pages
- Added custom CSS filters for IE9 Gradients
- removed image rollovers from showing on slideshows posts
- fixed portfolio and post content issue with headings
- fix parent/child side nav issue
- fixed element plugin issue for S2Member plugin
- moved main nav height option to "header" tab in theme options
- Portfolio & FAQ pages can now have content inserted in the post content fields
- Added solution to auto disable IE Compatibility mode
- Added back rollover effects to top menu, and sidebar widgets



-----------------------------------------------------------------------------------------
Version 2.0.4
-----------------------------------------------------------------------------------------

- includes new layer slider 3.5
- added option to put custom google map size
- removed images from page search results
- fixed WP-config errors
- fixed CSS backslash error not saving in theme options field
- make toggles work like FAQ's
- IE8 bullet styling fix
- IE8 & 9 button styling fix
- adjusted headings wrap when on two lines
- added default settings to lightbox and slider fields in theme options
- changed minimum hosting requirement from PHP5.3 to PHP5
- fixed slideshows post sizing issue
- added ability to input custom featured image size for portfolio posts
- change toggle to close on second click like FAQ
- fixed blog featured image size when inserting a custom size
- adjusted the pricing table "time" value position
- fixed date format in theme options
- fixed twitter widget only displaying one tweet in certain situations


-----------------------------------------------------------------------------------------
Version 2.0.3
-----------------------------------------------------------------------------------------

- made default option set to "wide" instead of box
- updated revolution slider plugin to new version
- added new theme option for "navigation height"
- fixed "header top and bottom margin" theme option error that happened in select cases
- added "minus" sign to accordion element
- adjusted responsiveness of pricing tables
- adjusted breadcrumb CSS on mobile devices


-----------------------------------------------------------------------------------------
Version 2.0.2
-----------------------------------------------------------------------------------------

- fixed favicon bug
- styled the Avada social links widget for footer
- fixed featured image bug
- fixed image rollover disable option & posts slideshows option
- fixed child theme issue
- fixed function single_cat_title() in header.php to support support post type archives
- fixed the FlexSlider plugin for WP 3.5 beta


-----------------------------------------------------------------------------------------
Version 2.0.1
-----------------------------------------------------------------------------------------

- fixed favicon error & deprecated code
- styled the custom menu widget


-----------------------------------------------------------------------------------------
Version 2.0
-----------------------------------------------------------------------------------------

NEW FEATURE: added slider revolution
NEW FEATURE: new layer slider 3.0
NEW FEATURE: entirely new theme options panel
NEW FEATURE: added option to use default system fonts instead of google fonts
NEW FEATURE: integrated flex slider with captions via theme options
NEW FEATURE: added color fields in theme options for changing the fonts, links, menu items
NEW FEATURE: Option to deactivate the breadcrumbs
NEW FEATURE: allow a custom image in the title bar for each page, not just one option + allow a "universal" option
NEW FEATURE: allow custom background for each individual page, not just one option +allow a "universal" option NEW FEATURE: implemented the font awesome icon set to be used via elements
NEW FEATURE: added new social icons (flickr, forrest, myspace, digg, skype)
NEW FEATURE: make client list a slider with individual links for each client logo
NEW FEATURE: add full width blog page template, see design file
NEW FEATURE: add 404 page template, see design file
NEW FEATURE: add date to blog posts, requires design addition, see design file
NEW FEATURE: make contact form spam protected (contact form 7?)
NEW FEATURE: Multiple portfolio option that allows a custom filter set per page.
NEW FEATURE: Make 2nd level of side navigation collapsed by default, then it opens when the top level is clicked on
NEW FEATURE: give a theme option to allow for a testimonial to have a guy or girl icon
NEW FEATURE: images of a gallery open in ,
NEW FEATURE: images in post content open in PP lightbox,
NEW FEATURE: recent posts element can now pull from a specific category
NEW FEATURE: recent news element can now be 3-4 columns and have more than one row, and can pull from a specific category
NEW FEATURE: allow option for putting search bar in the page title bar
NEW FEATURE: make videos play in light box (for portfolio posts)
NEW FEATURE: allow for 4th level dropdown
NEW FEATURE: allow portfolio text (project description, project url, etc) to be change via theme options, add fields to the portfolio tab
NEW FEATURE: ability to easily sort blog posts, portfolio posts and FAQ's by draggin and dropping them into place. Using the Posts Types Order plugin
NEW FEATURE: ability to have more than one widget per footer column, example http://wednesdaysinmhd.com/
NEW FEATURE: Avada should work with W3C Total Cache - https://theme-fusion.com/wp-admin/admin.php?page=ahq_forum_options&action=view_topic&id=700
NEW FEATURE: add option in VC to have custom amount of characters for recent works widget
NEW FEATURE: added new post slideshow method for portfolio and bog posts. Legacy method still works, but you have to enable it in theme options.
NEW FEATURE: added ability to hide featured image for blog posts as well as other meta information (author, categoreis, etc)
NEW FEATURE: added ability for user to choose the featured image size for each blog post
NEW FEATURE: added ability for video post to have featured image for sidebar widget
NEW FEATURE: added ability to use search bar in top page title bar
NEW FEATURE: side navigation now has collapsable sub levels
NEW FEATURE: each footer column can now have multiple widgets per column
NEW FEATURE: search bar now searches full site instead of just blog posts by default
NEW FEATURE: added new shortcdoe for spacing between elements
NEW FEATURE: blog images & related post carousel images now have light box option for image rollovers
FIXED: improved organization and names/descriptions of options for easier use
FIXED: post image slideshows option (disable/enable) that did not work
FIXED: post slideshow images theme option that did not work
FIXED: portfolio filters can now go on two lines if needed
FIXED: image rollovers that would get stuck sometimes
FIXED: pricing table prices are now images
FIXED: youtube and vimeo vidoe issue in IE when using layer slider
FIXED: menu dropdown issue when moving mouse slightly off to the right or left
FIXED: youtube and vimeo elements to be responsive
FIXED: wooslider issue with dropdown menu disappearing body .wooslider .slide-content p { margin:0; padding:0; }
FIXED: media search function in admin section
FIXED: woo slider bug where slider would not show when returning from a page
FIXED: google chrome font bug
FIXED: Footer widget areas are now active by default
FIXED: comment/trackback bug
FIXED: fix sub menu pages "active bar"
FIXED: updated "get_theme_data" since its being phased out
FIXED: single blog post pages can now have custom sidebar
FIXED: missing translations
FIXED: tab issue when using 5 or more tabs
FIXED: alt tags in elements with images
FIXED: breadcrumb
FIXED: the enqueue for plugins to increase compatibility
FIXED: breadcrumb ordering bug
FIXED: other minor bug issues


-----------------------------------------------------------------------------------------
Version 1.1.2
-----------------------------------------------------------------------------------------

- Fixed twitter date link


-----------------------------------------------------------------------------------------
Version 1.1.1
-----------------------------------------------------------------------------------------

- Fixed some PHP errors in elements
- Fixed tabset not working properly in portfolio page
- Fixed page title not working with selected google font issue
- Made page title and breadcrumbs work for longer page title and breadcrumbs
- Fixed the layerslider pagination not showing up on IE
- Updated flexslider javascript
- Made footer widgets work with new twitter API
- Fixed wooslider to work on IE8 and IE9 along with modern browers properly
- Made portfolio tabs work responsively
- Improved image rollovers
- Typo for post element option fixed
- Fixed side navigation no-sidebar option and added margin if a sidebar is added to the side navigation pages
- Updated wooslider plugin, if you are updating, uninstall it and reinstall the plugin.
- Made plugin notices softer and added ability to enable / disable plugins while on Avada.


-----------------------------------------------------------------------------------------
Version 1.1
-----------------------------------------------------------------------------------------

 - Updated wooslider plugin (flexslider WP). The new menu is called "Slideshows".
 - Made h1-h6 work within the title div
 - Added missing translation
 - Updated PO/MO file
 - Fixed the page title background option
 - Added an option to add/remove page title bar
 - Added an option to add youtube icon to the footer and social links widget
 - Added an option to add pinterst icon to the footer and social links widget
 - Fixed an issue where pagination color will not change with the color options
 - Changed logo link to show site url instead of wp url
 - Added an option to change number of slides on flexslider in theme options
 - Made the images slide effect smoother
 - Made posts image slideshow option enable / disable posts images slideshow from single post page
 - Added an option in theme options to change the number of images in posts slideshow
 - Added custom sidebar code to side navigation
 - Fixed the facebook like box widget
 - Made the layout fixed width when responsiveness is set to OFF


-----------------------------------------------------------------------------------------
Version 1.0.9
-----------------------------------------------------------------------------------------

- Fixed recent posts element linking directly to images instead of post
- Fixed the zip file so you could upload the theme directly from wp-admin
- Fixed child theme so that color scheme options work correctly
- Fixed side navigation styling and functionality
- Improved breadcrumbs


-----------------------------------------------------------------------------------------
Version 1.0.8
-------------------------------------------------------------------------------------------

- Added the missing lightbox icon to porfolio three column
- Fixed the bug where you could not select all categories to be shown on portfolio page template
- Fixed the bug where pattern was not showing up correctly

-----------------------------------------------------------------------------------------
Version 1.0.7
-----------------------------------------------------------------------------------------

- Updated documentation
- Fixed featured images breaking the normal wp pages font sizes on IE
- Fixed the color scheme selector
- Made alert boxes / notices responsive
- Fixed archive / categories sidebar list
- Added unlimited portfolio option, when creating a portfolio template, select a category or leave bank for all categories.
- Edited header.php to fix a typo on viewport meta tag
- Fixed the contact form textarea responsiveness
- Added parent page link to side navigation
- Fixed the fallback image browse button
- Made contact form map responsive


-----------------------------------------------------------------------------------------
Version 1.0.6
-----------------------------------------------------------------------------------------

- Added an example child theme in the themeforest package
- SEO optimization
- Added support for multiple tabs
- Added missing translations
- Added a theme option to change contact page zoom level
- Added a theme option to change page-title of Blog
- Added support to add slider to the main blog index page
- Added support to add slider to single post pages
- Added all elements to the post editor
- Fixed the tabs widget options
- Added an option to add one custom icon to the footer
- Added a theme option to add analytics code
- Added translation support to breadcrumbs
- Regenerated the en_US.mo and en_US.po translation file to support missing words


-----------------------------------------------------------------------------------------
Version 1.0.5
-----------------------------------------------------------------------------------------

- Fixed the search page
- Added an option to enable or disable image rollovers
- Added an option to disable posts slideshow
- Fixed the responsiveness disabling bug
- Disabled prettyphoto on mobile sites
- Added an option in theme options to add custom CSS
- Fixed bug with contact error and success msgs


-----------------------------------------------------------------------------------------
Version 1.0.4
-----------------------------------------------------------------------------------------

- Some code changes to page options box
- Fixed a typo in portfolio one column for "All" link
- Added initial and maximum scale so that the responsive site works well on iphone horizontally
- Fixed IE issues
- Fixed contact form unable to send email issue
- Made the skills needed and categories optional
- Made project description optional for one column portfolio
- Added an option to control the testimonials slider speed
- Added an option to enable or disable responsiveness


-----------------------------------------------------------------------------------------
Version 1.0.3
-----------------------------------------------------------------------------------------

- Made dropcap color to change to primary color
- Fixed submit button on contact form not changing to color change in theme options
- Made flickr widget(s) work properly with complicated flickr usernames
- Changed the font name of Museo Slab font in all.css file


-----------------------------------------------------------------------------------------
Version 1.0.2
-----------------------------------------------------------------------------------------

- Fixed a page bug options which happened when there were no slider groups created
- Fixed the FlexSlider plugin installation notice nags


-----------------------------------------------------------------------------------------
Version 1.0.1
-----------------------------------------------------------------------------------------

- Changed "MOre" to "More" from the blog page
- Removed style selector
- Added "Blog" to breadcrumbs for the blog page
- Made the post thumbnails height to be flexible with the "Medium Image Layout"
- Added color scheme option in backend
- Added option to disable footer widgets and footer
- Added option to add a favicon
- Added "open" option to toggle element to keep it open by default

